Sun Dec 24 23:18:32 PST 2000 Manish Singh <yosh@gimp.org>

	* Made 1.2.0 release

Sun Dec 24 12:24:01 PST 2000 Manish Singh <yosh@gimp.org>

	* app/Makefile.am
	* app/app_procs.c
	* app/color_area.[ch]
	* app/commands.[ch]
	* app/gdisplay.[ch]
	* app/makefile.mingw.in
	* app/menus.c
	* modules/Makefile.am
	* modules/makefile.mingw.in: disabled display filters code, since
	it is unfinished

2000-12-24  Michael Natterer  <mitch@gimp.org>

	* app/color_cmds.c
	* app/threshold.c
	* tools/pdbgen/pdb/color.pdb: my last s/rangechanged/range_changed/
	somehow was not really "g" ;)

2000-12-21  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/sunras.c: applied gimp-kirchgessner-001220-0
	which makes the sunras plug-in recognize files with the .ras and 
	.rs extensions (used by StarOffice and Suns Image Tool).

2000-12-21  Sven Neumann  <sven@gimp.org>

	* docs/Wilber_Construction_Kit.xcf.gz: a new hat for Wilber courtesy 
	of Seth Burgess. 

2000-12-21  Sven Neumann  <sven@gimp.org>

	* app/gradient.c
	* app/gradient_select.[ch]: reviewed the gradient code. The old code
	used to use list indices which led to bug #35612 and other problems.
	We now attach a pointer to the gradient to each row in the GtkClists
	and retrieve the matching row for a gradient using 
	gtk_clist_find_row_from_data(). Additionally I have added similar code
	as we use for brushes to assure that no two gradients have the same
	name.

2000-12-20  Tor Lillqvist  <tml@iki.fi>

	* plug-ins/makefile.mingw.in (COMMON): Remove gpb and
	spheredesigner. Add gih. (Thanks Sven and Jens for cleaning up the
	brush stuff...)

	* libgimp/gimp.def: Add gimp_invert.

Wed Dec 20 14:39:38 PST 2000 Manish Singh <yosh@gimp.org>

	* Made 1.1.32 release (1.2final)

2000-12-20  Michael Natterer  <mitch@gimp.org>

	* app/gimphistogram.c: plonk, my "cleanup" yesterday
	broke ENABLE_MP. Fixes #35668.

2000-12-19  Michael Natterer  <mitch@gimp.org>

	* app/gradient.c: couldn't resist to heavily indent all function
	prototypes before starting to fix the rename-bug. Nothing changed.

Tue Dec 19 12:37:55 PST 2000 Manish Singh <yosh@gimp.org>

	* Made 1.1.31 release (1.2final)

2000-12-19  Stanislav Brabec  <utx@penguin.cz>

	* plug-ins/gap/gap_lib.c: Typo fixes.
	* po-plug-ins/POTFILES.in: Added gee_zoom.c.
	* plug-ins/common/gee.c, plug-ins/common/gee_zoom.c: Added i18n
	of menu item.

2000-12-19  Sven Neumann  <sven@gimp.org>

	* app/curves.c: applied a patch from David Hodson that reverts
	the curves tool back to its old behaviour (start with the identical
	transform), but keeps the fix for bug #33403.

2000-12-19  Michael Natterer  <mitch@gimp.org>

	* app/patterns.c: uniquefy pattern names before inserting them
	into the list. This way DND (which passes only the pattern's
	name) works as expected. Fixes #35258.

2000-12-19  Michael Natterer  <mitch@gimp.org>

	* app/Makefile.am
	* app/gimphistogramP.h: removed.

	* app/gimphistogram.[ch]
	* app/histogramwidget.[ch]: Histogram cleanup: replaced the
	channel #define's by a properly named enum and use this enum
	type as parameter in functions instead of "int".

	* app/curves.c
	* app/histogram_tool.c
	* app/levels.c: changed accordingly.

2000-12-19  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/exchange.c: applied (a modified version of)
	gimp-timecop-20001213-17. Delayed update for the sliders and
	and a "click preview to pick color" function.

2000-12-19  Sven Neumann  <sven@gimp.org>

	* app/gimpbrushpipe.c (gimp_brush_pipe_load): set the spacing and
	other info from the first brush just as the old code used to do.

2000-12-19  Sven Neumann  <sven@gimp.org>
            Michael Natterer  <mitch@gimp.org>

	* TODO: reviewed

2000-12-19  Michael Natterer  <mitch@gimp.org>

	* plug-ins/common/pat.c: Load broken (GRAYA and RGBA) patterns
	but tell the user that they are broken. Cleanup.

2000-12-19  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/gih.c: alter the pixpipe parameters and attach them
	as parasite, so saving a loaded .gih file yields the same brush again
	(minus the brush spacing which is not yet stored in the image).
	
2000-12-18  Sven Neumann  <sven@gimp.org>
	    Jens Lautenbacher <jtl@gimp.org>

	* data/brushes/Makefile.am: remove old pepper.gpb when installing new
	brushes.

	* data/brushes/SketchBrush-16.gih
	* data/brushes/SketchBrush-32.gih
	* data/brushes/SketchBrush-64.gih: converted to grayscale brush pipes.

	* plug-ins/common/gih.c: commented out code that sets loaded pipe
	parameters as parasite until we figure out how to do it right.

	* devel-docs/gpb.txt: mention that the .gpb format is obsolete.
	* devel-docs/gih.txt: updated.
	
2000-12-18  Sven Neumann  <sven@gimp.org>
	    Jens Lautenbacher <jtl@gimp.org>

	* plug-ins/common/gbr.c: save and load brush name into/from layer name.

	* plug-ins/common/gih.c: added gih loader. The loader is able to read
	the old brush pipe format too. Brush pipes will only be saved in the 
	new format. Fixes bugs #21806, #34167 and #34168.
	
2000-12-18  Daniel Egger <egger@suse.de>

	* plug-ins/ifcompose/ifscompose.c:
	Second attempt from David Neary which should work
	better. 

2000-12-18  Jens Lautenbacher  <jtl@gimp.org>
	    Sven Neumann <sven@gimp.org>

	* plug-ins/script-fu/scripts/mkbrush.scm 
	* plug-ins/script-fu/scripts/select_to_brush.scm: make it work with
	the new brush format and the new saving code; select_to_brush
	loads and saves RGB selections into pixmap brushes now.

2000-12-18  Daniel Egger <egger@suse.de>

	* plug-ins/ifcompose/ifscompose.c:
	Added patch from David Neary to fix calulations. 
	Fixes bug #9156.

2000-12-18  Sven Neumann  <sven@gimp.org>
	    Jens Lautenbacher <jtl@gimp.org>

	* data/brushes/Makefile.am
	* data/brushes/pepper.gpb: removed
	* data/brushes/pepper.gbr: added (a nicer version of) the Pepper
	brush in the .gbr format that does support pixmap brushes now.
	
	* plug-ins/common/gbr.c: added support for loading obsoleted 
	Gimp Pixmap Brushes format (.gpb).

2000-12-18  Sven Neumann  <sven@gimp.org>
	    Jens Lautenbacher <jtl@gimp.org>

	* app/Makefile.am
	
	* app/gimpbrushlistP.h
	* app/gimpbrushpipeP.h
	* app/gimpobjectP.h: removed these three files

	* app/parasitelistP.h
	* app/channels_dialog.c
	* app/docindex.c
	* app/gimpdrawable.c
	* app/gimpdrawableP.h
	* app/gimpimage.c
	* app/gimpimageP.h
	* app/gimplist.[ch]
	* app/gimpobject.c
	* app/gimpobject.h
	* app/gimpsetP.h: changed according to header removal

	* app/airbrush.c
	* app/brush_select.[ch]
	* app/brushes_cmds.c
	* app/gimpbrush.[ch]
	* app/gimpbrushgenerated.[ch]
	* app/gimpbrushlist.[ch]
	* app/gimpbrushpipe.[ch]
	* app/gimpcontextpreview.c
	* app/paint_core.c
	* app/paintbrush.c
	* app/pencil.c
	* tools/pdbgen/pdb/brushes.pdb: Big Brushes Cleanup.

	The GimpBrush* object hierarchy and the file formats were broken by
	"design". This made it overly difficult to read and write pixmap
	brushes and brush pipes, leading to the situation that The GIMP was
	not able to read it's very own file formats. Since the GimpBrush
	format did support arbitrary color depths, the introduction of a 
	file format for pixmap brushes was unnecessary.
	
	The GimpBrushPixmap object is dead. GimpBrush has an additional
	pixmap temp_buf and handles pixmap brushes transparently. The file
	format of pixmap brushes is not any longer a grayscale brush plus
	a pattern, but a simple brush with RGBA data. The old brushes can
	still be loaded, but the .gpb format is deprecated.

	GimpBrushPipe derives from GimpBrush. The fileformat is still a text
	header, followed by a number of brushes, but those brushes are stored
	in the new GimpBrush format (no pattern anymore). The pipe does not
	care about the depth of the contained GimpBrushes, so we get 
	grayscale BrushPipes for free. Since the brush loader still loads the
	old format, old .gih files can also still be loaded.

	Since the brushes in the GimpBrushPipe do not any longer contain a
	pointer to the pipe object, we do only temporarily switch brushes
	in the paint_core routines. This is not very elegant, but the best
	we can do without a major redesign.
	
	* app/patterns.[ch]: changed the loader to work with a filedescriptor
	instead of a filehandle to make it work with the new brush loading
	code.

	* plug-ins/common/.cvsignore
	* plug-ins/common/Makefile.am
	* plug-ins/common/plugin-defs.pl
	* plug-ins/common/gih.c: new plug-in that saves GIH files in the 
	new format (loader will follow soon)
	
	* plug-ins/common/gpb.c: removed since Pixmap Brushes are no longer
	supported as a special file format.

	* plug-ins/common/gbr.c: load and save brushes in the new brush format
	which allows RGBA brushes too.
	
	* plug-ins/common/pat.c: load and save grayscale patterns too

2000-12-18  Michael Natterer  <mitch@gimp.org>

	* plug-ins/common/gee.c: Using "env" instead of "environ" caused
	a clash. Changed the other one to "environment".

2000-12-17  Tor Lillqvist  <tml@iki.fi>

	* config.h.win32: Typo.
	Use GLib random functions.

	* plug-ins/makefile.mingw.in (COMMON): Add gee_zoom.

	* plug-ins/common/animationplay.c: Win32-specific #include and
	#define stuff not needed any longer.

	* plug-ins/FractalExplorer/FractalExplorer.c
	* plug-ins/common/gz.c
	* plug-ins/common/hrz.c: No use trying to use G_OS_WIN32 to decide
	whether to include glib.h, as glib.h is where G_OS_WIN32 gets
	defined...

	* plug-ins/common/gee.c: Can't use "environ" as variable name,
	it's in the C library.h on various systems. Use the name "env"
	instead.

2000-12-17  Michael Natterer  <mitch@gimp.org>

	* plug-ins/FractalExplorer/FractalExplorer.c
	* plug-ins/common/animationplay.c
	* plug-ins/common/gz.c
	* plug-ins/common/hrz.c
	* plug-ins/common/pat.c
	* plug-ins/common/pnm.c
	* plug-ins/common/ps.c. #ifdef early inclusion of <glib.h> with
	G_OS_WIN32. Avoids warnings about redefinition of MIN and MAX.
	Some #include cleanups.

2000-12-17  Michael Natterer  <mitch@gimp.org>

	* app/menus.c: don't warn about a non-existant "Script-Fu" menu.
	(the user should have the choice of just removing the script-fu
	plug-in without any side-effects).

2000-12-17  Asbjorn Pettersen  <asbjornP@dualog.no>

	* plug-ins/common/gz.c (save_image): Use GIMP_PDB_EXECUTION_ERROR. 
	OS/2 fix.

2000-12-16  Sven Neumann  <sven@gimp.org>

	* Makefile.am
	* docs/Wilber_Construction_Kit.xcf.gz: ooops, got the name wrong
	
2000-12-17  Sven Neumann  <sven@gimp.org>

	* app/curves.c: preview the curve settings in the image window when
	initializing the tool. This way the new curves behaviour (init with
	last settings) is visible.

	* app/user_install.c: check that strings are non-NULL before passing
	them to strcmp.

	* libgimp/gimpfileselection: do not try to pass a NULL text to 
	gtk_entry_set_text, use an empty string instead.

2000-12-16  Sven Neumann  <sven@gimp.org>

	* app/gimppreviewcache.h
	* app/channel.c
	* app/layer.c: put the preview cache priming code back into place, 
	but disabled it for small images to avoid unnecessary upscaling.
	
2000-12-16  Sven Neumann  <sven@gimp.org>

	Last-minute cleanup:
	
	* app/gimpdrawableF.h
	* app/gimphistogramF.h
	* app/gimpimageF.h
	* app/gimplistF.h
	* app/gimplutF.h
	* app/gimpobjectF.h
	* app/gimpsetF.h
	* app/layerF.h
	* app/parasitelistF.h: removed these files

	* app/Makefile.am
	* tools/pdbgen/Makefile.am: changed accordingly

	* app/[almost every file]: include cleanup
	
2000-12-16  Seth Burgess <sjburges@gimp.org>
	
	* plug-ins/common/colortoalpha.c: Change to accept RGB input 
	(automatically add an alpha channel if needed).

2000-12-16  Sven Neumann  <sven@gimp.org>
	    Jens Lautenbacher <jtl@gimp.org>

	* Makefile.am
	* docs/Wilber_Construction_Kit.xcf.gz: added an example XCF file

2000-12-16  Sven Neumann  <sven@gimp.org>

	* app/fileops.c: fixed a warning
	* app/menus.c: since gee is no longer hidden, I put the old code
	back in that keeps its entry at the bottom of the menu.
	
Fri Dec 15 19:16:31 GMT 2000  Adam D. Moss <adam@gimp.org>

	* plug-ins/common/gee.c, plug-ins/common/Makefile.am,
	plug-ins/common/plugin-defs.pl, plug-ins/common/gee_zoom.c,
	plug-ins/common/.cvsignore:
	Unhide 'gee' once more... come on Sven, we have nothing worth
	hiding any longer.  =)

2000-12-15  Michael Natterer  <mitch@gimp.org>

	* plug-ins/common/spheredesigner.c: re-added it to CVS.

	* plug-ins/common/.cvsignore
	* plug-ins/common/plugin-defs.pl: properly exclude it from the build
	and the distribution.

2000-12-15  Vidar Madsen  <vidar@gimp.org>

	* plug-ins/common/spheredesigner.c: Removed from CVS, until
	it gets more usable.

2000-12-15  Simon Budig  <simon@gimp.org>

	* plug-ins/common/convmatrix.c: Fixed the unuseable PDB-interface

	* plug-ins/script-fu/scripts/erase-rows.scm: Changed the script
	so that it actually does what it claims to do: *erase* the rows.

2000-12-15  Sven Neumann  <sven@gimp.org>

	* app/gimppreviewcache.[ch]: added new function gimp_preview_scale().

	* app/channel.c
	* app/channels_dialog.c
	* app/gimpimage.c
	* app/layer.c
	* app/layers_dialog.c
	* app/lc_dialog.c
	* app/nav_window.c: unified preview drawing code. Previews are never
	generated larger than the canvas size. Image and channel previews are
	scaled up to the desired size, so does the navigation window. The 
	layer previews are not yet scaled up again since we can not use
	gimp_preview_scale here. I have removed the preview_cache priming 
	code since we don't need it any longer and it caused bad results.

2000-12-15  Michael Natterer  <mitch@gimp.org>

	* plug-ins/helpbrowser/helpbrowser.c: added support for the
	GIMP_HELP_ROOT environment variable: Let it point to some
	directory to let the help browser read it's files from there.
	Useful for viewing the autogenerated stuff in <gimp-help>/help/C/gimp/.

2000-12-15  Michael Natterer  <mitch@gimp.org>

	* configure.in
	* help/*: Updated Gimp-Help. See help/ChangeLog for details.

	* app/channels_dialog.c
	* app/gdisplay.c
	* app/gradient.c
	* app/layers_dialog.c
	* app/menus.c
	* app/paths_dialog.c
	* app/preferences_dialog.c
	* app/resize.c: fixed menu paths.

	* plug-ins/helpbrowser/helpbrowser.c: load a special
	"undocumented_filter.html" page if a filter was not found.
	Adapted to the new help structure.

2000-12-14  Sven Neumann  <sven@gimp.org>

	* app/nav_window.c: missed a place that needed the same fix for
	bug #31098.

2000-12-14  Sven Neumann  <sven@gimp.org>

	* app/commands.c (image_resize_callback): 
	call lc_dialog_update_image_list() when resizing the image so the
	image preview is updated in the l&c dialog.

2000-12-14  Vidar Madsen  <vidar@gimp.org>

	* plug-ins/gimpressionist/brush.c: Fix to avoid a warning when
	closing window.

	* plug-ins/gimpressionist/Paper/struc.pgm
	* plug-ins/gimpressionist/Paper/Makefile.am
	* plug-ins/gimpressionist/Presets/ApplyCanvas
	* plug-ins/gimpressionist/Presets/Makefile.am: Added a paper and
	preset on request from Bex, to simulate "Apply Canvas".

2000-12-14  Sven Neumann  <sven@gimp.org>

	* app/layers_dialog.c
	* app/lc_dialog.c
	* app/nav_window.c: another try on bug #31098. This time limited the
	preview scale ratio in the calling functions. Please test!
	
	* app/gimpimage.c: small cleanup

2000-12-14  Sven Neumann  <sven@gimp.org>

	* app/menus.c: modified debug function to help to find missing 
	help files.

2000-12-14  Sven Neumann  <sven@gimp.org>

	* app/gimpimage.c
	* app/layer.c
	* app/layers_dialog.c
	* app/nav_window.c: cleaned up these files while trying to find a 
	fix for #31098. No real changes, the bug is still present :-(

2000-12-13  Sven Neumann  <sven@gimp.org>

	* app/color_picker.c
	* app/convert.c
	* app/curves.c
	* app/gimpdrawable.c
	* app/gimpimage.c
	* app/gimpimage.h
	* app/image_map.c
	* app/info_window.c
	* app/layer.c
	* app/undo.c: couldn't resist: renamed TYPE_HAS_ALPHA() to
	GIMP_IMAGE_TYPE_HAS_ALPHA()

        * plug-ins/common/sunras.c
	* plug-ins/common/xwd.c: small cleanups
	
2000-12-13  Vidar Madsen  <vidar@gimp.org>

	* plug-ins/common/spheredesigner.c: Small algo improvements.

2000-12-12  Vidar Madsen  <vidar@gimp.org>

	* plug-ins/common/spheredesigner.c: Nicer bumpmapping.

2000-12-12  Kelly Martin  <kmartin@kiva.net>

	* plug-ins/perl/Gimp/Fu.pm: fixed default JPEG quality (0.75
	  instead of 75 -- jpeg plug-in wants a fraction)

2000-12-12  Austin Donnelly  <austin@gimp.org>

	* plug-ins/common/autocrop.c: Fixed #7689: plug-in-autocrop shows
	    a progress dialog when run non-interactively.  In fact, I also
	    cleared up the initialisation code, and made it more robust.

2000-12-12  Nick Lamb  <njl195@zepler.org.uk>

	* plug-ins/common/tiff.c: Continue after errors (#28799)

Mon Dec 11 22:52:43 GMT 2000 Andy Thomas <alt@gimp.org>

	* app/gimpimage.c
        * app/layers_dialog.c
	
	Backed out some changes that caused problems with the Nav preview
	and small sized images.

2000-12-11  Sven Neumann  <sven@gimp.org>

	* app/channel.c (channel_invalidate_previews): check for NULL pointer
	
	* app/fileops.c: if saving and loading images at the same time, the
	PDB obviously manages to mangle return values. By checking the 
	validity of the returned image id we avoid to crash as described in
	bug #26788.
	
	* app/module_db.c: unload modules from the idle_loop as suggested
	by Austin in #5745.

Mon Dec 11 20:29:55 GMT 2000  Adam D. Moss <adam@gimp.org>

	* plug-ins/common/gee.c: v1.05: Sub-pixel jitter is
	now less severe and less coarse.

2000-12-11  Sven Neumann  <sven@gimp.org>

	* app/paint_core.c: clamp scale factor between 0.0 and 1.0 to avoid
	problems with broken XInput drivers. Should fix bug #18913.

2000-12-11  Sven Neumann  <sven@gimp.org>

	* configure.in
	* plug-ins/print/Makefile.am: removed obsolete checks for lpc, lpstat
	and friends

	* plug-ins/perl/examples/blended2
	* plug-ins/perl/examples/translogo: register with the correct image
	types. Fixes bug #10675.
	
2000-12-11  Sven Neumann  <sven@gimp.org>

	* plug-ins/gdyntext/font_selection.c
	* plug-ins/winsnap/winsnap.c: use new GTK+ API
	s/gtk_toggle_button_set_state/gtk_toggle_button_set_active/
	s/gtk_container_border_width/gtk_container_set_border_width/
	
2000-12-11  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/convmatrix.c: return with an error message if
	called with drawables smaller than 3 pixels. Fixes bug #30870.

2000-12-11  Sven Neumann  <sven@gimp.org>

	* app/gradient.c: use the correct pointer when dumping gradients to
	stderr in case of problems. Sort of fixes bug #31510.

2000-12-11  Sven Neumann  <sven@gimp.org>

	* app/gimphistogram.c (gimp_histogram_calculate_sub_region): 
	corrected incrementor for the bpp == 4 case. Fixes bug #34738.

2000-12-11  Vidar Madsen  <vidar@gimp.org>

	* plug-ins/gimpressionist/repaint.c: Fixed a bug appearing
	when using Tileable + Center of Brush coloring, closing #14221.

2000-12-11  Vidar Madsen  <vidar@gimp.org>

	* plug-ins/gimpressionist/repaint.c: Fixed a bug when using
	Paper Relief, closing bug #34667.
	* plug-ins/gimpressionist/gimpressionist.c: Moved the Presets tab
	to the far left.

2000-12-11  Sven Neumann  <sven@gimp.org>

	* app/edit_selection.c
	* app/gimpimage.c
	* app/layer_select.c
	* app/layers_dialog.c: when computing a preview, limit the scale ratio
	to a maximum of 1.0. By doing so we avoid to scale drawables up if the
	image (canvas) size becomes larger than the drawable. Fixes bug #31098.

	* app/gimppreviewcache.[ch]: indented

2000-12-11  Michael Natterer  <mitch@gimp.org>

	* configure.in: forgot to bump gimp-print's version number and
	release date when updating to 4.0.4

Sat Dec  9 11:43:33 PST 2000 Manish Singh <yosh@gimp.org>

	* Made 1.1.30 release (1.2final)

2000-12-07  Vidar Madsen  <vidar@gimp.org>

	* plug-ins/gimpressionist/Brushes/{Makefile.in,snow1.pgm}: Added a
	brush contributed by Nevit <nevilo@yahoo.com>.

2000-12-07  Sven Neumann  <sven@gimp.org>

	* plug-ins/MapObject/mapobject_image.c: set the background using 
	gimp_palette_get_background() in non-interactive mode too.

2000-12-03  Sven Neumann  <sven@gimp.org>

	* app/gimpimage.c: when merging layers, do not set the layer mode 
	of the bottom layer to NORMAL_MODE if it is DISSOLVE_MODE since the 
	latter does not work on the projection with the lower layer but on 
	the layers alpha channel. Fixes bug #7829.

2000-12-03  Michael Natterer  <mitch@gimp.org>

	* app/layers_dialog.c: when applying or deleting the layer mask,
	we have to call layers_dialog_set_menu_sensitivity() ourselves
	whenever calling layer_widget_layer_flush() instead of
	gdisplays_flush().

2000-12-03  Michael Natterer  <mitch@gimp.org>

	* plug-ins/gflare/gflare.c
	* libgimp/gimpunitmenu.c
	* libgimp/gimpwidgets.c: set separators of option menus insensitive.
	(see Sven's fix below).

	* app/layers_dialog.c: set "Merge Down" insensitive for
	the bottom layer.

2000-12-03  Sven Neumann  <sven@gimp.org>

	* app/layer.c
	* app/layers_dialog.c
	* plug-ins/common/jpeg.c: reviewed code in an attempt to fix the 
	crash-on-jpeg-save. The only thing that I have changed (despite 
	lots of indentation) is that we now connect the preview rewdraw
	using gtk_signal_connect_while_alive() which should keep gimp from
	trying to create previews of nonexistant drawables.
	
2000-12-03  Sven Neumann  <sven@gimp.org>

	* libgimp/gimpunitmenu.c (gimp_unit_menu_new): set empty menu_items
	used as separators insensitive. Something seems to be wrong in GTK+
	when it comes to separators in option_menus. This change seems to 
	work around this problem.

2000-12-03  Sven Neumann  <sven@gimp.org>

	* PLUGIN_MAINTAINERS: changed email address of Wolfgang Hofer
	
	* plug-ins/gap/README
	* plug-ins/gap/gap_decode_mpeg_main.c
	* plug-ins/gap/gap_decode_xanim.c
	* plug-ins/gap/gap_filter_codegen.c
	* plug-ins/gap/gap_filter_foreach.c
	* plug-ins/gap/gap_filter_main.c
	* plug-ins/gap/gap_frontends_main.c
	* plug-ins/gap/gap_lib.c
	* plug-ins/gap/gap_lib.h
	* plug-ins/gap/gap_main.c
	* plug-ins/gap/gap_match.c
	* plug-ins/gap/gap_mod_layer.c
	* plug-ins/gap/gap_mov_dialog.c
	* plug-ins/gap/gap_mov_dialog.h
	* plug-ins/gap/gap_mov_exec.c
	* plug-ins/gap/gap_mov_exec.h
	* plug-ins/gap/gap_navigator_dialog.c
	* plug-ins/gap/resize.c
	* plug-ins/gap/sel-to-anim-img.scm: 
	applied patches provided by Wolfgang Hofer <hof@gimp.org>
	
	- Bugfix: replaced MovePath's intern Algorithm for calculating 
	  Values between controlpoints (the old Algorithm fails sometimes
	  especially if only 1 controlpoint is used, or if you have n 
	  frames and n-1 controlpoints)
	- new e-mail adress
	- replaced sprintf (used g_strdup_printf g_snprintf)
	- procedures for gap locks, check for locking processes pid
	- NONINTERACTIVE PDB Interface(s) for MovePath 
	  plug_in_gap_get_animinfo, plug_in_gap_set_framerate    
	- FRAME based Stepmodes for MovePath
	- increased controlpoint limit GAP_MOV_MAX_POINT (256 -> 1024)

2000-12-02  Michael Natterer  <mitch@gimp.org>

	* plug-ins/print/README
	* plug-ins/print/RELNOTES
	* plug-ins/print/print-util.c: Updated to bugfix release 4.0.4

2000-11-30  Andy Thomas <alt@gimp.org>

	* app/curves.c
        * app/levels.c
	
	Fix for gimp bug #33403. The curves and levels dialogs should now
	work in GRAYA images.

2000-11-29  Austin Donnelly  <austin@gimp.org>

	* app/curves.c: Applied patch from David Hodson
	    <hodsond@ozemail.com.au> to fix Bug#33399: GIMP crashes when
	    applying curve to Grayscaled image when preview is off.
	    Previously the curves tool attempted a reset when changing
	    image, but didn't correctly do this.  Now it has the
	    (more useful) behaviour of doing a partial reset, where the
	    curve remains the same across multiple invocations, allowing
	    you to apply the same tweak to multiple images.  The internal
	    state relevant to image type/depth is correctly reset,
	    stopping the segfault behaviour seen before.

	    Still no fix for Bug#33403: Curves/Levels Tool does not work
	    on GRAYA-Images.

2000-11-27  Michael Natterer  <mitch@gimp.org>

	* libgimp/gimpwidgets.c: use RINT() instead or rint(). Sprinkled
	some GPOINTER_TO_INT() and other macros where we used to cast
	directly. Minor doc fixes.

2000-11-27  Sven Neumann  <sven@gimp.org>

	* libgimp/gimpwidgets.c (gimp_int_adjustment_update): use rint(). 
	The old behaviour was broken for neagtive values.

2000-11-27  Michael Natterer  <mitch@gimp.org>

	* plug-ins/print/README
	* plug-ins/print/RELNOTES
	* plug-ins/print/print-pcl.c: Version 4.0.3

2000-11-27  Austin Donnelly <austin@gimp.org>

	* plug-ins/ifscompose/ifscompose.c
	* plug-ins/ifscompose/ifscompose_storage.c: Element labels now
	    properly preserved across multiple runs.  Allow run with same
	    values.  This is a partial fix for Bug#9156: bug in ifscompose.
	    Not all the behaviour described in that bug report could be
	    reproduced.  Thanks to David Hodson <hodsond@ozemail.com.au>
	    for putting the work in to sort this out and produce the patch.

2000-11-26  Sven Neumann  <sven@gimp.org>

	* PLUG_IN_MAINTAINERS
	* plug-ins/common/unsharp.c: changed email address of Winston Chang 

	* app/gdisplay_color_ui.c: applied a modified version of another
	patch sent by David Odin <David.Odin@bigfoot.com> which sets the
	sensitivity of the buttons in the dialog according to the possible
	actions.
	
2000-11-26  Sven Neumann  <sven@gimp.org>

	* gimp_splash.ppm: new splash, original photo taken by Garrett.

2000-11-24  Garry R. Osgood <gosgood@idt.net>

	* app/smudge.c:
 	Defer tool initialization to first motion event.
	Fixes latency problem that gave rise to Shift-smudge bug. 
	Closes #30778. 

2000-11-24  Sven Neumann  <sven@gimp.org>

	* INSTALL: mention that GIMP will not compile, nor work with 
	unstable GTK+ version 1.3.x.

2000-11-21  Sven Neumann  <sven@gimp.org>

	* app/gdisplay_color.c
	* app/gdisplay_color_ui.c: applied patches proposed by 
	David Odin <David.Odin@bigfoot.com>. Fixes segfault when removing
	a display filter twice.

2000-11-21  Austin Donnelly  <austin@gimp.org>

	* plug-ins/common/exchange.c: fixed buffer overrun when previewing
	    an image with alpha that was causing segfaults on Linux.
	    Fixes Bug#32860.

2000-11-20  Sven Neumann  <sven@gimp.org>

	* app/convert.c (build_palette_button): changed the logic that sets
	the default for "Custom Palette" so it goes through the whole list
	instead of stopping at the "Web" palette. The Indexed-Conversion 
	dialog now also remembers palettes appearing after the "Web" palette.

2000-11-19  Nick Lamb  <njl195@zepler.org.uk>

	* plug-ins/common/tiff.c: Little-endian fix for 16bit TIFF
	* plug-ins/common/pcx.c: Use same endian-detect as other plug-ins

2000-11-19  Michael Natterer  <mitch@gimp.org>

	* libgimp/gimpenv.c: a missing newline confused gtk-doc. Minor doc 
	fixes.

2000-11-18  Nick Lamb  <njl195@zepler.org.uk>

	* plug-ins/common/tga.c: Fix alleged problem with small images

2000-11-18  Michael Natterer  <mitch@gimp.org>

	* plug-ins/rcm/rcm_pixmaps.h: removed.

	* plug-ins/rcm/pixmaps/.cvsignore
	* plug-ins/rcm/pixmaps/rcm_360.xpm
	* plug-ins/rcm/pixmaps/rcm_a_b.xpm
	* plug-ins/rcm/pixmaps/rcm_ccw.xpm
	* plug-ins/rcm/pixmaps/rcm_cw.xpm: new files.

	* plug-ins/rcm/Makefile.am
	* plug-ins/rcm/rcm_callback.c
	* plug-ins/rcm/rcm_dialog.c: changed accordingly.

	The old method was producing warnings because not all pixmaps
	were used in all files. Also changed the XPMs a bit now that I
	could load them into the GIMP... they are still ugly, though.

2000-11-18  Michael Natterer  <mitch@gimp.org>

	* plug-ins/print/Makefile.am
	* plug-ins/print/print.c: Oops, didn't see Sven's patch when applying
	a different one to both sourceforge branches:

	Don't define LOCALE in Makefile.am but check if the macro
	INIT_I18N_UI exists and use it in that case.

2000-11-18  Michael Natterer  <mitch@gimp.org>

	* app/fileops.c
	* libgimp/gimpquerybox.[ch]: Make sure that we don't try to destroy
	query_boxes twice or try to disconnect not-any-more connected
	handlers.

	* app/color_notebook.c
	* app/gimpcontext.[ch]
	* app/gimphelp.[ch]
	* app/lc_dialog.[ch]
	* app/menus.h
	* app/preferences_dialog.c
	* app/tools.[ch]
	* libgimp/gimpcolorbutton.[ch]
	* libgimp/gimpdialog.[ch]
	* libgimp/gimpexport.[ch]
	* libgimp/gimpfileselection.[ch]
	* libgimp/gimphelpui.[ch]
	* libgimp/gimppatheditor.[ch]
	* libgimp/gimppixmap.[ch]
	* libgimp/gimpsizeentry.[ch]
	* libgimp/gimpui.[ch]
	* libgimp/gimpunitmenu.[ch]
	* libgimp/gimpwidgets.[ch]: in a coding attack, changed help_data
	and many other strings passed to UI functions to (const gchar *).
	As a consequence, I had to fix lots of warnings ;)

	* plug-ins/common/tga.c
	* plug-ins/imagemap/imap_main.c: fixed warnings.

	Code cleanup and indentation all over the place.

2000-11-16  Sven Neumann  <sven@gimp.org>

	* plug-ins/print/Makefile.am
	* plug-ins/print/print.c: set the locale to "gimp-std-plug-ins". We
	do this by defining LOCALE in the Makefile so the gimp-print people
	can define their own value and we can still continue to use the same 
	C files that ship with the standalone gimp-print package. Thanks to
	Zbigniew Chyla <cyba@gnome.pl> for pointing this out.

2000-11-15  Sven Neumann  <sven@gimp.org>

	* app/fileops.c: we used to g_free memory returned by strdup() here!
	Also we used to append DIR_SEPARATORs to the filename shown in the
	file_selector even if it already ended in one. Fixed all this, closed
	a memleak and cleaned up the code.

Mon Nov 13 01:28:24 PST 2000 Manish Singh <yosh@gimp.org>

	* plug-ins/common/url.c: set all the locale variables we can, to
	make sure we get predictable output from wget

2000-11-11  Simon Budig <simon@gimp.org>

	* app/interface.c: fixed #10554 by requesting a window
	with the max. size of 0.75*screen_width x 0.75*screen_height.
	These 75% value is taken from the shrink_wrap code and
	probably should be configurable...

2000-11-11  Tor Lillqvist  <tml@iki.fi>

	* plug-ins/common/gpb.c: Implement the noninteractive run mode for
	file_gih_save. Whew, it took some trial-and-error iterations to
	figure out how to call this from script-fu, for testing, because
	of the int8 and string array args. Include script-fu snippet in
	comment for reference.

2000-11-11 Garry R. Osgood <gosgood>@idt.net

	* app/gimpbrushpipe.c
	Apropos to #8150, double frees of RGB
	mask and brush name strings belonging to the the 
	last successfully constructed pixmap brush of a pipe 
	occured due to dangling pointers to these regions left 
	in the temporary GPattern [gimpbrushpipe.c CVS-1.27 Lines
	396 ff]. Upon failure to load an n-th pixmap, the
	GPattern would be released first, also releasing n-1
	pixmap's name and RGB mask. These would again be freed
	in pipe deconstruction. Heap memory would
	remain corrupt for any type "2" variant of the bug, as 
	defined by Raphael Quinet in his original #8150 report.
 	Examples: (1) the rank cited in the pipe header is 
	inconsistent with actual pixmap content of pipe, or (2)
	a component pixmap is missing or corrupt.

2000-11-11  Tor Lillqvist  <tml@iki.fi>

	* plug-ins/gimpressionist/gimpressionist.c (readdirintolist_real,
	reselect): Use '/' instead of G_DIR_SEPARATOR. We are scanning a
	"preset" file here, with file names always in Unix format. Thanks
	to Jean-Louis HAMEL for this fix.

Thu Nov  9 14:29:20 PST 2000 Manish Singh <yosh@gimp.org>

	* AUTHORS
	* app/authors.h
	* tools/authorsgen/contributors: Correct Ray Lehtiniemi's name

2000-11-09  Sven Neumann  <sven@gimp.org>

	* plug-ins/gap/gap_lib.c: removed some debugging printf statements 
	that were accidentally left in the code.

2000-11-09  Michael Natterer  <mitch@gimp.org>

	* app/fileops.c: added a confirm dialog for <Image>/File/Revert
	as suggested by Marc. The old behaviour of simply reverting
	withuot asking is questionable because the "Revert" menu item is
	directly below "Save as..."

2000-11-08  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/tile.c (tile): sanity check new width and height.
	Wrong values might result in a divide by zero.

2000-11-08  Michael Natterer  <mitch@gimp.org>

	* plug-ins/common/bz2.c
	* plug-ins/common/gz.c
	* plug-ins/common/mail.c
	* plug-ins/common/screenshot.c
	* plug-ins/common/url.c: applied a (modified) version of
	gimp-quinet-20001108-1.patch which adds proper checking of the
	return value of waitpid(). Removed the lines adding
	gimp_signal_private() because of the fix below.

	* libgimp/gimp.c: Don't install a SIGCHLD signal handler but simply
	call gimp_signal_private(SIGCHLD, SIG_DFL, SA_RESTART) instead.

	This is IMHO the right thing to do because the reason for the
	introducion of the signal handler was the SA_RESTART feature
	and not the handler itself.

2000-11-08  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/scripts/perspective-shadow.scm: fixed bug 
	#10151 (Script-fu shadow perspective doesn't work properly).

2000-11-08  Sven Neumann  <sven@gimp.org>	

	* plug-ins/common/jpeg.c: fixed the option_menu code for the
	DCT and subsampling options. Fixes bug #31253.

2000-11-08  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/script-fu-scripts.c: cleaned up the code and 
	moved interface variables into a structure, thus getting rid of 
	most global variables. When a script is run, we now check that 
	there's no Script-Fu interface active and fail silently if there 
	is one. This is an ugly workaround for the fact that the script-fu 
	interpreter can not handle multiple scripts at the same time. 
	Sort of fixes bug #30665.

	While I was on it, I added proper error reporting for script-fu
	which should help significantly when debugging script-fus.
	
	* plug-ins/script-fu/script-fu.c: indentation and small cleanups.
	
	* plug-ins/script-fu/scripts/title-header.scm: fixed this script
	which had been broken for a long time.

2000-11-08  Michael Natterer  <mitch@gimp.org>

	* plug-ins/fp/fp_gdk.c
	* plug-ins/fp/fp_gtk.c: #include <libgimp/gimpmath.h> g* types, stuff.

2000-11-08  Michael Natterer  <mitch@gimp.org>

	* plug-ins/print/RELNOTES
	* plug-ins/print/print-canon.c: Version 4.0.2 (this time the
	official one, not just the README saying 4.0.2 :)

2000-11-08  Michael Natterer  <mitch@gimp.org>

	* Makefile.am
	* gimp.spec.in
	* user_install
	* gtkrc_user: new file gtkrc_user which gets installed as
	~/.gimp-1-1/gtkrc (We used to parse the same file twice if the
	user didn't change the user-specific gtkrc. The new file has
	comments only).

	* app/app_procs.c: g_free() the user gtkrc filename after use.

	* libgimp/gimpui.c: parse the user gtkrc here too.

2000-11-07  Sven Neumann  <sven@gimp.org>

	* app/text_tool.c (text_get_extents): use gdk_fontset_load() as we
	do in text_render(). Supposed to fix #31099.

2000-11-07  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/screenshot.c: applied a patch from Raphael
	Quinet which adds a check for the return value of waitpid().

2000-11-06  Daniel Egger <egger@suse.de>

	* configure.in: Added new language hr (Croatian).

2000-11-06  Sven Neumann  <sven@gimp.org>

	* plug-ins/gap/gap_filter_foreach.c
	* plug-ins/gap/gap_filter_pdb.c
	* plug-ins/gap/gap_lib.c
	* plug-ins/gap/gap_mod_layer.c
	* plug-ins/gap/gap_range_ops.c
	* plug-ins/gap/gap_split.c: check if return_value of PDB calls is
	!= GIMP_PDB_SUCCESS, not == FALSE. Use GIMP_RUN_WITH_LAST_VALS on
	consecutive calls of gimp_file_save procedures, so the values set
	in the first interactive call are used for all frames.
		
2000-11-06  Sven Neumann  <sven@gimp.org>

	* app/convolve.[ch]: moved the new enum Garry introduced recently
	from the header to the .c file so it does not get exported to the
	PDB by enumgen.pl.

2000-11-05  Jay Cox  <jaycox@gimp.org>

	* app/paint_funcs.c:  Add some comments.  Delete some commented code.
	* app/gimpbrushlist.c:  Make sure that we are not using bad file names
	for generated brushes.

2000-11-04 Garry R. Osgood <gosgood@idt.net>

	* app/convolve.c
	* app/convolve.h
	When the  convolution tool finds itself
	within a brush-mask width of the image
	edge it internally allocates pseudo pixels
	beyond the image edge. This allows the center
	of the convolution matrix to operate right
	at the image edge. closes #19285. See gorey details
	at http://idt.net/~gosgood/gimp-patch/patch08.html.

2000-11-04  Michael Natterer  <mitch@gimp.org>

	* configure.in
	* plug-ins/print/README
	* plug-ins/print/RELNOTES: ...and 4.0.2 :)

2000-11-04  Michael Natterer  <mitch@gimp.org>

	* configure.in
	* plug-ins/print/RELNOTES: gimp-print version 4.0.1

2000-11-03  Sven Neumann  <sven@gimp.org>

	* app/app_procs.c (app_init): parse the users gtkrc as found in
	~/.gimp-1.1 after the systemwide gtkrc has been parsed.

	* user_install.bat: reverted Tor's change since we use the file
	again now.
	
2000-11-03  David Monniaux  <monniaux@quatramaran.ens.fr>

	* autogen.sh: some regexps used to parse the output of
	  <some tool> --version did not work with Solaris sed.

2000-11-03  Nick Lamb  <njl195@zepler.org.uk>

	* PLUGIN_MAINTAINERS: I'll take BMP and TGA too, any more?

2000-11-03  Nick Lamb  <njl195@zepler.org.uk>

	* plug-ins/common/tga.c: Shiny new version. Report bugs to me.

2000-11-02  Tor Lillqvist  <tml@iki.fi>

	* user_install.bat: Don't copy gtkrc any longer, not used.

2000-10-31  Sven Neumann  <sven@gimp.org>

	* plug-ins/print/escputil.1.in: Robert L Krawitz <rlk@alum.mit.edu>
	filled the empty spaces.
	
Mon Oct 30 22:55:32 PST 2000 Manish Singh <yosh@gimp.org>

	* Made 1.1.29 release (1.2final)

2000-10-29  Sven Neumann  <sven@gimp.org>

	* configure.in
	* plug-ins/print/Makefile.am
	* plug-ins/print/escputil.1.in: added framework for a manpage
	describing our new tool, escputil. Someone needs to fill in 
	some descriptive words here...

	* gimp.spec.in:
	* debian/gimp1.1.files: added entries for escputil and escputil.1
	
2000-10-29  Michael Natterer  <mitch@gimp.org>

	* plug-ins/print/escputil.c
	* plug-ins/print/.cvsignore
	* plug-ins/print/Makefile.am: new tool which installs under
	<prefix>/bin and does stuff like cleaning and adjusting your
	printer's head.

	* plug-ins/print/README
	* plug-ins/print/RELNOTES: these files already say 4.0.1 now but I
	didn't tag the sourceforge tree of bumped the version number in
	Makefile.am (it's just about getting in the new executable as early
	as possible).

2000-10-29  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/screenshot.c: tuned the dialog layout and cleaned
	up the code. No real changes.

2000-10-29  Michael Natterer  <mitch@gimp.org>

	* app/main.c: the argv[] element containing "-g" or "--gimprc"
	was not set to NULL, fixed broken (tabsize != 8) indentation.

2000-10-29  Michael Natterer  <mitch@gimp.org>

	* app/menus.c: after getting confused again by the boolean
	"initialize" variable, I finally decided to reverse it's
	logic and changed it to "menus_initialized".

2000-10-29  Michael Natterer  <mitch@gimp.org>

	* plug-ins/print/Makefile.am
	* plug-ins/print/README
	* plug-ins/print/RELNOTES
	* plug-ins/print/print-canon.c
	* plug-ins/print/print-pcl.c: Gimp-Print Version 4.0.0

2000-10-28  Tor Lillqvist  <tml@iki.fi>

	* app/gimprc.c (parse_gimprc_file) 
	* libgimp/gimpenv.c (gimp_directory): Make sure the directory
	doesn't get double path separators in case HOME ends with one. On
	Windows, if the user has set his HOME to \, we get into trouble
	when we try to access a path like \\_gimp1.1\gimprc. Windows
	thinks it's an UNC path to a network server called "_gimp1.1", and
	the program hangs for a moment.

2000-10-28  Michael Natterer  <mitch@gimp.org>

	* app/gimpdrawable.[ch]
	* libgimp/gimpsizeentry.c: did some code review: s/0/NULL/,
	s/sprintf/g_snprintf/, spacing.

2000-10-27  Michael Natterer  <mitch@gimp.org>

	* plug-ins/common/gauss_iir.c
	* plug-ins/common/gauss_rle.c
	* plug-ins/common/grid.c
	* plug-ins/common/spread.c
	* plug-ins/common/tile.c
	* plug-ins/gflare/gflare.c: RINT (gimp_size_entry_get_refval ()),
	indentation.

2000-10-27  Michael Natterer  <mitch@gimp.org>

	* app/resize.c: same RINT (gimp_size_entry_get_refval ()) fix as
	below and cleanup.

2000-10-26  Sven Neumann  <sven@gimp.org>

	* app/channel_ops.c (offset_ok_callback): avoid modulo operation on 
	negative values.

	* app/channel_ops.c
	* app/crop.c
	* app/file_new_dialog.c
	* app/layers_dialog.c
	* app/preferences_dialog.c
	* app/rotate_tool.c
	* app/scale_tool.c: use RINT() when assigning the result of 
	gimp_size_entry_get_refval() to an integer.

Thu Oct 26 10:58:23 PDT 2000 Manish Singh <yosh@gimp.org>

	* INSTALL: clear up use of --prefix

2000-09-30  Nick Lamb  <njl195@zepler.org.uk>

	* plug-ins/common/tiff.c: Fix #27994 (corruption of tiled tiffs)

2000-10-24  Daniel Egger <egger@suse.de>

	* app/image_render.c:
	* app/tile.h: Revert last patch because it broke 
	the renderer for some people.

2000-10-24  Daniel Egger <egger@suse.de>

	* app/image_render.c:
	* app/tile.h: Removed the JIT calculation of the tile_shift
	value and replaced it by a constant called TILE_SHIFT in tile.h.
	This gives the compiler a better chance to optimize the code.
	Also added a few consts all over the place to give the compiler
	some hints.

2000-10-24  Simon Budig  <simon@gimp.org>

	* gimp_splash.ppm  A new splash-screen  (not for 1.2...)    :-)

2000-10-24  Michael Natterer  <mitch@gimp.org>

	* libgimp/gimpsizeentry.c: don't ask for GIMP_UNIT_PIXEL's number
	of digits, code cleanup.

2000-10-22  Sven Neumann  <sven@gimp.org>

	* app/edit_selection.[ch]: plugged memleak (similar to the one that 
	was present in gtkutil_compress_motion()) in the key snooper.

	Round moves to nearest integer instead of truncating the value.
	This seems to fix the reported redraw problems when moving 
	selections at low zoom levels.
	
	Cleaned up the code a little and converted enum values to uppercase.

	* app/bezier_select.c
	* app/free_select.c
	* app/fuzzy_select.c
	* app/move.c
	* app/rect_select.c
	* app/text_tool.c: updated to use the new EditType enum values.
	
	* app/gimprc.c: minor optimization in the GList handling.

	* app/layer.[ch]: removed unused functions.
	
	* app/menus.c: removed "Dump Items (Debug)" menu entry.

2000-10-21  Michael Natterer  <mitch@gimp.org>

	* plug-ins/print/RELNOTES: new file

	* plug-ins/print/Makefile.am
	* plug-ins/print/README
	* plug-ins/print/print-escp2.c
	* plug-ins/print/print-pcl.c
	* plug-ins/print/print-printers.c
	* plug-ins/print/print-weave.c: Updated to the latest CVS version
	of gimp-print's new stable "print-4_0_branch" branch.

2000-10-21  Austin Donnelly  <austin@gimp.org>

	* plug-ins/common/nlfilt.c: minor patch from David Hodson
	    <hodsond@ozemail.com.au> to fix off-by-one error in previous fix.

	* AUTHORS
	* app/authors.h
	* tools/authorsgen/contributors: Add the prolific David Hodson
	to the authors list.

2000-10-19  Seth Burgess  <sjburges@gimp.org>
  
    	* plug-ins/common/xbm.c : oops, should have compiled it before
	committing. 

2000-10-19  Seth Burgess  <sjburges@gimp.org>

	* plug-ins/common/xbm.c : fixed parasite handling so passed in 
	strings and hotspots aren't overwritten with parasite.
	
	* plug-ins/common/csource.c : noted that has no non-interactive 
	runmode in the Help string.
	
	* plug-ins/common/gif.c
	* plug-ins/common/tiff.c : Added help string describing 
	gimp-comment parasite to Help string.

2000-10-19  Sven Neumann  <sven@gimp.org>

	* app/authors.h
	* tools/authorsgen/contributors: updated after Seth's change to
	AUTHORS. Please do always change the file contributors, then run
	authorsgen.

2000-10-18  Seth Burgess <sjburges@gimp.org>

	*app/color_cmds.c
	*tools/pdbgen/pdb/color.pdb: patch from Tom Rathborne
	<tomr@aceldama.com> to enable ALPHA_LUT on the levels PDB 
	interface.

2000-10-18  Daniel Egger  <egger@suse.de>

	* app/resize.c: Add a patch from 
	Tino Schwarze <tino.schwarze@informatik.tu-chemnitz.de>
	to add a reset button to the image resize dialog.

2000-10-18  Sven Neumann  <sven@gimp.org>

	* app/cursorutil.c (gtkutil_compress_motion): as Mitch pointed out we
	used to leak GList memory here. The new implementation should be 
	faster too, since it prepends to the list instead of appending.

2000-10-18  Michael Natterer  <mitch@gimp.org>

	* plug-ins/helpbrowser/Makefile.am: added $GTK_CFLAGS and $GTK_LIBS.
	Closes #28491.

2000-10-18  Sven Neumann  <sven@gimp.org>

	* gimp.m4: as Garrick James correctly pointed out, GPlugInInfo was
	changed to GimpPlugInInfo with version 1.1.24, not 1.1.20.

2000-10-17  Michael Natterer  <mitch@gimp.org>

	* libgimp/gimp.c: gimp_uninstall_temp_proc(): free the original
	hash key _after_ removing the procedure from the hash table.

	I didn't observe any crash from this bug, but as the function
	is called *only* from

	- plug-ins/perl/Gimp/Lib.c and
	- plug-ins/script-fu/script-fu-scripts.c

	it may have been the reason for various reported perl<->script-fu
	problems. Bug reporters, please check your bugs.

x2000-10-17  Sven Neumann  <sven@gimp.org>

	* app/paint_funcs.c
	* app/pixel_processor.c
	* plug-ins/common/pix.c
	* plug-ins/gap/gap_pdb_calls.c
	* plug-ins/gdyntext/message_window.c
	* plug-ins/xjt/xjpeg.c: removed compiler warnings

2000-10-17  Tor Lillqvist  <tml@iki.fi>

	* app/makefile.mingw.in (gimp_OBJECTS): Add
	resolution_calibrate.o.

	* app/user_install.c (user_install_run): Add missing semicolon.

	* tips/makefile.mingw (install): Copy gimp_tips.txt separately. We
	used to get gimp_tips.txt.txt because of `basename $f .utf8`.

Tue Oct 17 03:55:44 CEST 2000  Marc Lehmann <pcg@goof.com>
	Applied patch by Robert L Krawitz <rlk@alum.mit.edu>.

        * gimp.m4: Don't barf if an old version of gimptool is used
        that doesn't support GIMP_DATA_DIR and GIMP_PLUGIN_DIR and
        Work correctly with versions of the Gimp that don't have the
        GIMP_CHECK_VERSION macro (if any).

Mon Oct 16 11:57:17 PDT 2000 Manish Singh <yosh@gimp.org>

	* Made 1.1.28 release (1.2pre)

Mon Oct 16 11:53:29 PDT 2000 Manish Singh <yosh@gimp.org>

	* Makefile.am: added docs/Wilber.svg to EXTRA_DIST

	* plug-ins/common/pnm.c: fix usage of %s in a CHECK_FOR_ERROR
	(can't do that with that macro)

2000-10-16  Sven Neumann  <sven@gimp.org>

	* libgimp/gimpfeatures.h.in: added GIMP_HAVE_SYSCONFDIR

2000-10-16  Sven Neumann  <sven@gimp.org>

	* gimp.spec.in: make it work with my modifications of Ben's patch.

	* modules/cdisplay_gamma.c
	* modules/cdisplay_highcontrast.c: applied patch by Radim Kolar that
	initializes the interface of the configure dialogs correctly.

2000-10-15  Michael Natterer  <mitch@gimp.org>

	* libgimp/gimpwidgets.c: gimp_mem_size_entry_new(): fixed typo:
	s/4069/4096/ (reported by David Odin <David.Odin@bigfoot.com>)

2000-10-14  Sven Neumann  <sven@gimp.org>

	* Makefile.am
	* configure.in
	* gimp.1.in
	* gimp.spec.in
	* gimprc.5.in
	* user_install
	* user_install.bat
	* app/gimprc.c
	* app/user_install.c
	* libgimp/Makefile.am
	* libgimp/gimpenv.[ch]: applied a modified version of 
	gimp-che-20001013-2, a patch from Ben Gertzfield <che@debian.org> 
	that moves the system-dependant configuration files (gimprc and 
	friends) into $prefix/etc/gimp/1.1.
	
2000-10-14  Sven Neumann  <sven@gimp.org>

	* plug-ins/print/Makefile.am
	* plug-ins/print/README
	* plug-ins/print/gimp_main_window.c
	* plug-ins/print/print-canon.c
	* plug-ins/print/print-escp2.c
	* plug-ins/print/print-pcl.c
	* plug-ins/print/print-printers.c
	* plug-ins/print/print-util.c
	* plug-ins/print/print.c: updated gimp-print to version 4.0b3

2000-10-14  Sven Neumann  <sven@gimp.org>

	* app/user_install.c: applied gimp-che-20001013-2, a patch from Ben 
	Gertzfield which fixes a misuse of "it's", changing it to "its".

2000-10-14  Daniel Egger  <egger@suse.de>

	* README.i18n: Added a few words about "Tip of the Day" translations
	by <miha.tomsic@guest.arnes.si>.

2000-10-14  Austin Donnelly  <austin@gimp.org>

	* plug-ins/common/nlfilt.c: applied patch by David Hodson
	    <hodsond@ozemail.com.au> to fix Bugs:
	      #12299 NL Filter: shift by one pixel
	      #25968 NL Filter gives strange effects when using alpha > 0.5
	    Slightly changed from original patch to merge in Sven's
	    changes to nlfilt and correct a memory trampling bug.

2000-10-12  Kevin Turner  <acapnotic@users.sourceforge.net>

	(applying patch from maru)
	
	* plug-ins/common/blur.c: use double callback for double data.
	Why repeat count is a double, we'll never know.
	
	* plug-ins/perl/examples/xachshadow
	* plug-ins/perl/examples/xachlego: set non-zero limits on some 
	parameters.	
	

2000-10-09  Michael Natterer  <mitch@gimp.org>

	* gimp_splash.ppm: A nicer one (this time without
	version number) from our reporter in Gimpland,
	Gerald Brosseau <os2user@contact.net>

2000-10-09  Sven Neumann  <sven@gimp.org>

	* gimp.m4: try to make it work again

2000-10-07  Michael Natterer  <mitch@gimp.org>

	* AUTHORS
	* app/authors.h: somehow Sven's latest "contributors" update
	didn't make it here.

2000-10-07  Michael Natterer  <mitch@gimp.org>

	* gimp_splash.ppm: it's not 1.1.26 but shiny NEW and UPDATED
	1.1.27... It's your chance: GET GIMP STOCK OPTIONS.

2000-10-06  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/ps.c: applied gimp-kirchgessner-001005-0
	Check if input filename keeps a space. Then enclose filename 
	in " or ' before passing to ghostscript. Otherwise it can't be 
	interpreted.

	* tips/gimp_tips.pl.txt
	* tools/authorsgen/contributors: applied gimp-art-20000926-0
	Updates to the polish translation by Artur Polaczynski 
	<artie@kmfms.com>

2000-10-05  Sven Neumann  <sven@gimp.org>

	* plug-ins/rcm/rcm_dialog.c: fixed typo

Wed Oct  4 16:18:11 PDT 2000 Manish Singh <yosh@gimp.org>

	* Made 1.1.27 release (1.2pre)

2000-10-05  Simon Budig  <simon@gimp.org>

	* app/paths_dialog.c: Made the import path command work as
	  intended. Now files can contain multiple paths (simply
	  cat path files together). Note, that this is a bugfix:
	  I just moved one line in the code - I like that...  :-)
	  
2000-10-04  Michael Natterer  <mitch@gimp.org>

	* plug-ins/print/*: a fresh snapshot of the CVS version from
	sourceforge. Added new files "AUTHORS" and "print-intl.h".

	The files are identical now (no need any more to add stuff like
	#include "config.h" to make them work in the GIMP tree).

2000-10-03  Simon Budig  <simon@gimp.org>

	* tools/gimppath2svg.py: New file: Script to convert an exported
	  gimp-path to a simple SVG-File.

2000-10-03  Michael Natterer  <mitch@gimp.org>

	* plug-ins/common/align_layers.c: Fixed cut'n'paste bug #26203.

2000-10-03  Michael Natterer  <mitch@gimp.org>

	* plug-ins/gdyntext/gdyntext.c: added a missing "break". Fixes #26268.

Tue Oct  3 18:05:53 CEST 2000  Marc Lehmann <pcg@goof.com>

	* plug-ins/common/exchange.c: Try to fix bug #26614.

2000-10-02  Simon Budig  <simon@gimp.org>

	* docs/Wilber.svg: New file: Our favourite pet in a svg-version  :-)

2000-10-02  Michael Natterer  <mitch@gimp.org>

	* app/undo.c: resize the cursor label if the shrink_wrap flag is
	set. Closes #21936.

2000-10-01  Michael Natterer  <mitch@gimp.org>

	* app/gimpbrush.c
	* app/gimpbrushpipe.c
	* app/pattern_header.h
	* app/patterns.c: (Hopefully) fixed #8150.

	- If something goes wrong during loading, free the resp. object
	  immediately and close it's FD.
	- When destroying, check each pointer before freeing it.
	- Never use if (!gimp_brush_load_brush() || !pattern_load())
	  but check the return values of both calls separately.
	  (the original code tried to free an already destroyed temp_buf).
	- stuff like below (s/sz_PatternHeader/sizeof(PatternHeader)/g etc.)

2000-09-30  Nick Lamb  <njl195@zepler.org.uk>

	* plug-ins/common/*.c: Add <string.h> where it is called for

2000-09-29  Michael Natterer  <mitch@gimp.org>

	* app/brush_edit.[ch]
	* app/brush_header.h
	* app/gimpbrush.[ch]
	* app/gimpbrushgenerated.[ch]
	* app/gimpbrushlist.[ch]
	* app/gimpbrushpipe.[ch]
	* app/gimpcontext.h
	* app/gimplist.[ch]
	* app/gimpobject.[ch]
	* app/gimpset.[ch]
	* app/gimpsignal.[ch]
	* app/parasitelist.h: Lotsa fixes in the brush referencing code
	and cleanups in many GtkObjects:

	- Reference brushes correctly (call gtk_object_sink() after adding
	  them to the brush list). Don't crash when renaming a brush
	  multiple times.
	- Replaced all gtk_object_destroy() with gtk_object_unref|sink().
	- Removed the "Fake Gimp object system" (gimp_object_destroy() et.al.)
	  all over the place (while it's a good idea to have a common Gimp
	  base object, it's totally useless to try to imitate Gtk's object
	  system).
	- s/sz_BrushHeader/sizeof(BrushHeader)/g
	- And of course various indentation and coding style paranoia changes
	  in all files I visited.

Fri Sep 29 03:10:10 CEST 2000  Daniel Egger  <egger@suse.de>

	* app/brightness_contrast.c:
	* app/brightness_contrast.h:
	* app/color_balance.c:
	* app/color_balance.h:
	* app/curves.c:
	* app/curves.h:
	* app/hue_saturation.c:
	* app/hue_saturation.h:
	* app/levels.c:
	* app/levels.h:
	* app/posterize.c:
	* app/posterize.h:
	* app/threshold.c:
	* app/threshold.h: Added *_dialog_hide functions which
	hides the dialog when open.
	
	* app/convert.c: Use them to hide dialog before converting
	image to indexed where the operations would crash the GIMP.
	Closes bug #23104.

Thu Sep 28 16:03:09 CEST 2000  Daniel Egger  <egger@suse.de>

	* app/menus.c: Simplify a few help paths.

Wed Sep 27 12:54:20 PDT 2000 Manish Singh <yosh@gimp.org>

	* tips/gimp_tips.it.txt: updates from Daniele Medri <madrid@linux.it>

Wed Sep 27 12:47:53 PDT 2000 Manish Singh <yosh@gimp.org>

	* Makefile.am: reordered po dirs in SUBDIRS, so dependencies on
	generated perl files are taken care of

Wed Sep 27 19:56:02 CEST 2000  Daniel Egger  <egger@suse.de>

	* app/convert.c:
	* plug-ins/print/print-weave.c:
	* plug-ins/winsnap/resource.h: Further C++ comments removals.

Wed Sep 27 19:43:05 CEST 2000  Daniel Egger  <egger@suse.de>

	* gimpbrush.c:
	* gimpbrush.h:
	* gimpbrushgenerated.c: Return failed brush load try
	in gimp_brush_load_brush and react accordingly instead
	of crashing. Fixes part of bug #8150. I'd really
	appreciate if some expert could have a look in the
	pixmapbrush and brushpipe half of this problem.

Wed Sep 27 19:43:13 CEST 2000  Daniel Egger  <egger@suse.de>

	* app/paint_funcs.c: Implemented suggested solution for
	SPARC alignment problem by Jon Hazen. Fixes bug #21269.

Wed Sep 27 00:46:31 CEST 2000  Daniel Egger  <egger@suse.de>

	* app/channel_ops.c:
	* app/convert.c:
	* app/tile_manager.c:
	* plug-ins/Lighting/lighting_ui.c:
	* plug-ins/common/jpeg.c:
	* plug-ins/common/winclipboard.c:
	* plug-ins/sel2path/spline.c:
	* plug-ins/twain/tw_func.h:
	* plug-ins/twain/tw_util.h:
	* plug-ins/twain/twain.h:
	* plug-ins/winsnap/winsnap.c: Turned C++ style comments into
	C ones.

Mon Sep 25 17:04:39 PDT 2000 Manish Singh <yosh@gimp.org>

	* plug-ins/print/print-canon.c: portability fix for varargs usage
	(already upstream)

Mon Sep 25 12:25:34 BST 2000  Austin Donnelly <austin@gimp.org>

	* gimp-remote.1.in: minor English fix.

2000-09-24  Seth Burgess  <sjburges@gimp.org>
	
	* fileops.c : made the dialog have the name of whatever file was last
	selected on a multi-list.  Also fixed a memory leak while I was in
	there.  Closes #25821.

2000-09-25  Sven Neumann  <sven@gimp.org>

	* app/resolution_calibrate.[ch]: new files. Code for the resolution 
	calibration dialog that used to live in user_install.c

	* app/Makefile.in
	* app/menus.c
	* app/preferences_dialog.[ch]
	* app/user_install.[ch]: added a Calibrate button to the Preferences
	
2000-09-23  Kevin Turner  <acapnotic@users.sourceforge.net>

	* plug-ins/pygimp/gimpmodule.c (newpfobject): use correct type for
	enums

	* plug-ins/pygimp/plug-ins/gtkcons.py (Console.run): set _ after
	evaluating a statement, so _ may be used as it is in the python
	interpreter.

Sat Sep 23 14:44:35 PDT 2000 Manish Singh <yosh@gimp.org>

	* Made 1.1.26 release (1.2pre)

Thu Sep 21 22:28:04 BST 2000 Andy Thomas <alt@gimp.org>

	* plug-ins/gfig/gfig.c
	
	Allowed gfig to paint in gradients. Iam sure it use to do this...

Thu Sep 21 17:41:26 CEST 2000  Daniel Egger  <egger@suse.de>

	* gimp.m4: Also try new API when trying to link the
	test program.

2000-09-21  Tor Lillqvist  <tml@iki.fi>

	* libgimp/makefile.mingw.in
	* app/makefile.mingw.in
	* modules/makefile.mingw.in
	* plug-ins/makefile.mingw.in: Fix bug in ../config.h rule, cp src
	and dest were in wrong order.

	* config.h.win32: Remove alloca definition, current <glib.h> now
	handles that.

Wed Sep 20 22:40:25 BST 2000 Andy Thomas <alt@gimp.org>

	* plug-ins/gfig/gfig.c
	
	Fixed problems since the interface to gimp-drawable-fill() has 
	changed. Also fixed some GTK warnings when GFig objects were
	loaded.

2000-09-20  Kevin Turner  <acapnotic@users.sourceforge.net>

	* plug-ins/pygimp/plug-ins/pdbbrowse.py (pars): Oops.  When we did
	s/PARAM_/PDB_/, we forgot to do s/6/4/ (the length of the prefix
	string changed).

	* plug-ins/pygimp/gimpmodule.c: Filter this through remove_cruft,
	finishing the libgimp renaming (and further ensuring that it won't
	work with older libgimps).

2000-09-15  Asbjorn Pettersen  <asbjornP@dualog.no>

	* plug-ins/print/print-ps.c (ps_parameters): use g_strncasecmp()
	instead of strncasecmp().  More portable.

2000-09-15  Kevin Turner  <acapnotic@users.sourceforge.net>

	* app/gdisplay_color_ui.c (color_display_cancel_callback): 
	(color_display_ok_callback): add calls to dialog_unregister
	before destroying the dialog.  Closes bug "segfault after using
	'Display Filters'".

	* app/dialog_handler.c: add paranoid graceful robust checking
	of active_dialogs to all public methods, in an attempt to minimize
	damage in case some module causes an error like the one above.

2000-09-15  Nick Lamb  <njl195@zepler.org.uk>

	* plug-ins/common/png.c: possible fix for #22805

2000-09-14  Jay Cox  <jaycox@gimp.org>

	* app/pixel_processor.c: fix bug #24188.
	* app/preferences_dialog.c: allow num_processors to be set on
	the fly.

2000-09-14  Michael Natterer  <mitch@gimp.org>

	* app/disp_callbacks.c: always position the menu inside the
	screen boundaries.

2000-09-14  Michael Natterer  <mitch@gimp.org>

	* app/disp_callbacks.c: new function gdisplay_origin_menu_position()
	which positions the menu right of the arrow instead of underneath
	the mouse (where you always have the first entry selected, which
	is annoying).

2000-09-07  Tor Lillqvist  <tml@iki.fi>

	* plug-ins/common/ps.c: Use fopen (xxx, "rb") on all systems. It
	is standard C, does no harm on systems where it isn't needed
	(Unix).

	* libgimp/gimp.c (gimp_extension_process): Use
	g_io_channel_win32_poll() instead of
	g_io_channel_win32_wait_for_condition().

Wed Aug 30 19:01:28 BST 2000  Adam D. Moss <adam@gimp.org>

	* plug-ins/common/animoptimize.c: Same again.

Wed Aug 30 18:49:01 BST 2000  Adam D. Moss <adam@gimp.org>

	* plug-ins/common/animationplay.c: Change default frame duration
	for consistancy.

Wed Aug 30 01:19:03 PDT 2000 Manish Singh <yosh@gimp.org>

	* plug-ins/gap/resize.c
	* plug-ins/gdyntext/charmap.c
	* plug-ins/gdyntext/charmap_window.c
	* plug-ins/gdyntext/message_window.c
	* plug-ins/gimpressionist/color.c
	* plug-ins/gimpressionist/general.c
	* plug-ins/gimpressionist/orientation.c
	* plug-ins/gimpressionist/orientmap.c
	* plug-ins/gimpressionist/paper.c
	* plug-ins/gimpressionist/placement.c
	* plug-ins/gimpressionist/presets.c
	* plug-ins/gimpressionist/preview.c
	* plug-ins/gimpressionist/size.c
	* plug-ins/gimpressionist/sizemap.c: more COMPAT_CRUFT removal

2000-08-29  Piers Cornwell  <piers.cornwell@bigfoot.com>

	* plug-ins/Lighting/lighting_ui.c
	* plug-ins/Lighting/lighting_preview.h: Make Env and Bumpmap
	tabs show all the time and other minor changes.

2000-08-28  Piers Cornwell  <piers.cornwell@bigfoot.com>

	* plug-ins/Lighting/lighting_main.[ch]:
	* plug-ins/Lighting/lighting_preview.h:
	* plug-ins/Lighting/lighting_ui.c: Clean up and remove 
	non-functional zoom buttons.

2000-08-28  Asbjorn Pettersen  <asbjornP@dualog.no>

	* plug-ins/common/gz.c (save_image): FIX OS/2 problem with loading/saving
	gz files. Skip waitpid () for OS/2.

Sun Aug 27 22:41:36 CEST 2000  Marc Lehmann <pcgqgoof.com>
	
        * configure.in, plug-ins/perl/po/Makefile.in.in: moved po-perl to
        plug-ins/perl/po.
        * plug-ins/perl/po/*: added Makefile.in, Makefile.in.in and a few
        other files.

2000-08-28  Michael Natterer  <mitch@gimp.org>

	* configure.in: added -DGTK_DISABLE_COMPAT_H to CPPFLAGS.

	* app/app_procs.c
	* app/gdisplay.c
	* app/layers_dialog.c
	* app/menus.c
	* app/tips_dialog.c
	* libgimp/gimpcolorbutton.c
	* plug-ins/FractalExplorer/Dialogs.c
	* plug-ins/FractalExplorer/FractalExplorer.c
	* plug-ins/bmp/bmpwrite.c
	* plug-ins/common/AlienMap.c
	* plug-ins/common/AlienMap2.c
	* plug-ins/common/CML_explorer.c
	* plug-ins/common/animationplay.c
	* plug-ins/common/cubism.c
	* plug-ins/common/curve_bend.c
	* plug-ins/common/deinterlace.c
	* plug-ins/common/gee.c
	* plug-ins/common/glasstile.c
	* plug-ins/common/iwarp.c
	* plug-ins/common/mail.c
	* plug-ins/common/pat.c
	* plug-ins/common/pixelize.c
	* plug-ins/common/plugindetails.c
	* plug-ins/common/png.c
	* plug-ins/common/sample_colorize.c
	* plug-ins/common/sel_gauss.c
	* plug-ins/common/sinus.c
	* plug-ins/common/sparkle.c
	* plug-ins/common/spheredesigner.c
	* plug-ins/common/tga.c
	* plug-ins/common/tileit.c
	* plug-ins/common/vpropagate.c
	* plug-ins/common/warp.c
	* plug-ins/common/waves.c
	* plug-ins/common/wmf.c
	* plug-ins/flame/flame.c
	* plug-ins/fp/fp_gtk.c
	* plug-ins/gap/gap_arr_dialog.c
	* plug-ins/gap/gap_dbbrowser_utils.c
	* plug-ins/gap/gap_mov_dialog.c
	* plug-ins/gap/gap_navigator_dialog.c
	* plug-ins/gap/gap_resi_dialog.c
	* plug-ins/gdyntext/gdyntext_ui.c
	* plug-ins/gfig/gfig.c
	* plug-ins/gimpressionist/brush.c
	* plug-ins/gimpressionist/gimpressionist.c
	* plug-ins/pagecurl/pagecurl.c
	* plug-ins/print/gimp_main_window.c
	* plug-ins/rcm/rcm_callback.c
	* plug-ins/rcm/rcm_dialog.c
	* plug-ins/script-fu/script-fu-console.c
	* plug-ins/script-fu/script-fu-scripts.c
	* plug-ins/script-fu/script-fu-server.c
	* plug-ins/sel2path/sel2path_adv_dialog.c
	* plug-ins/xjt/xjt.c: removed COMPAT_CRUFT.

2000-08-28  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/script-fu.c: add missing cases to switch 
	statement.

2000-08-28  Sven Neumann  <sven@gimp.org>

	* libgimp/gimpchainbutton.[ch]: emit a "toggled" signal. This
	is rarely useful since in most cases you want to connect to 
	the "changed" signal of the attached size_entries since you can
	not know otherwise which of the attached entries needs to be
	adjusted. Providing the signal is good style nevertheless.

2000-08-27  Michael Natterer  <mitch@gimp.org>

	* libgimp/gimp.c: NULL is the default log domain, not "".

2000-08-27  Piers Cornwell  <piers.cornwell@bigfoot.com>

	* plug-ins/Lighting/lighting_ui.c: s/Treshold/Threshold.

2000-08-27  Kevin Turner  <acapnotic@users.sourceforge.net>

	* libgimp/gimp.h (union _GimpParamData): 
	s/gint32 d_status/GimpPDBStatusType d_status/

2000-08-27  Sven Neumann  <sven@gimp.org>
	
	* Makefile.am
	* configure.in
	* po-perl: added new directory po-perl which takes care of 
	i18n for gimp-perl the standard way. Tweaked pxgettext a little.
	
	* plug-ins/perl/Makefile.PL: disabled use of plug-ins/perl/po. 
	Marc will take care of either removing the po directory or moving
	the new stuff there.
	
2000-08-27 Alastair McKinstry <mckinstry@computer.org>

	* configure.in: Added Irish (ga) to ALL_LINGUAS.

2000-08-27  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/script-fu.c: These names were accidentally
	changed by my conversion-script. Reverted the change to make
	scripts work again. Thanks to Andy Thomas for spotting this.

2000-08-25  Tor Lillqvist  <tml@iki.fi>

	* app/cursorutil.c (gimp_change_win_cursor): Plug memory leak. The
	bitmap and mask GdkBitmaps were leaked each time.

	* plug-ins/makefile.mingw.in: Really add it this time.

2000-08-25  Sven Neumann  <sven@gimp.org>

	* PLUGIN_MAINTAINERS: updated
	
	* app/gimphelp.c: if the internal helpbrowser is not found,
	offer to use Netscape instead.
	
2000-08-25  Tor Lillqvist  <tml@iki.fi>

	* libgimp/gimp.def: Add new entry points.

2000-08-25  Sven Neumann  <sven@gimp.org>

	* tools/pdbgen/pdb/fileops.pdb
	* tools/pdbgen/pdb/selection.pdb: added a few more PDB wrappers

	* tools/pdbgen/pdb/image.pdb: tweaked the help and blurb strings
	
	* app/image_cmds.c
	* libgimp/gimpfileops_pdb.[ch]
	* libgimp/gimpimage_pdb.c
	* libgimp/gimpselection_pdb.[ch]: regenerated

	* plug-ins/common/bz2.c
	* plug-ins/common/gz.c
	* plug-ins/common/mail.c
	* plug-ins/common/screenshot.c
	* plug-ins/common/url.c
	* plug-ins/gdyntext/gdyntext.c
	* plug-ins/gfig/gfig.c: use new PDB wrappers.
	For GDynText this change fixes a bug since it used to use the
	wrong number of arguments for gimp_selection_load().

	* plug-ins/flame/rect.[ch]: removed compiler warning

2000-08-25  Sven Neumann  <sven@gimp.org>

	* libgimp/gimpchannel.c
	* libgimp/gimpimage.c
	* libgimp/gimplayer.c
	* libgimp/gimpproceduraldb.[ch]
	* libgimp/gimpselection.c: document wrapped PDB wrappers

2000-08-25  Sven Neumann  <sven@gimp.org>

	* libgimp/gimp*_pdb.c
	* tools/pdbgen/lib.pl: autogenerate gtkdoc comments for all PDB 
	wrappers.
	
Thu Aug 24 23:37:46 CEST 2000  Marc Lehmann <pcg@goof.com>

        * gimp.m4: Make it work with 1.1 again without sacrifing 1.0
        detection.

2000-08-24  Sven Neumann  <sven@gimp.org>

	* app/about_dialog.c: sorry, Tor, that wouldn't compile under gdk-1.2.

2000-08-24  Tor Lillqvist  <tml@iki.fi>

	* README.win32: Update, tell people the MSVC makefiles are not
	up-to-date.

	* */makefile.msc: Add warning about being outdated.

	* */makefile.cygwin: Remove.

	* */makefile.mingw.in: New files replacing the makefile.cygwin files.

	* */Makefile.am: Change correspondingly.

	* configure.in: Generate corresponding makefile.mingw files.

	* app/about_dialog.c: Include <gdk/gdkconfig.h> for
	GDK_USE_UTF8_MBS. Add UTF-8 version of a string.

	* libgimp/gimp.c: Remove horrible Win32 hack, not needed any longer.

	* plug-ins/common/jpeg.c: Use g_message, not g_warning.

	* plug-ins/common/winclipboard.c
	* plug-ins/common/winprint.c: Remove COMPAT_CRUFT.

	* plug-ins/Lighting/lighing_apply.c: Fix for non-interactive mode
	bug, supplied by Piet van Oostrum.

	* tips/makefile.mingw: New file.

	* tips/Makefile.am: Add it.
	
2000-08-24  Sven Neumann  <sven@gimp.org>

	* libgimp/gimpcompat.h
	* libgimp/gimpexport.[ch]: renamed CAN_HANDLE_INDEXED and friends.

	* plugins/bmp/bmp.c
	* plugins/common/aa.c
	* plugins/common/csource.c
	* plugins/common/gbr.c
	* plugins/common/gicon.c
	* plugins/common/gif.c
	* plugins/common/gpb.c
	* plugins/common/header.c
	* plugins/common/hrz.c
	* plugins/common/jpeg.c
	* plugins/common/pat.c
	* plugins/common/pcx.c
	* plugins/common/pix.c
	* plugins/common/png.c
	* plugins/common/pnm.c
	* plugins/common/ps.c
	* plugins/common/psp.c
	* plugins/common/sunras.c
	* plugins/common/tga.c
	* plugins/common/tiff.c
	* plugins/common/xbm.c
	* plugins/common/xpm.c
	* plugins/common/xwd.c
	* plug-ins/fits/fits.c
	* plugins/gfli/gfli.c
	* plugins/sgi/sgi.c: ditto
	
2000-08-23 Garry R. Osgood <gosgood@idt.net>

	* app/image_map.c 
	A bit of refresh drawable code was misplaced 
	these many years ago, leading to the persistence 
	of color tool effects, as reported in Mihail 
	Milushev's nicely composed bug report. Closes #7626
	See http://bugs.gnome.org/db/76/7626.html for
	the gory details.

Wed Aug 23 17:31:35 PDT 2000 Manish Singh <yosh@gimp.org>

	* configure.in: perl support for COMPAT_CRUFT

	* plug-ins/gap/gap_decode_mpeg_main.c: removed COMPAT_CRUFT

2000-08-24  Sven Neumann  <sven@gimp.org>

	* plug-ins/gap/iter_ALT/*/*.inc: removed COMPAT_CRUFT

	* libgimp/gimpcompat.h
	* libgimp/gimpenums.h
	* tools/pdbgen/enumcode.pl: reversed the COMPAT_CRUFT logic: 
	Default is not to include compatibility definitions. Define
	GIMP_ENABLE_COMPAT_CRUFT to make old plug-ins compile against
	the 1.2 API.
	
	* plug-ins/print/print_gimp.h: define GIMP_ENABLE_COMPAT_CRUFT
	here since we will update gimp-print in a few days anyway.

2000-08-24  Sven Neumann  <sven@gimp.org>

	* plug-ins/rcm/rcm.[ch]
	* plug-ins/rcm/rcm_misc.[ch]
	* plug-ins/sel2path/sel2path.c
	* plug-ins/sgi/sgi.c
	* plug-ins/twain/twain.c
	* plug-ins/webbrowser/webbrowser.c
	* plug-ins/winsnap/winsnap.c
	* plug-ins/xjt/xjpeg.[ch]
	* plug-ins/xjt/xjt.c
	* plug-ins/xjt/xpdb_calls.c: removed COMPAT_CRUFT
	
2000-08-23  Sven Neumann  <sven@gimp.org>

	* app/fileops.c: make the file_save dialog sensitive again if the
	user clicked "No" when asked if he wishes to overwrite a file.

	* app/gimpimage.c: when saving an undoable parasite, just do it
	without calling undo_push_cantundo(). Undoable parasites are used
	by many save plug-ins to attach a comment, but this operation 
	shouldn't prevent the user from using the undo_stack afterwards.
	The JPEG plug-in has an additional bug that I couldn't solve, so
	undoing after a Save As JPEG is still impossible.

	* app/undo_history.c: lame attempt to draw the clean symbol at the
	correct undo step. Not perfect but much better as before...
	
Wed Aug 23 20:15:21 BST 2000  Adam D. Moss <adam@gimp.org>

	* plug-ins/common/psd.c: removed some more debugging output.  Zzz.

2000-08-23  Sven Neumann  <sven@gimp.org>

	* libgimp/gimpimage.[ch]
	* libgimp/gimpproceduraldb.[ch]: pass the return value of the
	PDB call through the wrapper functions.

2000-08-23  Sven Neumann  <sven@gimp.org>

	* plug-ins/helpbrowser/helpbrowser.c
	* plug-ins/ifscompose/ifscompose.c
	* plug-ins/imagemap/imap_main.c
	* plug-ins/imagemap/imap_preview.[ch]
	* plug-ins/maze/handy.c
	* plug-ins/maze/maze.c
	* plug-ins/maze/maze_face.c
	* plug-ins/mosaic/mosaic.c
	* plug-ins/pagecurl/pagecurl.c: removed COMPAT_CRUFT

2000-08-23  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/threshold_alpha.c: avoid floating point exception
	on small images (reported by Steven Grady)

	* plug-ins/common/CML_explorer.c
	* plug-ins/common/max_rgb.c
	* plug-ins/common/nlfilt.c
	* plug-ins/common/scatter_hsv.c: same fix here
	
Tue Aug 22 18:42:04 PDT 2000 Manish Singh <yosh@gimp.org>

	* configure.in: $srcdir != $builddir fix for GIMP_CONTRIBUTORS

	* plug-ins/common/plugin-defs.pl: More tidying up after Daniel Egger

	* tools/pdbgen/Makefile.am: parse pdb defs only once for app and lib

	* tools/pdbgen/lib.pl
	* tools/pdbgen/pdb/procedural_db.pdb: all void rets now return a
	boolean for success/failure

2000-08-23  Nick Lamb  <njl195@zepler.org.uk>

	* plug-ins/Makefile.am:
	* plug-ins/common/.cvsignore: Tidy up after Daniel Egger

Tue Aug 22 20:42:52 CEST 2000 Daniel Egger  <egger@suse.de>

	* plug-ins/gfli/gfli.c: removed COMPAT_CRUFT.

Tue Aug 22 20:42:52 CEST 2000 Daniel Egger  <egger@suse.de>
	
	* plug-ins/common/cubism.c: Made a few minor optimisations.

Tue Aug 22 18:26:06 CEST 2000 Daniel Egger  <egger@suse.de>
	
	* plug-ins/Makefile.am: 
	* plug-ins/common/Makefile.am:
	* plug-ins/sinus/Makefile.am:
	* plug-ins/sinus/sinus.c:
	* plug-ins/sinus/sinus_logo.h:
	* plug-ins/common/sinus.c:
	* plug-ins/common/struc.c:
	* plug-ins/struc/struc.c:
	* plug-ins/struc/struc.h: Simplified sinus and struct and
	moved them into common. removed COMPAT_CRUFT.
	
	* plug-ins/common/mpeg.c: removed COMPAT_CRUFT.
	
2000-08-22  Sven Neumann  <sven@gimp.org>

	* plug-ins/FractalExplorer/*.[ch]
	* plug-ins/Lighting/*.[ch]
	* plug-ins/MapObject/*.[ch]
	* plug-ins/bmp/*.[ch]
	* plug-ins/faxg3/faxg3.c
	* plug-ins/fits/fits.c
	* plug-ins/flame/flame.c
	* plug-ins/fp/*.[ch]
	* plug-ins/gap/*.[ch]
	* plug-ins/gdyntext/*.[ch]
	* plug-ins/gfig/gfig.c
	* plug-ins/gflare/gflare.c
	* plug-ins/gfli/gfli.c
	* plug-ins/gimpressionist/*.c
	* plug-ins/script-fu/*.[ch]: removed COMPAT_CRUFT.
	
Tue Aug 22 03:35:46 CEST 2000 Daniel Egger  <egger@suse.de>

	* plug-ins/common/AlienMap.c: Cleaned up AlienMap 
	and moved to common.
	
	* plug-ins/common/AlienMap2.c: Cleaned up AlienMap2,
	removed COMPAT_CRUFT and moved to common.
	
	* plug-ins/Makefile.am: Removed AlienMap and AlienMap2.
	* plug-ins/common/Makefile.am: Added AlienMap and 
	AlienMap2.

2000-08-22  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/*.c: removed COMPAT_CRUFT.

Tue Aug 22 02:12:36 CEST 2000 Daniel Egger  <egger@suse.de>

	* plug-ins/AlienMap/AlienMap.c:
	* plug-ins/dbbrowser/dbbrowser.c:
	* plug-ins/dbbrowser/dbbrowser_utils.c: removed further
	COMPAT_CRUFT.

Tue Aug 22 01:02:41 CEST 2000 Daniel Egger  <egger@suse.de>
	
	* plug-ins/AlienMap/AlienMap.c: removed COMPAT_CRUFT. 

Tue Aug 22 00:41:06 CEST 2000 Daniel Egger  <egger@suse.de>

	* plug-ins/dbbrowser/*.c: removed COMPAT_CRUFT and added
	missing include.

2000-08-21  Piers Cornwell  <piers.cornwell@bigfoot.com>

	* app/main.c: Alter some options, and beautify.

	* gimp.1.in: Document the new options.

Mon Aug 21 14:09:55 PDT 2000 Manish Singh <yosh@gimp.org>

	* tools/pdbgen/pdb/unit.pdb: added get_number_of_built_in_units

	* tools/pdbgen/Makefile.am: gen files in $top_srcdir/libgimp

	* tools/pdbgen/lib.pl
	* tools/pdbgen/pdb/procedural_db.pdb: libgimp pdbgen munging, final
	landing

Mon Aug 21 11:57:48 PDT 2000 Manish Singh <yosh@gimp.org>

	* tools/pdbgen/lib.pl
	* tools/pdbgen/pdb/parasite.pdb: libgimp pdbgen munging

	* libgimp/gimpbrushes_pdb.[ch]
	* libgimp/gimpdrawable_pdb.[ch]
	* libgimp/gimppatterns_pdb.[ch]: new autogenned files landed

Mon Aug 21 10:33:59 PDT 2000 Manish Singh <yosh@gimp.org>

	* Made 1.1.25 release (1.2pre)

2000-08-21  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/ps.c: applied gimp-kirchgessner-000820-0,
	a patch by Peter Kirchgessner which fixes a problem with the 
	calculation of extent for Mac files (bug report #10547) and
	a problem with the loop when not reading all images of a 
	multipage file.

Sun Aug 20 21:02:22 BST 2000  Austin Donnelly  <austin@gimp.org>

	* emboss.c
	* jigsaw.c
	* max_rgb.c
	* nlfilt.c
	* wind.c
	* waves.c: When a radio button in GTK is clicked, the
	    widget that used to be selected gets a signal as well as the
	    one that was clicked.  Mostly people cope with this by
	    guarding their signal handers with a check to run to the code
	    only if the widget is active.  However, the callback functions
	    registered with gimp_radio_group_new2() in the above files
	    don't have this guard.  In most cases, this is a bad idea
	    since it causes previews to be updated too many times.  In the
	    emboss case it would also get the preview contents wrong when
	    first displaying the dialog, since the act of
	    gtk_widget_show()ing the dialog causes an event to be sent to
	    the widget that's just been de-selected, causing the preview
	    to redraw while the settings are inconsistent.

	* emboss.c: The emboss plugin also used uninitialised data the
	    first time it is started, which wasn't biting currently, but
	    might in the future or on other architectures which don't zero
	    their stacks.  Also made active region estimation more robust.

	    I still haven't been able to reproduce Bug #17660: Embross
	    plugin crashes, but I will admit that there's what could be
	    uninitialised memory in the preview bitmap the very first time
	    it is shown.

2000-08-20  Sven Neumann  <sven@gimp.org>

	* plug-ins/imagemap/Makefile.am
	* plug-ins/imagemap/imap_cern_parse.[ch]
	* plug-ins/imagemap/imap_csim_parse.[ch]
	* plug-ins/imagemap/imap_ncsa_parse.[ch]: recreated from yacc 
	files and added those files to the distribution. Supposed to 
	close bugs #8076, #9212 and #10090.

	* plug-ins/imagemap/imap_default_dialog.c
	* plug-ins/imagemap/imap_file.c
	* plug-ins/imagemap/imap_main.c: set help accelerator and window icon.
	
Fri Aug 18 18:14:35 BST 2000 Austin Donnelly <austin@gimp.org>

	* app/fileops.c: fix nasty bug where if overwriting a file and
	    also changing the format, gimp would use the old format
	    rather than the newly selected one.  To repeat: save a new
	    image as (eg) jpeg by typing foo.jpg<RET>, then Save As XCF by
	    using the pop-up menu and clicking OK, then Save As jpeg by
	    using pop-up and clicking OK, and OK again to allow the file
	    to be overwritten.  You should find that foo.jpg contains an
	    XCF version of the image.  This was because the "overwrite"
	    path through the code was subtly different from the standard
	    way through, meaning that gimage_set_save_proc() was never
	    called.  Now unified into new function file_save_with_proc().

2000-08-17  Nick Lamb  <njl195@zepler.org.uk>

	* app/fileops.c: I venture once again into app/ to fix #11701.
        This fix is somewhat evil. Tell me (rather than reverting it)
        if you find a case for which it does not work.

Thu Aug 17 22:07:50 BST 2000 Andy Thomas <alt@gimp.org>

	* plug-ins/sel2path/globals.h

	Fixed compilation problems. Some really old compilers had problems
	with the macros in sel2path. Thanks to  
        Dougal_R_Scott@nag.national.com.aui for pointing it out.	

	* app/layers_dialog.c

	Fixes #16583: "new view" not being updated correctly. I still think
	theres is a problem in the idle rendering when images that
	have multiple views require updating. 
	I could only get the deleting layers operation
	to leave the "other views" out of date. This fix forces the views
	to be updates as soon as the layer is deleted. I think this is 
	acceptable since we are doing a "large scale" operation and the 
	performance loss by not doing the update in the background is OK.

	* plug-ins/common/plugindetails.c

	Fixed problem when doing searches for plugins containing a 
	given string caused gtk warnings to be issued.	

2000-08-17  Sven Neumann  <sven@gimp.org>

	* app/boundary.c (allocate_vert_segs): applied a fix for bug #16221
	found by Seth Burgess <sjburges@gimp.org>.

Wed Aug 16 18:39:44 PDT 2000 Manish Singh <yosh@gimp.org>

	* configure.in: removed awk dependency for authors list

2000-08-16  Garry R. Osgood <gosgood@idt.net>

	* app/gdisplay.c
	* app/image_map.c
	Addresses Bug Report #14704, and an undisclosed undo system bug.
	(1) image_map_create() freezes the undo stack and invokes 
	    gdisplay_set_menu_sensitivity (_image_map->gdisp) to ghost
	    Edit/Undo|Edit/Redo and disables associated accelerator keys.
	    This routine sets up idle renderers for interactive tools
	    (a) Color Balance... (b) Hue-Saturation... (c) Brightness-Contrast... 
	    (d) Threshold... (e) Levels...  (f) Curves... and (g) Posterize.
	    The change prevents disturbance of the Undo system via the GUI
	    when idle renderers are active.
 	(2) gdisplay_set_menu_sensitivity () tests if the undo facility
	    is frozen, via gboolean gimage_get_active_layer (gdisp->gimage).
 	    It does not set menu sensitivity for Edit/Undo and Edit/Redo
	    if the undo/redo stacks are frozen. Otherwise (old behaviour)
	    it sets sensitivity of these menu items only if the undo/redo
 	    stacks are populated.
	(3) image_map_commit(), image_map_clear(), and image_map_abort() each
	    thaw the undo system and invoke gdisplay_set_menu_sensitivity().
	    when idle rendering completes or is aborted. This causes Control-Z
	    Control-R and the Edit/Undo|Edit/Redo menu selections to be sensitive
	    immediately after the Undo stack is populated with one item, addressing
	    #14704. Formerly, gdisplay_set_menu_sensitivity() was lazily called.
	    during the next gdisplay_flush(), invariably requiring prompting via
	    a second edit before sensitivity was set.
	Not an image lock, but Yet Another UI Lock. Oh well; merrilly we patch along...
 	See http://bugs.gnome.org/db/14/14704.html for gory details. Closes #14704.

2000-08-17  Daniel Egger  <egger@suse.de>

	* help/C/dialogs/color_selectors/*.html: Checking proofread
	versions by Rebecca.

2000-08-16  Sven Neumann  <sven@gimp.org>

	* plug-ins/gdyntext/gdyntext_ui.c
	* plug-ins/gdyntext/message_window.c: set gimp_help accelerator
	on main window and use gimp_dialog_set_icon () on all windows.

2000-08-16  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/animationplay.c: check if drawable returned
	by gimp_drawable_get() is valid. In a lot of cases this prevents
	the plug-in from crashing if the user closes the associated 
	image (as described in bug report #20979).

2000-08-16  Sven Neumann  <sven@gimp.org>

	* plug-ins/gdyntext/README
	* plug-ins/gdyntext/gdyntext.[ch]: updated to version 1.5.2

2000-08-15  Michael Natterer  <mitch@gimp.org>

	* app/app_procs.c
	* app/gimprc.c
	* app/module_db.c
	* app/plug_in.c: s/if(be_verbose || no_splash)/if(be_verbose)/g

	Changed because nobody on #gimp could explain why "no_splash"
	should imply "be_verbose".

2000-08-15  Michael Natterer  <mitch@gimp.org>

	* plug-ins/print/*
	* po-plug-ins/POTFILES.in: updated to the current CVS version
	from sourceforge (something after 4.0a1).

2000-08-14  Daniel Egger  <egger@suse.de>

	* app/menus.c: Added missing tearoff_delete_cb prototype.

2000-08-10  Kevin Turner  <acapnotic@users.sourceforge.net>

	* tools/pdbgen/enumcode-py.pl:
	* plug-ins/pygimp/gimpenums.py: gimpenums.py is now autogenerated by
	enumcode-py.pl

	* plug-ins/pygimp/gimpfu.py: 
	* plug-ins/pygimp/gimpmodule.c: renaming fixes for libgimp 1.2

	* plug-ins/pygimp/plug-ins/pdbbrowse.py (pars): s/PARAM_/PDB_/

2000-08-09  Kevin Turner  <acapnotic@users.sourceforge.net>

	* plug-ins/pygimp/gimpmodule.c (chn_getattr): under "layer",
	remove the call to gimp_channel_get_layer_id() as this function
	does not exist.  It would be well for someone who knows pygimp
	better than I to review this change, but it keeps pygimp from
	being *completely* broken.

2000-08-09  Sven Neumann  <sven@gimp.org>

	* plug-ins/gfli/gfli.c: removed double install_procedure for 
	fli_load.

2000-08-09  Michael Natterer  <mitch@gimp.org>

	* app/app_procs.c: make_initialization_status_window(): reverse
	logic for if(!no_interface && !no_splash)

	* app/palette.[ch]: removed declarations of the two removed
	functions. One more s/gint/gboolean/.

	* libgimp/gimpfileselection.[ch]
	* libgimp/gimppixmap.[ch]: some consistency fixes (mostly fanatic :)

	* libgimp/gimpproceduraldb.c: fixed a compiler warning.

2000-08-09  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/emboss.c: install Emboss with image_type
	RGB* since it seems to work well on layers with alpha channel
	(despite the preview, but I think we can live with that).

2000-08-08  Daniel Egger  <egger@suse.de>

	* tools/pdbgen/pdb/convert.pdb:
	* tools/pdbgen/pdb/palette.pdb:
	* app/convert.c:
	* app/convert_cmds.c:
	* app/palette.c:
	* app/palette_cmds.c: Removed superflous 
	palette_init_palettes() and palette_free_palettes() functions
	and changed their callers accordingly.

2000-08-08  Sven Neumann  <sven@gimp.org>

	* Makefile.am
	* configure.in
	* gimp.1.in
	* gimp.spec.in
	* gimprc.5.in
	* gimptool.1.in
	* gimp-remote.1.in: added manpage for gimp-remote.
	
2000-08-08  Sven Neumann  <sven@gimp.org>

	* tools/gimp-remote.c: added command-line option --new that starts
	a new gimp if no suitable gimp-window is found.

2000-08-08  Sven Neumann  <sven@gimp.org>

	* app/palette.c: don't crash when no palettes are available
	(thanks to Daniel for pointing me to this), but allow to open
	the Palette Editor so you can refresh or create a new one.

2000-08-07  Michael Natterer  <mitch@gimp.org>

	* plug-ins/gdyntext/gdyntext.c: no need to INIT_I18N_UI() in the
	query() proc.

2000-08-04  Michael Natterer  <mitch@gimp.org>
	    Sven Neumann  <sven@gimp.org>

	* libgimp/gimp.h
	* libgimp/gimpcompat.h
	* plug-ins/common/curve_bend.c
	* plug-ins/common/plugindetails.c
	* plug-ins/dbbrowser/dbbrowser_utils.c
	* plug-ins/gap/gap_dbbrowser_utils.c
	* plug-ins/gap/gap_filter_codegen.c
	* plug-ins/gap/gap_filter_pdb.c
	* plug-ins/gap/gap_pdb_calls.c
	* plug-ins/maze/maze_face.c
	* plug-ins/pygimp/gimpmodule.c
	* plug-ins/script-fu/script-fu-scripts.c
	* plug-ins/script-fu/script-fu.c
	* plug-ins/xjt/xpdb_calls.c: removed COMPAT_CRUFT

2000-08-07  Sven Neumann  <sven@gimp.org>

	* plug-ins/gdyntext/gdyntext.[ch]
	* lug-ins/gdyntext/gdyntext_ui.c: use a GimpColorButton to select
	the text color (fixes bug #5302). Reindented the code so it becomes
	readable.

2000-08-07  Sven Neumann  <sven@gimp.org>

	* plug-ins/gdyntext/gdyntext.c: readded three lines that were
	accidentally removed. Fixes bug #20090.

Mon Aug  7 10:07:12 CEST 2000  Marc Lehmann <pcg@goof.com>

        * plug-ins/common/png.c: Applied patch from pk@kaempf.ch (closes
        bug #20029).

2000-08-06  Asbjorn Pettersen  <asbjornP@dualog.no>

	* app/plug_in.c (xspawnv): #define xspawnv spawnv    for OS/2

2000-08-04  Daniel Egger  <egger@suse.de>

	* newhelp/*:
	As suggested by Sven and Mitch I moved the newhelp
	directory out to the new module gimp-help which will
	be embedded as virtual module as soon as it's ready
	for that step.

2000-08-04  Daniel Egger  <egger@suse.de>
	
	* newhelp: Created new directory which will contain the base
	of our new SGML help system. Rebecca, Piers and I are
	currently migrating our old HTML help into SGML.

	If you like to help with creating appropriate Makefiles
	or scripts, please step forward, there's enough to do.

	* newhelp/ChangeLog
	* nehelp/*: New files for a new help system. :)

2000-08-03  Michael Natterer  <mitch@gimp.org>
	    Sven Neumann  <sven@gimp.org>
	
	* libgimp/*_pdb.c
	* libgimp/gimpmenu.c: removed COMPAT_CRUFT

2000-08-03  Michael Natterer  <mitch@gimp.org>
	    Sven Neumann  <sven@gimp.org>
	
	* libgimp/gimp.c
	* libgimp/gimpbrushmenu.c
	* libgimp/gimpprotocol.c: removed COMPAT_CRUFT
	
	* plug-ins/FractalExplorer/FractalExplorer.c
	* plug-ins/common/film.c
	* plug-ins/common/sample_colorize.c
	* plug-ins/gdyntext/gdyntext.c
	* plug-ins/gfig/gfig.c
	* plug-ins/print/print.c
	* plug-ins/sel2path/sel2path.c: replaced gimp_run_procedure
	calls with functions from libgimp that wrap the PDB calls. 
	And, you guessed it, cleanup and indentation.

	* plug-ins/print/gimp_main_window.c: closed bug #11784.

2000-08-02  Tor Lillqvist  <tml@iki.fi>

	* libgimp/gimp.def: Add handful of missing functions, that
	gdyntext now uses.

	* plug-ins/makefile.cygwin: Move gdyntext from unofficial set to
	official.

	* plug-ins/gdyntext/font_selection.c: Remove unneeded inclusion of
	Xlib.h and gdkx.h.

	* plug-ins/gdyntext/gdyntext.c: Use G_PI.

2000-08-01  Sven Neumann  <sven@gimp.org>

	* app/TODO: removed
	
2000-08-01  Tor Lillqvist  <tml@iki.fi>

	* libgimp/gimp.c (gimp_extension_process): Pass correct timeout
	value to g_io_channel_win32_wait_for_condition (actually g_poll)
	to indicate infinite wait.

2000-08-01  Sven Neumann  <sven@gimp.org>

	* libgimp/gimputils.[ch]: added g_strcompress from glib-1.3

	* plug-ins/gdyntext/gdyntextutil.[ch]: removed since it duplicated
	gimp_strescape and the newly added gimp_strcompress.

	* plug-ins/gdyntext/Makefile.am
	* plug-ins/gdyntext/gdyntext.[ch]
	* plug-ins/gdyntext/gdyntext_ui.c
	* plug-ins/gdyntext/gdyntextcompat.c: use the new functions and
	got rid of some gimp_run_procedure calls since we now have proper
	wrappers in libgimp.

	* plug-ins/common/autocrop.c
	* plug-ins/common/gif.c
	* plug-ins/common/gifload.c
	* plug-ins/common/guillotine.c
	* plug-ins/common/mail.c
	* plug-ins/common/screenshot.c
	* plug-ins/common/tile.c
	* plug-ins/common/zealouscrop.c
	* plug-ins/gflare/gflare.c
	* plug-ins/gimpressionist/gimpressionist.c
	* plug-ins/pagecurl/pagecurl.c
	* plug-ins/script-fu/script-fu-scripts.c
	* plug-ins/script-fu/script-fu.c: replaced gimp_run_procedure
	calls with functions from libgimp that wrap the PDB calls. 

	Sorry, all this is untested but I will leave tomorrow and hope to 
	get some hacking done at Mitch's place. So I wanted that stuff to 
	be in CVS. There are good chances that it works...

2000-07-31  Tor Lillqvist  <tml@iki.fi>

	* plug-ins/common/gz.c (load_image,save_image): Change Win32
	implementation to be a bit simpler. Use minigzip (from zlib)
	instead of the full gzip. Intend to include minigzip with the
	(binary) distribution.

	* libgimp/makefile.{cygwin,msc}
	* app/makefile.{cygwin,msc}: Add G_LOG_DOMAIN.

	* app/gimpbrushhose.{c,h}: Really remove these files, as
	Adrian tried on August 23.

	* plug-ins/script-fu/script-fu.c: Enable the script-fu console on
	Win32, too.

	* plug-ins/script-fu/script-fu-console.c: Now with new GLib
	GIOChannel implementaion, compile for Win32, too. Use
	g_io_add_watch instead of gdk_input_add (on Unix, too). The
	callback for g_io_add_watch is passed a GIOChannel, while the
	callback for gdk_input_add is passed a file descriptor. On Win32
	(and possibly other non-Unices) we want GIOChannels, as we must
	use g_io_channel_read to read from file descriptors being
	watched. Works as previously on Unix this way, too.

2000-07-31  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/ps.c: added a tooltip describing the "Keep
	Aspect Ratio" toggle. Closes bug #11286.

Sun Jul 30 12:52:16 CEST 2000  Stanislav Brabec  <utx@penguin.cz>

	* plug-ins/gap/gap_mov_dialog.c: Removed embedded EOLs and spaces from
	tooltips, few typos.

Sun Jul 30 12:52:16 CEST 2000  Stanislav Brabec  <utx@penguin.cz>

	On request of Martin Weber <martweb@gmx.net>:
	* plug-ins/sel2path/bitmap.h
	* plug-ins/sel2path/bounding-box.h
	* plug-ins/sel2path/global.h
	* plug-ins/sel2path/math.c
	* plug-ins/sel2path/vector.c
	* plug-ins/sel2path/vector.h
	plug-ins/sel2path has a number of functions that are declared as
	returning a `const' return value.  The ANSI spec is a bit vague on it,
	but my reading of the spec indicates that the intent is that this is
	not legal.  In any case, at least one compiler (the compiler on AIX and
	on IRIX and lcc) objects to functions that are declared/defined to
	return a const value.

2000-07-30  Michael Natterer  <mitch@gimp.org>

	* app/errors.[ch]
	* app/main.c
	* libgimp/gimp.c: my last commit redirected all messages to the
	console. Use g_log_set_handler() instead of g_set_message_handler()
	(which is deprecated anyway).

2000-07-30  Michael Natterer  <mitch@gimp.org>

	* app/Makefile.am
	* libgimp/Makefile.am: set G_LOG_DOMAINs for the app and for
	libgimp so we can distinguish their warnings from plug-in ones.

	* libgimp/gimp.c: set the stack_trace_mode before installing
	signal handlers.

2000-07-30  Sven Neumann  <sven@gimp.org>

	* plug-ins/gdyntext/gdyntext_ui.c: use gimp_ui_init(). This also
	fixes a bug we had fixed in the latest version but was
	reintroduced now by upgrading to 1.5.0. This caused empty text
	layers to be drawn when LANG != C. Seems to work fine now.

2000-07-30  Sven Neumann  <sven@gimp.org>
	
	* plug-ins/gdyntext/charmap.c
	* plug-ins/gdyntext/charmap_window.c
	* plug-ins/gdyntext/font_selection.c
	* plug-ins/gdyntext/gdyntext.[ch]
	* plug-ins/gdyntext/gdyntext_ui.c
	* plug-ins/gdyntext/gdyntextcompat.c
	* plug-ins/gdyntext/gdyntextutil.c: corrected various problems 
	with i18n
	
2000-07-30  Michael Natterer  <mitch@gimp.org>

	* gimp_splash.ppm: while trying to confuse ChangeLog readers
	with his log below, Tigert thought that GIMP thought that the
	.ppm extension determined the image's format. OTOH, GIMP thought
	that Tigert thought that he wanted to save the image as .png but
	with a broken extension. This can be considered either GIMP's
	bug or a bug of <tigert>/dev/brain. We can make a poll on this,
	but I suspect the broken "Save as..." to be the one to blame.

2000-07-30  Sven Neumann  <sven@gimp.org>

	* plug-ins/gdyntext/graphics/layer_align_[0-9].xpm
	* plug-ins/gdyntext/gdyntextcompat.[ch]
	* plug-ins/gdyntext/gdyntextutil.[ch]: new files
	
	* plug-ins/gdyntext/ChangeLog
	* plug-ins/gdyntext/Makefile.am
	* plug-ins/gdyntext/README
	* plug-ins/gdyntext/TODO
	* plug-ins/gdyntext/charmap.[ch]
	* plug-ins/gdyntext/charmap_window.[ch]
	* plug-ins/gdyntext/font_selection.[ch]
	* plug-ins/gdyntext/gdyntext.[ch]
	* plug-ins/gdyntext/gdyntext_ui.[ch]
	* plug-ins/gdyntext/message_window.[ch]: updated to version 1.5.0 
	of the GDynText plug-in. This seems to fix a number of problems 
	with the Dynamic Text tool including bugs #2355 and #16485.

2000-07-30  Tuomas Kuosmanen  <tigert@gimp.org>

	* gimp_splash.ppm: oops, mitch thought that I thought that he thought
	that I should commit this. But I thought that mitch thought that 
	I thought that he thought that um.. forget it. Anyway, here is the 
	lovely splash screen from the sunny Berlin GimpCon meeting. 
	THE DEVELOPERS EXPOSED! HOT PIXX!!111 (It was a great meeting!)
	
2000-07-30  Sven Neumann  <sven@gimp.org>

	* app/tools.c (tool_options_close_callback): use
	gimp_dialog_hide() instead of gtk_widget_hide(). Closes bug #19164.

2000-07-30  Sven Neumann  <sven@gimp.org>

	* plug-ins/helpbrowser/helpbrowser.c: activate the help page 
	when clicking into the combo-box displaying the title and use 
	the webbrowser plug-in (which should call Netscape) to handle
	non-local links.

2000-07-30  Tor Lillqvist  <tml@iki.fi>

	* libgimp/gimp.c
	* libgimp/gimp.h
	* libgimp/gimpmenu.c
	* libgimp/gimpprotocol.c
	* libgimp/gimpprotocol.h
	* libgimp/gimp.def
	* app/plug_in.c
	* plug-ins/helpbrowser/helpbrowser.c
	* plug-ins/script-fu/script-fu.c: As the GLib main loop and IO
	channel implementation on Win32 now provides the same interface as
	that on Unix, much of the Win32-only crap could be
	removed. Especially, no need for "wakeup" out-of-band messages to
	wake up pipe readers. No need for plug-ins to tell GIMP their
	thread id.

	* libgimp/gimp.c (gimp_extension_process): On Win32, use the new
	g_io_channel_win32_wait_for_condition() function.

	* plug-ins/makefile.cygwin: Add the homogenizer plug-in to the
	unofficial part.
	
2000-07-29  Sven Neumann  <sven@gimp.org>

	* app/main.c: no need to mark this string for translation

2000-07-29  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/decompose.c: 
	applied gimp-kirchgessner-000728-0, a patch by Peter Kirchgessner
	that resolves request #16795 and changes the generated filenames
	for decomposed images.

	* app/authors.h
	* tools/authorsgen/Makefile.am
	* tools/authorsgen/authorsgen.pl: works better now

2000-07-29  Michael Natterer  <mitch@gimp.org>

	* cursors/background.xbm
	* cursors/background_mask.xbm
	* cursors/foreground.xbm
	* cursors/foreground_mask.xbm
	* cursors/pattern.xbm
	* cursors/pattern_mask.xbm: new files.

	* cursors/gimp-tool-cursors.xcf
	* app/cursorutil.[ch]: new cursor modifiers for bucket_fill.

	* app/bucket_fill.c: use the new modifiers. Closes #17871.

	* app/convolve.c
	* app/dodgeburn.c: added cursor_update functions which update the
	tools' "toggled" state before they call the cursor_update "method"
	of the paint_core "class" -- eek -- I-want-real-objects!
	Closes #17872 and #17873.

	* app/tools.h: added SELECTION_ANCHOR to the SelectOps enum.

	* app/free_select.c
	* app/rect_select.c: use the new enum value in the "oper_update"
	and "cursor_update" functions. In the "motion" function, set the
	tool's operation type back to SELECTION_REPLACE if the tool is
	active and call the "cursor_update" function explicitly.
	Closes #17870.

	* app/by_color_select.c: fixed warning caused by the new enum value.

2000-07-29  Michael Natterer  <mitch@gimp.org>

	* libgimp/gimpdrawable.[ch]: gimp_drawable_set_visible(): the
	"visible" parameter is boolean.

2000-07-24  Seth Burgess <sjburges@gimp.org>
	
	* plug-ins/common/jpeg.c: fixed various capitalization issues
	by applying patch from <sgunderson@bigfoot.com>.

2000-07-25  Sven Neumann  <sven@gimp.org>

	* AUTHORS
	* configure.in
	* gimp.1.in
	* app/Makefile.am
	* app/about_dialog.c: see below
	
	* app/authors.h
	* tools/authorsgen/Makefile.am
	* tools/authorsgen/authorsgen.pl
	* tools/authorsgen/contributors: new files

	Very hackerish attempt to create all three lists of authors
	from one source. The file 'contributors' lists all the names 
	and is the only one you should dare to edit from now on.
	
2000-07-19  Michael Natterer  <mitch@gimp.org>

	* AUTHORS
	* gimp.1.in
	* app/about_dialog.c: removed a doubly added author.

Tue Jul 18 23:34:34 BST 2000  Austin Donnelly  <austin@gimp.org>

	* plugs-ins/common/gif.c: The gif save plugin normally asks the
	    user if it's ok to crop the image if there are layers larger
	    than the image size.  This isn't a good idea if we're running
	    with run_mode == NON_INTERACTIVE.  Fix similar to that
	    suggested by Bryan Livingston <bryan@cooltext.com> on
	    gimp-developer mailing list.

	* app/layer.c: Fix for Bug#17347: Scale Layer leaves artifacts.
	    Basic problem is that scaling a layer when there's a selection
	    active (eg there's a floating selection) doesn't invalidate
	    the layer bounds.  Same problem with resizing a layer,
	    although the bug report didn't mention that.  Fixed by changing
	    layer_resize() and layer_scale_lowlevel() to call
	    layer_invalidate_boundary() once done changing the layer.

2000-07-18  Tor Lillqvist  <tml@iki.fi>

	* libgimp/gimp.c (gimp_flush): Add horrible hack that seems to
	help script-fu startup on NT 4.0, by avoiding some bug in GLib.
	Yes, it would be better to fix GLib's main loop and GIOChannel
	code for Win32. Unfortunately, it's kinda hairy...

	* libgimp/gimp.h: Add extern "C" to the Win32 part for compiling
	C++ plug-ins.

	* plug-ins/makefile.cygwin: Add a couple of new unofficial
	plug-ins. Use macros from build/win32/make.mingw.

	* plug-ins/common/warp.c: Use G_PI.

2000-07-16  Michael Natterer  <mitch@gimp.org>
	    Sven Neumann      <sven@gimp.org>

	* AUTHORS
	* gimp.1.in
	* app/about_dialog.c: removed two accidentially added non-authors.

	* app/errors.[ch]
	* app/main.c: added a new command line option
	"--enable-stack-trace" which can be one of {never|query|always}.

	* app/plug_in.c
	* libgimp/gimp.c: pass the stack trace mode as an argv[] element to
	plug-ins. Cleaned up the plug-ins' argv[] (removed unused TILE_WIDTH
	and TILE_HEIGHT arguments, always pass 6 arguments to make the code
	simpler).

	* libgimp/gimpenums.h
	* plug-ins/script-fu/script-fu-constants.c
	* tools/pdbgen/Makefile.am
	* tools/pdbgen/enums.pl: export the app's STACK_TRACE_MODE enum.

	* plug-ins/common/plugindetails.c: made the titles of the tree view
	unclickable, cleanups.

Sat Jul 15 18:32:04 CEST 2000  Marc Lehmann <pcg@goof.com>

        * plug-ins/common/plasma.c: applied noninteractive fix by David
        Hodson <hodsond@ozemail.com.au>.

2000-07-15  Sven Neumann  <neo@wintermute.ochsenblut.de>

	* configure.in: added pt_BR to ALL_LINGUAS
	
	* tools/Makefile.am: only build gimp-remote if libXmu 
	is available. Added a target for kernelgen while I was
	on it.

2000-07-15  Sven Neumann  <neo@wintermute.ochsenblut.de>

	* tools/Makefile.am: build gimp-remote

	* tools/gimp-remote.c: g_error() should only be used
	for fatal errors that can never happen.

	* plug-ins/script-fu/po/pt_BR.po
	* plug-ins/script-fu/po: removed. I guess this was 
	accidentally added.
	
2000-07-13  Simon Budig  <simon@gimp.org>

	* tools/gimp-remote.c: new file
	
	This is a first implementation of a remote control for gimp.
	It synthesizes a drag'n'drop event on the toolbox to make
	Gimp load a file or an URL. Not yet built automatically since
	I have no idea about automake etc. Simply build it with
	  gcc -o gimp-remote `gtk-config --cflags --libs` \
	      -lXmu -Wall gimp-remote.c

	Disclaimer: Faking drag'n'drop for remote controlling an
	application is a hack. We should include a saner interface
	for this in Gimp 2.0.

2000-07-11  Jesus Bravo Alvarez  <jba@pobox.com>

	* configure.in: Added 'gl' (Galician) to ALL_LINGUAS.

2000-07-09  Sven Neumann  <sven@gimp.org>

	* libgimp/gimpexport.c: changed default action for multiple 
	layers to "Merge/Flatten" instead of "Save as Animation" 
	since I agree with the points made in #16488.

2000-07-08  Sven Neumann  <sven@gimp.org>

	* plug-ins/gap/gap_range_ops.c: applied a patch provided by
	Wolfgang Hofer <hof@hotbot.com> that fixes a problem when
	flattening a singlelayer image.

2000-07-04  Seth Burgess  <sjburges@gimp.org>
	
	* app/levels.c: changed reset behavior to reset all channels, not just
	currently active one.  This fixes #15042, except the problems with 
	the kissing gourami and litigating tetras.

2000-07-05  Sven Neumann  <sven@gimp.org>

	* configure.in: since there really seems to be a "build"
	directory, we should include it (and its subdirectories) here too. 

2000-07-05  Tor Lillqvist  <tml@iki.fi>

	* app/user_install.c (user_install_resolution): Use "windowing
	system" instead of "X-server".

2000-07-04  Sven Neumann  <sven@gimp.org>

	* app/tips_dialog.c: corrected an error message 

	* tips/gimp_tips.it.txt: update from Daniele Medri <madrid@linux.it>

2000-07-04  Tor Lillqvist  <tml@iki.fi>

	* Makefile.am (SUBDIRS): Yes, there *is* a "build" directory. It's a
	virtual module included in gimp, see CVSROOT/modules. With older
	CVS clients you might need to do a recheckout to get it.

	* plug-ins/script-fu/script-fu.c (marshall_proc_db_call): On
	Windows, handle pending gtk events each time we come here,
	otherwise we easily get resource starvation in a long-running
	script. Thanks to Jean-Louis Hamel for this workaround. It's a
	hack, I don't exactly know why it is needed, but it sure helps a
	lot.

	* plug-ins/makefile.cygwin: Add some new unofficial plug-ins. Use
	macros from make.mingw.

	* libgimp/makefile.cygwin: Update with new object files.

	* libgimp/gimp.def: Add new entry points.

Fri Jun 30 22:09:11 BST 2000 Andy Thomas <alt@gimp.org>

	* plug-ins/common/iwarp.c

	Applied patch by Daniel Egger that fixes a problem when
	applying iwarp in animation mode. 

2000-06-30  Nick Lamb  <njl195@zepler.org.uk>

	* plug-ins/common/png.c: More options, offsets preserved on load

2000-06-27  Daniel Egger  <egger@suse.de>

	* libgimp/gimpexport.c: changed some words to lowercase
	
2000-06-27  Sven Neumann  <sven@gimp.org>

	* app/about_dialog.c: we used an array with a hardcoded size here 
	which was too small to hold all the authors recently added. Made 
	it a dynamic one. This fixes the "Can't quit The GIMP" bug #15483.

	* app/about_dialog.h
	* app/commands.c: removed the timeout parameter from 
	about_dialog_create() since it wasn't used at all.
	
Tue Jun 27 22:26:30 BST 2000 Andy Thomas <alt@gimp.org>

	* app/paint_core.c:

	Fixed problem with coloured brushes/grayscale images and painting
	close to the edge. Fixes bug #14159

2000-06-27  Sven Neumann  <sven@gimp.org>

	* plug-ins/helpbrowser/helpbrowser.c: simplified the
	mucho weirdo code which obviously wasn't working as
	expected. Should fix bug #15284.

Sun Jun 25 22:44:12 CEST 2000  Marc Lehmann <pcg@goof.com>

	* paint_funcs.c: Fix small bug in last patch.

2000-06-26  Sven Neumann  <sven@gimp.org>

	* libgimp/gimpexport.c: added a new export_action type
	so PNG for example correctly shows "PNG can't handle layers"
	even if the suggested action is to flatten the image since
	the background has no alpha-channel. Fixes bug #15085.

2000-06-26  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/url.c: use a fixed-size buffer to make 
	the code ANSI compliant. Fixes bug #15338.

2000-06-25  Tuomas Kuosmanen  <tigert@tigert.gimp.org>

	* cursors/gimp-tool-cursors.xcf: Updated the .xcf file that
	contains the cursors. thanks Sven for pointing this out.
	I also corrected a small glitch on the bezier cursors mask.

2000-06-25  Sven Neumann  <sven@gimp.org>

	* app/resize.c (offset_update): Adding 0.5 isn't always the 
	right thing to do when converting to integer. Especially
	not if dealing with negative values. This change should
	fix the off-by-one error reported lately.

2000-06-25  Tuomas Kuosmanen  <tigert@tigert.gimp.org>

	* cursors/bezier_select_small.xbm
	* cursors/bezier_select_small_mask.xbm: Updated the bezier
	tool cursor bitmap to a more compact one

2000-06-24  Sven Neumann  <sven@gimp.org>

	* autogen.sh: applied patch from Sesse <sgunderson@bigfoot.com>
	that fixes the check for recent versions of auto[conf|make].

2000-06-23  Sven Neumann <sven@gimp.org>
	
	* Makefile.am
	* configure.in
	* gimptool.1: removed
	* gimptool.1.in: new file to generate gimptool.1 with the proper 
	version number

	* gimp.1.in
	* gimprc.5.in: unify use of version and date  
	
2000-06-22  Matt Wilson  <msw@redhat.com>

	* app/paint_core.c (paint_core_new): allocate the tool's
	paint_core with g_new0.  This prevents us from having cruft in
	unused tools.  Systems with sensitive FPUs (Alpha) will raise
	exception in the paint_core_cursor_update if paint_core->last[xy]
	are messy.

	* app/bezier_select.c (tools_new_bezier_select)
	* app/blend.c (blend_options_new)
	* app/brightness_contrast.c (tools_new_brightness_contrast)
	* app/bucket_fill.c (tools_new_bucket_fill)
	* app/by_color_select.c (tools_new_by_color_select)
	* app/color_balance.c (tools_new_color_balance)
	* app/color_panel.c (color_panel_new)
	* app/color_picker.c (tools_new_color_picker)	
	* app/crop.c (tools_new_crop)
	* app/curves.c (tools_new_curves)
	* app/ellipse_select.c (tools_new_ellipse_select)
	* app/free_select.c (tools_new_free_select)
	* app/fuzzy_select.c (tools_new_fuzzy_select)	
	* app/histogram_tool.c (tools_new_histogram_tool)
	* app/hue_saturation.c (tools_new_hue_saturation)
	* app/ink.c (tools_new_ink)
	* app/iscissors.c (tools_new_iscissors)
	* app/levels.c (tools_new_levels)
	* app/magnify.c (tools_new_magnify)
	* app/measure.c (tools_new_measure_tool)
	* app/move.c (tools_new_move_tool)
	* app/path_tool.c (tools_new_path_tool)
	* app/posterize.c (tools_new_posterize)
	* app/rect_select.c (tools_new_rect_select)
	* app/resize.c (resize_widget_new)
	* app/threshold.c (tools_new_threshold)
	* app/transform_core.c (transform_core_new)
	* app/xinput_airbrush.c (tools_new_xinput_airbrush): likewise (it
	can only help and it really isn't slow.)

	* app/color_area.c: #include <string.h> for memcpy declaration

	* app/gimphelp.c: #include <string.h> for strlen declaration

Thu Jun 22 15:53:52 PDT 2000 Manish Singh <yosh@gimp.org>

	* Made 1.1.24 release (1.2pre)

Thu Jun 22 13:43:10 PDT 2000 Manish Singh <yosh@gimp.org>

	* tools/pdbgen/lib.pl
	* libgimp/gimpgradientselect_pdb.c
	* libgimp/gimptools_pdb.c: stupid brain fart with the duplicate
	parameter logic

Thu Jun 22 13:02:01 PDT 2000 Manish Singh <yosh@gimp.org>

	* tools/pdbgen/lib.pl
	* libgimp/gimpchannel_pdb.c
	* libgimp/gimpcolor_pdb.[ch]
	* libgimp/gimpdrawable_pdb.[ch]
	* libgimp/gimpgimprc_pdb.[ch]
	* libgimp/gimpgradientselect_pdb.c
	* libgimp/gimpimage_pdb.c
	* libgimp/gimppaths_pdb.[ch]
	* libgimp/gimpselection_pdb.[ch]
	* libgimp/gimptexttool_pdb.c
	* libgimp/gimptools_pdb.c: landed the genned files from the changes
	below. Minimal code changes (some failure case return values changed,
	hopefully this won't break anything)

Wed Jun 21 20:18:16 PDT 2000 Manish Singh <yosh@gimp.org>

	* tools/pdbgen/lib.pl
	* tools/pdbgen/pdb/brushes.pdb
	* tools/pdbgen/pdb/channel.pdb
	* tools/pdbgen/pdb/color.pdb
	* tools/pdbgen/pdb/drawable.pdb
	* tools/pdbgen/pdb/gimprc.pdb
	* tools/pdbgen/pdb/gradient_select.pdb
	* tools/pdbgen/pdb/image.pdb
	* tools/pdbgen/pdb/layer.pdb
	* tools/pdbgen/pdb/parasite.pdb
	* tools/pdbgen/pdb/plug_in.pdb
	* tools/pdbgen/pdb/procedural_db.pdb
	* tools/pdbgen/pdb/selection.pdb
	* tools/pdbgen/pdb/text_tool.pdb
	* tools/pdbgen/pdb/unit.pdb: initial pass of getting all the libgimp
	wrappers autogenned.

2000-06-19  Simon Budig  <simon@gimp.org>

	* app/layers_dialog.c: Layers can be renamed by pressing
	  return in the entry-widget now.

2000-06-18  Sven Neumann  <sven@gimp.org>

	* AUTHORS: applied gimp-cornwell-000613-0 which brings the 
	list of authors upto date including all translators and 
	plug-in authors. Please check that you are listed if you have
	contributed!

	* gimp.1.in
	* app/about_dialog.c: synced the authors lists

	* INSTALL: we need gtk+-1.2.8 or newer
	
2000-06-18  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/rotate.c: slight speedup for 180-degrees

2000-06-18  Nick Lamb  <njl195@zepler.org.uk>

	* devel-docs/parasites.txt
	* plug-ins/common/tiff.c: Add support for ICC profiles
	from <khk@khk.net> look out for equivalent PNG support soon

2000-06-14  Daniel Egger <egger@suse.de>

	* paint_funcs.c: Remove calls to tile-acessor functions
	by direct accesses. 
	Split some loops to speed up the common path without 
	slowing down other cases because compiler couldn't optimize
	unnecessary calculations away.
	This changes speed up GIMP a lot in many cases. Also did
	some cleanup there.

Fri Jun 16 23:47:00 BST 2000 Andy Thomas <alt@gimp.org>

	* app/edit_selection.c

	A better fix for the problem with the selection outline.
	It should now cope with offsets in the image as well as 
	scaling the image while moving the selection.

	These problems occurred both when moving the selection as a layer
	and just moving the selection outline.

2000-06-16  Michael Natterer  <mitch@gimp.org>

	* Makefile.am
	* cursors/gimp-tool-cursors.xcf
	* cursors/perspective_small.xbm
	* cursors/perspective_small_mask.xbm
	* cursors/rotate_small.xbm
	* cursors/rotate_small_mask.xbm
	* cursors/shear_small.xbm
	* cursors/shear_small_mask.xbm: new cursors.

	* app/tools.c
	* app/transform_core.c: use them.

2000-06-16  Sven Neumann  <sven@gimp.org>
	
	* app/dodgeburn.c (tools_new_dodgeburn): Dodge/Burn
	seems to handle animated brushes quite well, so set
	TOOL_CAN_HANDLE_CHANGING_BRUSH.

2000-06-15  Michael Natterer  <mitch@gimp.org>

	* app/crop.c (crop_cursor_update): another cursor fix.

2000-06-14  Michael Natterer  <mitch@gimp.org>

	* app/convolve.c
	* app/dodgeburn.c
	* app/eraser.c
	* app/paint_core.c
	* app/tools.[ch]: fixed my tool toggle braino: the paint_core
	cannot decide which cursor to show from the state of the modifier
	keys.

	Added a boolean "toggled" variable to the Tool structure,
	set it in the toggleable paint tools and evaluate it in the
	paint_core.

2000-06-14  Michael Natterer  <mitch@gimp.org>

	* Makefile.am
	* cursors/gimp-tool-cursors.xcf
	* cursors/anchor.xbm
	* cursors/anchor_mask.xbm: new cursor modifier for the move tool.

	* app/cursorutil.[ch]
	* app/move.c: use the new modifier for anchoring floating selections.

2000-06-14  Michael Natterer  <mitch@gimp.org>

	* Makefile.am: typo.

	* cursors/mouse_intersect[_mask].xbm: forgot to remove this one.

	* cursors/gimp-tool-cursors.xcf: new file containing all cursors.

2000-06-14  Michael Natterer  <mitch@gimp.org>

	* Makefile.am
	* app/cursorutil.[ch]
	* app/tools.c
	* cursors/*: added lots of new cursors and removed old ones.

	* app/gdisplay.[ch]: enabled the cursor setting parameters in
	gdisplay_install_tool_cursor().

	* app/bezier_select.c
	* app/blend.c
	* app/bucket_fill.c
	* app/by_color_select.c
	* app/clone.c
	* app/color_picker.c
	* app/crop.c
	* app/disp_callbacks.c
	* app/edit_selection.c
	* app/eraser.c
	* app/flip_tool.c
	* app/ink.c
	* app/iscissors.c
	* app/magnify.c
	* app/measure.c
	* app/move.c
	* app/paint_core.c
	* app/rect_select.c
	* app/text_tool.c
	* app/transform_core.c: use the new cursors. Only the transform
	tools are still using old cursors.

	* app/layers_dialog.c: a tooltip for "Keep Trans."

	* app/user_install.c: set the ctree's selection mode to BROWSE.

Tue Jun 13 22:38:22 BST 2000 Andy Thomas <alt@gimp.org>

	* app/edit_selection.c

	Fixed problem with selection outline. The outline drawing did not 
	take acount of the display offset so that if you moved a selection
	to the edge of an image that cause the image to scroll in the viewing
	window the section outline was drawn incorrectly.

2000-06-13  Jay Cox  <jaycox@gimp.org>

	* tools/pdbgen/pdb/help.pdb, app/help_cmds.c:
 	#include plug_in.h

Tue Jun 13 19:55:30 CEST 2000  Stanislav Brabec  <utx@penguin.cz>

        * tips/gimp_tips.cs.txt: Updated translation.

2000-06-13  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/curve_bend.c
	* plug-ins/common/plugindetails.c
	* plug-ins/gap/gap_dbbrowser_utils.h
	* plug-ins/gap/gap_filter_codegen.c
	* plug-ins/gap/gap_pdb_calls.c
	* plug-ins/maze/maze_face.c
	* plug-ins/xjt/xpdb_calls.c: fixed compiler warnings 
	introduced by our latest libgimp changes.

2000-06-13  Sven Neumann  <sven@gimp.org>

	Moved various files from the docs directory to
	devel-docs and devel-docs/pdb. Excluded papers 
	from being distributed but left them in CVS.
	
2000-06-13  Jay Cox  <jaycox@gimp.org>

        These files should have been commited in my 2000-05-08 commit
	but somehow they didnt make it.
	
	* app/hue_saturation.c
	* app/levels.c
	* app/posterize.c
	* app/threshold.c: Add a call to image_map_clear in the
	preview toggle button callback.  This makes the preview toggle
	button behave as expected.
	
	* app/histogram_tool: remove an unnecessary include.


2000-06-13  Sven Neumann  <sven@gimp.org>

	* gimp.1: removed
	
	* configure.in
	* gimp.1.in: new file used to autogenerate gimp.1. The manpage
	could need a little more work, but I'm tired now...

2000-06-13  Sven Neumann  <sven@gimp.org>

	* gimp.spec: removed
	
	* configure.in
	* gimp.spec.in: new file used to autogenerate gimpc.spec with 
	the proper version number

	* Makefile.am: bumped dependency to gtk+-1.2.8 and included
	new cursor files

2000-06-10  Sven Neumann  <sven@gimp.org>

	* AUTHORS: applied gimp-cornwell-000507-0
	Please add yourself if you have contributed and are missing.

Sat Jun 10 12:19:31 BST 2000  Adam D. Moss <adam@gimp.org>

	* plug-ins/libgck/gck/gckcolor.c: #include fixup.

2000-06-09  Vidar Madsen  <vidar@prosalg.no>

	* plug-ins/gimpressionist/repaint.c: Finally fixed an old
	and annoying bug.

2000-06-09  Michael Natterer  <mitch@gimp.org>

	* app/gdisplay.[ch]
	* app/scroll.c: oops, my last commit caused a segfault.

2000-06-09  Michael Natterer  <mitch@gimp.org>

	Cursor patch II:
	This is only the logic inside the cursor system and not yet used.

	* app/cursorutil.[ch]: [gimp]_change_win_cursor() take lots of
	parameters now and compose cursors from up to three cursor
	bitmaps/masks.

	* app/gdisplay.[ch]: As a test, create a hardcoded example cursor
	if "Cursor Mode" is set to "Tool Icon with Crosshair" in prefs.

	* app/curves.c
	* app/dialog_handler.c
	* app/scroll.c: changed the calls to the win_cursor function.

	* app/tools.[ch]: added a cursor and a toggle cursor to the ToolInfo
	structure of all tools.

	* app/toolsF.h: new ToolType TOOL_TYPE_NONE.

	* app/gimpdnd.c
	* app/interface.c: check for silly filenames in the file dnd
	callback. Closes #13733.

	* Makefile.am
	* cursors/bucket_fill_small.xbm
	* cursors/bucket_fill_small_mask.xbm
	* cursors/crop_small.xbm
	* cursors/crop_small_mask.xbm
	* cursors/crosshair_small.xbm
	* cursors/crosshair_small_mask.xbm
	* cursors/ellipse_select_small.xbm
	* cursors/ellipse_select_small_mask.xbm
	* cursors/eraser_small.xbm
	* cursors/eraser_small_mask.xbm
	* cursors/free_select_small.xbm
	* cursors/free_select_small_mask.xbm
	* cursors/fuzzy_select_small.xbm
	* cursors/fuzzy_select_small_mask.xbm
	* cursors/intersect.xbm
	* cursors/intersect_mask.xbm
	* cursors/minus.xbm
	* cursors/minus_mask.xbm
	* cursors/move.xbm
	* cursors/move_mask.xbm
	* cursors/paintbrush_small.xbm
	* cursors/paintbrush_small_mask.xbm
	* cursors/pencil_small.xbm
	* cursors/pencil_small_mask.xbm
	* cursors/plus.xbm
	* cursors/plus_mask.xbm
	* cursors/rect_select_small.xbm
	* cursors/rect_select_small_mask.xbm
	* cursors/resize_small.xbm
	* cursors/resize_small_mask.xbm
	* cursors/zoom.xbm
	* cursors/zoom_mask.xbm
	* cursors/zoom_small.xbm
	* cursors/zoom_small_mask.xbm: new files extracted from Tigert's
	gimp-tool-cursors.xcf created at GimpCon.

	Tigert, I'll commit the xcf as soon as I've added empty layers
	with the names of the cursors that are missing.

	* cursors/mouse.xbm
	* cursors/mouse_mask.xbm: made it 32x32 to allow for cursor
	composition.

2000-06-09  Sven Neumann  <sven@gimp.org>

	* gimp.h
	* gimpchannel.h
	* gimpcompat.h
	* gimpdrawable.h
	* gimpimage.h
	* gimplayer.h: moved convenience defines from gimp.h into
	relevant header files so you have a chance to find them. 
	
2000-06-08  Sven Neumann  <sven@gimp.org>

	* libgimp/Makefile.am:
	* libgimp/gimp_pdb.h
	* libgimp/gimpmisc_pdb.[ch]
	* libgimp/gimppaths_pdb.[ch]: added missing autogenerated
	files that define PDB wrappers

	* tools/pdbgen/pdb/misc.pdb
	* tools/pdbgen/pdb/paths.pdb: made them generate libgimp code

	* plug-ins/sel2path/sel2path.c
	* plug-ins/sel2path/sel2path_adv_dialog.c: code cleanup, nicer
	dialog layout, use new PDB wrappers
	
Thu Jun  8 15:45:40 CEST 2000 Marc Lehmann <pcg@goof.com>

        * plug-ins/common/gif.c: gimp-comment's were wrongly assumed to be
        zero-terminated strings.

2000-06-08  Sven Neumann  <sven@gimp.org>

	* tips/gimp_tips.txt: somehow a few spaces sneaked in here
	at the wrong place

2000-06-08  Sven Neumann  <sven@gimp.org>

	* app/eraser.c: as suggested by Daniel Egger, set 
	TOOL_CAN_HANDLE_CHANGING_BRUSH for the eraser tool. 
	Fixes bug #13172.
	
2000-06-08  Sven Neumann  <sven@gimp.org>

	* app/qmask.c: call undo_push_qmask() before removing the
	channel since the callback will set the qmask_state 
	incorrectly otherwise. Fixes bug #13472.
	
	* app/undo.[ch]: code cleanup

	* plug-ins/common/gif.c: put save_comment into the values
	that are stored between calls to the GIF plug-in, so it 
	remembers if the user wants to save the comment. Fixes
	bug #12755.
	
Wed Jun  7 12:00:39 PDT 2000 Manish Singh <yosh@gimp.org>

	[patches from Daniel Egger]

	* app/layers_dialog.c: Disable the "Add Layermask" menuentry
	for indexed images.

	* app/gimpimage.c: Leave gimp_image_add_layer_mask(...) after
	spitting out messages when trying to add a layermask to an
	indexed image.

2000-06-07  Sven Neumann  <sven@gimp.org>

	* app/pixel_region.c: applied patch provided by Daniel Egger:
	store the result of tile_bpp() into a variable and use it
	instead of calling it over and over again in the inner loop.

	* app/pixel_region.h
	* app/pixel_regionP.h:
	Did some additional indentation and code cleanup.
	
2000-06-07  Michael Natterer  <mitch@gimp.org>
            Jay Cox  <jaycox@gimp.org>

	* plug-ins/common/gifload.c: test for GIMP_HAVE_PARASITES

	* plug-ins/common/url.c: open a pipe to the wget child and
	parse it's output so we can display a progressbar.

2000-06-07  Sven Neumann  <sven@gimp.org>

	* Makefile.am: sorry, there's no build directory

	* app/plug_in.c (plug_in_temp_run): uncommented the call to 
	plug_in_pop(). This seems to solve the longstanding problem 
	that made temporary procedures like Script-Fu fail when
	called from plug-ins.

2000-06-06  Seth Burgess <sjburges@gimp.org>

	* plug-ins/imagemap/imap_default_dialog.c
	* plug-ins/imagemap/imap_edit_area_info.c
	* plug-ins/imagemap/imap_default_dialog.h: Applied author's
	(Maurits Rijk  <lpeek.mrijk@consunet.nl>) patches to make apply 
	callback behave properly
	
2000-06-07  Tor Lillqvist  <tml@iki.fi>

	* Makefile.am: Add the build subdirectory (which contains a copy
	of the build module).

	* app/gimphelp.c (gimp_help_netscape): Test for help_path being
	non-NULL was wrong way.

	* app/preferences_dialog.c (file_pref_cmd_callback): Change
	"From X Server" to "From windowing system".

	* app/makefile.cygwin: Update according to file name changes.

	* libgimp/gimp.def
	* libgimp/gimpui.def
	* libgimp/makefile.{cygwin,msc}: Update for Mitch's and Sven's
	changes.

	* app/makefile.cygwin
	* libgimp/makefile.cygwin
	* modules/makefile.cygwin
	* plug-ins/makefile.cygwin: Include make.mingw from build/win32,
	simplify accordingly.

	* plug-ins/libgck/gck/gckcolor.c: Include <glib.h> before
	gimpmath.h, so G_PI don't get redefined when glib.h is included
	later.

	From Hans Breuer, portability fixes for MSVC compilation:

	* app/dialog_handler.h: Bypass decalration of exported functions
	which are marked with G_MODULE_EXPORT in dialog_handler.c when
	compiling that file. Otherwise some compilers will get confused.

	* app/dialog_handler.c: Define a test macro for above bypass.

	* plug-ins/MapObject/mapobject_apply.c
	* plug-ins/MapObject/mapobject_image.c
	* plug-ins/MapObject/mapobject_shade.c: Include <string.h>.

	* plug-ins/flame/flame.c: Define S_ISREG if needed.

	* plug-ins/makefile.{cygwin,msc}: Updates.

	* plug-ins/sel2path/global.h: Include <stdlib.h>.

	* plug-ins/winsnap/winsnap.c: Include libgimp/gimpui.h.

2000-06-05  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/scripts/ripply-anim.scm
	* plug-ins/script-fu/scripts/spinning_globe.scm
	* plug-ins/script-fu/scripts/waves-anim.scm: applied
	gimp-quinet-000531-2.patch to ensure that the output of
	these scripts is viewed in "replace" mode and not in
	"combine" mode.

2000-06-05  Sven Neumann  <sven@gimp.org>
	
	* plug-ins/script-fu/scripts/3d-outline.scm
	* plug-ins/script-fu/scripts/alien-glow-logo.scm
	* plug-ins/script-fu/scripts/alien-neon-logo.scm
	* plug-ins/script-fu/scripts/basic1-logo.scm
	* plug-ins/script-fu/scripts/basic2-logo.scm
	* plug-ins/script-fu/scripts/blended-logo.scm
	* plug-ins/script-fu/scripts/bovinated-logo.scm
	* plug-ins/script-fu/scripts/chalk.scm
	* plug-ins/script-fu/scripts/chip-away.scm
	* plug-ins/script-fu/scripts/chrome-logo.scm
	* plug-ins/script-fu/scripts/comic-logo.scm
	* plug-ins/script-fu/scripts/coolmetal-logo.scm
	* plug-ins/script-fu/scripts/frosty-logo.scm
	* plug-ins/script-fu/scripts/glossy.scm
	* plug-ins/script-fu/scripts/glowing-logo.scm
	* plug-ins/script-fu/scripts/gradient-bevel-logo.scm
	* plug-ins/script-fu/scripts/neon-logo.scm
	* plug-ins/script-fu/scripts/starburst-logo.scm
	* plug-ins/script-fu/scripts/starscape-logo.scm
	* plug-ins/script-fu/scripts/t-o-p-logo.scm
	* plug-ins/script-fu/scripts/textured-logo.scm: applied
	gimp-quinet-000531-1.patch to add support for "Alpha to Logo"
	and correct undo handling in these logo scripts.

2000-06-05  Sven Neumann  <sven@gimp.org>
	
	* plug-ins/script-fu/scripts/clothify.scm: applied
	gimp-quinet-000531-0.patch to change the help blurb.

	* plug-ins/script-fu/scripts/drop-shadow.scm
	* plug-ins/script-fu/scripts/erase-rows.scm
	* plug-ins/script-fu/scripts/perspective-shadow.scm
	* plug-ins/script-fu/scripts/predator.scm
	* plug-ins/script-fu/scripts/xach-effect.scm: applied
	gimp-quinet-000531-0.patch to replace all calls to
        gimp-image-undo-disable by gimp-undo-push-group-start,
	and gimp-image-undo-enable by gimp-undo-push-group-end.

2000-06-06  Michael Natterer  <mitch@gimp.org>

	* Makefile.am
	* cursors/crosshair.xbm
	* cursors/crosshair_mask.xbm: new files.

	* app/cursorutil.[ch]
	* app/gdisplay.[ch]
	* app/gimprc.[ch]
	* app/preferences_dialog.c: Started to add the new set of
	consistent tool cursors. The crosshair one is the easy part
	but I wanted to see a result :) The other two options in
	the pref's cursor menu are still dummys.

2000-06-05  Sven Neumann  <sven@gimp.org>

	* app/paint_core.[ch]: indentation, no real changes

	* plug-ins/gap/README
	* plug-ins/gap/gap_mov_dialog.c
	* plug-ins/gap/gap_mov_exec.c: applied a patch from Wolfgang
	Hofer 
	
	* plug-ins/imagemap/imap_csim.y: applied a patch from
	Maurits Rijk which promises to fix bug #10090. 
	Yosh, could you regenerate the C code, please...?!

	* tips/gimp_tips.txt: applied gimp-quinet-20000508-0.patch,
	an update to the english tips file provided by Raphael Quinet.
	
2000-06-05  Michael Natterer  <mitch@gimp.org>

	* plug-ins/common/xbm.c: Don't save the mask inverted.

Mon Jun  5 12:48:10 BST 2000  Adam D. Moss <adam@gimp.org>

	* plug-ins/common/animoptimize.c: Fix old bug which could
	cause errors in evaluating the final pixel of each composed layer.

	* plug-ins/common/animationplay.c: Same bug, different plugin.

2000-06-05  Michael Natterer  <mitch@gimp.org>

	* plug-ins/common/xbm.c: allow saving of images with alpha.
	If the image has alpha, offer the choice of ignoring it or
	alternatively saving it as a separate XBM file which is the
	mask of the X cursor we are saving.

Sun Jun  4 20:17:25 2000 CET  Austin Donnelly  <austin@gimp.org>

	* app/paths_dialog.c: run the sel2path plugin with a proper
	    display ID - previously we were using a _drawable_ ID as the
	    display ID: a blatant type mismatch.

	* plug-ins/sel2path/pxl-outline.c: progress bar on
	    selection-to-path.  Also, small optimization to inner loop:
	    cache the max values of the loops rather than needing a
	    function call per loop iteration (ouch!).

2000-06-04  Sven Neumann  <sven@gimp.org>

	* app/interface.c: connect to the toolbox's "style_set" signal
	and set window manager hints in the callback.

2000-06-04  Asbjorn Pettersen  <asbjornP@dualog.no>

	* modules/gimpmodregister.c: 	
	* modules/gimpmodregister.h: Use gimpcolordisplay.h and
	gimpcolorselector.h

Sat Jun  3 11:11:58 PDT 2000  Sven Neumann <sven@gimp.org>

	* app/channel.c
	* app/drawable.c
	* app/floating_sel.c
	* app/gimage_mask.c
	* app/gimpdrawable.[ch]
	* app/ink.c
	* app/layer.c
	* app/paint_core.c
	* app/undo.c
	* app/xinput_airbrush.c: be smarter about emitting the 
	"invalidate_preview" signal, so it doesn't slow down 
	painting and image_map color-corrections. 

2000-06-03  Michael Natterer  <mitch@gimp.org>
	    Sven Neumann  <sven@gimp.org>

	* libgimp/gimpproceduraldb.c (gimp_procedural_db_get_data): a bad
	hack to map the autogenerated code to the old api.

2000-06-02  Asbjorn Pettersen  <asbjornP@dualog.no>

	* modules/gimpmodregister.c: Use gimpmodregister.h.  OS/2 ver.

2000-06-01  Michael Natterer  <mitch@gimp.org>
	    Sven Neumann  <sven@gimp.org>
	    Simon Budig  <Simon.Budig@unix-ag.org>
	    Garry R. Osgood  <gosgood@idt.net>
	    Seth Burgess <sjburges@gimp.org>
	    Tuomas Kuosmanen <tigert@gimp.org>
	    Tor Lillqvist <tml@iki.fi>
	    Andy Thomas <alt@gimp.org>
	    Andreas Bogk <andreas@andreas.org>
	    Vincent Kolwitz <vincent@andreas.org>

	The remaining bits ...    
	
	* tools/pdbgen/Makefile.am
	* tools/pdbgen/groups.pl
	* tools/pdbgen/pdb/gradient.pdb  -> gradients.pdb

	* app/Makefile.am
	* app/gradient_cmds.c  -> gradients_cmds.c
	
	* libgimp/gimpbrushes_pdb.[ch]
	* libgimp/gimpfileops_pdb.[ch]
	* libgimp/gimpguides_pdb.[ch]
	* libgimp/gimphelp_pdb.[ch]
	* libgimp/gimpmessage_pdb.[ch]
	* libgimp/gimpparasite_pdb.[ch]
	* libgimp/gimppatterns_pdb.[ch]
	* libgimp/gimpplugin_pdb.[ch]: replaced with code based on
	files generated using pdbgen

	* libgimp/gimpbrushmenu.c
	* libgimp/gimppatternmenu.c: 
	reflect changes in gimp[brushes|patterns]_pdb.[ch] 
	
	* tools/pdbgen/pdb/gradient.pdb  -> gradients.pdb
	
	* tools/pdbgen/pdb/plug_in.pdb: made it create libgimp code 

	* plug-ins/perl/Gimp/Lib.xs: made it compile without warnings.

2000-06-01  Michael Natterer  <mitch@gimp.org>
	    Sven Neumann  <sven@gimp.org>
	    Simon Budig  <Simon.Budig@unix-ag.org>
	    Garry R. Osgood  <gosgood@idt.net>
	    Seth Burgess <sjburges@gimp.org>
	    Tor Lillqvist <tml@iki.fi>

	* libgimp/gimpchannel_pdb.[ch]
	* libgimp/gimpproceduraldb_pdb.[ch]
	* libgimp/gimpunit_pdb.[ch]: replaced with code based on
	files generated using pdbgen

	* libgimp/Makefile.am
	* libgimp/gimp.h
	* libgimp/gimp_pdb.h
	* libgimp/gimpchannel.[ch]
	* libgimp/gimpproceduraldb.[ch]: new files wrapping around the 
	autogenerated PDB wrappers as found in *_pdb.[ch].

	* libgimp/gimpselection_pdb.h: minor change.

	* tools/pdbgen/pdb/procedural_db.pdb: made it create libgimp code

	* plug-ins/gap/gap_filter_pdb.c
	* plug-ins/script-fu/script-fu-console.c
	* plug-ins/script-fu/script-fu.c
	* plug-ins/xjt/xpdb_calls.c: gimp_query_procedure's signature
	is typesafe now.

2000-06-01  Michael Natterer  <mitch@gimp.org>
	    Sven Neumann  <sven@gimp.org>

	* libgimp/gimpdrawable_pdb.[ch]
	* libgimp/gimplayer_pdb.[ch]
	* libgimp/gimppalette_pdb.[ch]: replaced with code based on files 
	generated using pdbgen

	* libgimp/Makefile.am
	* libgimp/gimplayer.[ch]:  new files wrapping around the 
	autogenerated PDB wrappers as found in *_pdb.[ch].

	* libgimp/gimpdrawable.[ch]: added wrappers around PDB wrappers

	* libgimp/gimp.h
	* libgimp/gimpimage.c
	* libgimp/gimpimage_pdb.c
	* libgimp/gimpparasite_pdb.c: various smaller changes
	
2000-06-01  Michael Natterer  <mitch@gimp.org>
	    Sven Neumann  <sven@gimp.org>
	
	* libgimp/gimpgradientmenu.c: forgot a small change here...

2000-06-01  Michael Natterer  <mitch@gimp.org>
	    Sven Neumann  <sven@gimp.org>

	Completed the new file structure. Yet only few of the _pdb.[ch] 
	files are based upon generated code and nothing is really 
	autogenerated...

	* app/Makefile.am
	* app/gdisplay_cmds.c      -> app/display_cmds.c 
	* app/gimage_cmds.c        -> app/image_cmds.c 
	* app/gimage_mask_cmds.c   -> app/selection_cmds.c 
	* app/internal_procs.c: related change

	* libgimp/Makefile.am
	* libgimp/gimp.h
	* libgimp/gimp_pdb.h
	* libgimp/gimpdisplay_pdb.[ch]
	* libgimp/gimpimage_pdb.[ch]
	* libgimp/gimpselection_pdb.[ch]: replaced with code based on files 
	generated using pdbgen
	
	* libgimp/gimpchannelops_pdb.[ch]
	* libgimp/gimpcolor_pdb.[ch]
	* libgimp/gimpedit_pdb.[ch]
	* libgimp/gimpfloatingsel_pdb.[ch]
	* libgimp/gimpgimprc_pdb.[ch]
	* libgimp/gimptexttool_pdb.[ch]
	* libgimp/gimptools_pdb.[ch]
	* libgimp/gimpundo_pdb.[ch]: new files based on generated code

	* libgimp/gimpgradientselect.[ch]
	* libgimp/gimpimage.[ch]
	* libgimp/gimpselection.[ch]: new files wrapping around the 
	autogenerated PDB wrappers as found in *_pdb.[ch]. This is necessary 
	since the number of parameters or their order is different from the 
	PDP calls.

	* plug-ins/common/CEL.c: plugged memleak
	
	* plug-ins/common/aa.c: removed compiler warning
	
	* tools/pdbgen/Makefile.am
	* tools/pdbgen/groups.pl
	* tools/pdbgen/pdb/gdisplay.pdb     -> display.pdb
	* tools/pdbgen/pdb/gimage.pdb       -> image.pdb
	* tools/pdbgen/pdb/gimage_mask.pdb  -> selection.pdb

	* tools/pdbgen/pdb/channel_ops.pdb
	* tools/pdbgen/pdb/color.pdb
	* tools/pdbgen/pdb/edit.pdb
	* tools/pdbgen/pdb/floating_sel.pdb
	* tools/pdbgen/pdb/gimprc.pdb
	* tools/pdbgen/pdb/text_tool.pdb
	* tools/pdbgen/pdb/tools.pdb
	* tools/pdbgen/pdb/undo.pdb: made them create libgimp code
	
2000-05-31  Michael Natterer  <mitch@gimp.org>
	    Sven Neumann  <sven@gimp.org>

	Coming closer to our goal of autogenerating the 
	libgimp PDB wrappers... 

	* app/internal_procs.c
	* app/parasite_cmds.c
	* tools/pdbgen/pdb/parasite.pdb: removed parasite_new PDB call.

	* libgimp/gimp.h
	* libgimp/gimp_pdb.h
	* libgimp/gimpbrushmenu.c
	* libgimp/gimpcompat.h
	* libgimp/gimpdrawable_pdb.[ch]
	* libgimp/gimpexport.c
	* libgimp/gimpgradientmenu.c
	* libgimp/gimpimage_pdb.[ch]
	* libgimp/gimpmenu.[ch]
	* libgimp/gimpparasite.[ch]
	* libgimp/gimpparasite_pdb.[ch]
	* libgimp/gimppatternmenu.c
	* libgimp/gimpproceduraldb_pdb.[ch]: changes to incorporate the new
	files listed below

	* libgimp/Makefile.am
	* libgimp/gimpbrushes_pdb.[ch]
	* libgimp/gimpbrushselect_pdb.[ch]
	* libgimp/gimpconvert_pdb.[ch]
	* libgimp/gimpgradientselect_pdb.[ch]
	* libgimp/gimppatterns_pdb.[ch] 
	* libgimp/gimppatternselect_pdb.[ch]: new files partly generated
	using pdbgen

	* tools/pdbgen/lib.pl: some adjustments and fixes to the libgimp
	pdbgen code

	* tools/pdbgen/pdb/help.pdb
	* tools/pdbgen/pdb/pattern_select.pdb: make them generate PDB 
	wrappers for libgimp too.

2000-05-31  Michael Natterer  <mitch@gimp.org>
	    Sven Neumann  <sven@gimp.org>

	Episode IV...

	* app/Makefile.am

	* app/message_cmds.c: new name
	* app/interface_cmds.c: removed

	* app/help_cmds.c: new name
	* app/gimphelp_cmds.c: removed

	* app/internal_procs.c
	* app/gimphelp_cmds.c
	* app/plug_in_cmds.c: moved gimp_plugin_help_register to
	plug_in_cmds.c, s/gimp_plugin_domain_add/gimp_plugin_domain_register/

	* libgimp/Makefile.am
	* libgimp/gimp_pdb.h
	* libgimp/gimpfileops_pdb.[ch]
	* libgimp/gimpguides_pdb.[ch]
	* libgimp/gimpmessage_pdb.[ch]
	* libgimp/gimpprocedural_db_pdb.[ch]
	* libgimp/gimpplugin_pdb.[ch]: new files containing PDB wrappers
	moved out of libgimp/gimp.[ch]

	* libgimp/gimpchannel_pdb.c
	* libgimp/gimpdisplay_pdb.[ch]
	* libgimp/gimpdrawable_pdb.[ch]
	* libgimp/gimphelp_pdb.[ch]
	* libgimp/gimpimage_pdb.[ch]
	* libgimp/gimplayer_pdb.c
	* libgimp/gimpparasite_pdb.c
	* libgimp/gimpselection_pdb.c: various changes.

	* libgimp/gimpunit.c: new file
	* libgimp/gimpunit_pdb.[ch]: contains only PDB wrappers prefixed
	with "_" which are called from libgimp/gimpunit.c only.

	* libgimp/gimpunit.h: minor stuff

	* libgimp/gimpcompat.h: declared the following functions obsolete:
	 gimp_query_database
	 gimp_query_images

	* libgimp/gimp.[ch]: removed all PDB wrappers.

	* tools/pdbgen/Makefile.am
	* tools/pdbgen/groups.pl: changed

	* tools/pdbgen/lib.pl: tried to fix libgimp autogeneration and
	fixed just a few comments.

	* tools/pdbgen/pdb/interface.pdb
	* tools/pdbgen/pdb/gimphelp.pdb: removed

	* tools/pdbgen/pdb/help.pdb
	* tools/pdbgen/pdb/message.pdb: new names

	* plug-ins/script-fu/script-fu.c
	* plug-ins/perl/Gimp/Lib.xs:
	s/gimp_plugin_domain_add/gimp_plugin_domain_register/

2000-05-31  Michael Natterer  <mitch@gimp.org>
	    Sven Neumann  <sven@gimp.org>

	* libgimp/Makefile.am
	* libgimp/gimpchannel_pdb.h
	* libgimp/gimpdisplay_pdb.h
	* libgimp/gimpdrawable_pdb.h
	* libgimp/gimpgradient_pdb.h
	* libgimp/gimphelp_pdb.h
	* libgimp/gimpimage_pdb.h
	* libgimp/gimplayer_pdb.h
	* libgimp/gimpparasite_pdb.h
	* libgimp/gimpselection_pdb.h
	* libgimp/gimpunit_pdb.h
	* libgimp/gimpdrawable.[ch]
	* libgimp/gimphelp.c
	* libgimp/gimppixelrgn.h
	* libgimp/gimptile.h: new files

	* libgimp/gimp.[ch]
	* libgimp/gimpchannel_pdb.c
	* libgimp/gimpdrawable_pdb.c
	* libgimp/gimpgradient_pdb.c
	* libgimp/gimppalette_pdb.c
	* libgimp/gimpselection_pdb.c
	* libgimp/gimphelp_pdb.c
	* libgimp/gimpimage_pdb.c
	* libgimp/gimplayer_pdb.c
	* libgimp/gimpgradientmenu.c
	* libgimp/gimpbrushmenu.c
	* libgimp/gimpmenu.[ch]
	* libgimp/gimppatternmenu.c
	* libgimp/gimppixelrgn.c
	* libgimp/gimptile.c: part III of the (final) libgimp cleanup

	Split gimp.h into a bunch of headers. More or less finished the
	task of moving PDB wrappers into separate files in preparation 
	of the upcoming autogen-it-all-attack.

	* libgimp/gimpcompat.h: declared the following functions obsolete:
	gimp_[channel|layer]_[width|height]
	gimp_layer_[bpp|type]
	gimp_channel_get_[image|layer]_ID

	* libgimp/gimptypes.h: new file:
	GPlugInInfo
	GTile
	GDrawable
	GPixelRgn
	GParamColor
	GParamRegion
	GParamData
	GParamDef
	GParam: s/G/Gimp/

	* app/gimphelp_cmds.c
	* app/plug_in_cmds.c
	* tools/pdbgen/pdb/gimphelp.pdb
	* tools/pdbgen/pdb/plug_in.pdb: changed help texts.

2000-05-31  Michael Natterer  <mitch@gimp.org>

	* app/gimpunit.c
	* libgimp/*: all libgimp headers are included via gimp.h or
	gimpui.h, so include <gtk/gtk.h> there and in the *.c files.
	Various cleanups.

Wed May 31 00:43:09 CEST 2000  Stanislav Brabec  <utx@penguin.cz>

        * tips/gimp_tips.cs.txt: Updated translation.

Mon May 29 18:47:48 EDT 2000 Adrian Likins <adrian@gimp.org>

	* data/brushes/vine.gbr: removed file that shouldnt 
	of been included
	 
	* data/brushes/Makefile.am
	* data/brushes/SketchBrush-*: Added the pencil sketch
	imagepipes from tigert's site.

Mon May 29 22:41:31 BST 2000 Andy Thomas <alt@gimp.org>

	* app/about_dialog.c

	Added C.Bunks.

2000-05-29  Sven Neumann  <sven@gimp.org>

	* app/Makefile.am
	* app/paint_core.c
	* app/paint_core_kernels.h: moved brush subsampling kernels
	into its own header file and generated a different kernel 
	(using the new kernelgen tool, see below). The new kernel 
	simulates circular pixels instead of rectangular ones and 
	gives slightly different results at brush edges.

	* app/gimage_mask.c: when stroking a selection, offset the
	points by 0.5 to align the brushes with the pixel grid. This 
	lets you create 1-pixel wide rectangles and ellipses.

	* tools/Makefile.am
	* tools/kernelgen.c: simple hack to generate subsampling
	kernels.
	
2000-05-29  Tor Lillqvist  <tml@iki.fi>

	* gimprc.win32: Update to match Unix version.

	* app/gimp.sym: Add dialog_{,un}register.

	* app/dialog_handler.c: Include <gmodule.h>, mark above functions
	with G_MODULE_EXPORT.

	* app/makefile.{msc,cygwin}: Update to match current GLib 1.3.

	* libgimp/gimp.def
	* libgimp/gimpui.def: Update according to function name changes etc.
	
	* libgimp/makefile.{msc,cygwin}: Update for changed file
	names.

	* libgimp/makefile.cygwin
	* modules/makefile.cygwin: Simplify, use the
	../build/win32/make.mingw file.
	
	* plug-ins/common/gz.c (save_image): Somewhat more informative
	error message on Win32 when gzip.exe isn't found (most probable
	cause of error).

	* tips/gimp_tips.txt: Clarify location of personal GIMP directory
	on Unix and Windows.

2000-05-29  Tuomas Kuosmanen  <tigert@gimp.org>

	* plug-ins/gdyntext/gdyntext.c (gdt_get_values): We dont need to say 
	this to the user every time. Since the user just needs to click "ok" 
	anyway.

Sun May 28 10:21:50 PDT 2000 Manish Singh <yosh@gimp.org>

	* Made 1.1.23 release (1.2pre)

2000-05-28  Michael Natterer  <mitch@gimp.org>

	* libgimp/gimp.h
	* libgimp/gimpcolordisplay.h
	* libgimp/gimpcolorselector.h
	* libgimp/gimpmatrix.h
	* libgimp/gimpmodule.h
	* libgimp/gimpunit_pdb.c: purely cosmetic stuff and added some
	typedefs to make the html documentation nicer. Moved the module
	documentation from the headers to the sgml files.

	* app/module_db.[ch]: The type of the "init" and "unload" functions
	has changed. Code cleanup.

2000-05-27  Sven Neumann  <sven@gimp.org>

	* app/color_select.c: use spinbuttons in the GIMP
	color_selector

Sat May 27 04:27:36 EDT 2000 calvinw@mindspring.com

	* app/gimpimage.c
	--Fixed Fujita Yuji's bug (reported 27May2000 to
	gimp-developer) -larger than 64x64 brush and
	selection mask crashes smudge/dodgeburn/convolve
	This was a rowstrides bug in gimp_image_replace_image.

2000-05-27  Michael Natterer  <mitch@gimp.org>

	Libgimp cleanup part II (with a little help from Yosh
	who moved the CVS files).

	* libgimp/Makefile.am
	* libgimp/gimpchannel_pdb.c
	* libgimp/gimpdisplay_pdb.c
	* libgimp/gimpdrawable_pdb.c
	* libgimp/gimpgradient_pdb.c
	* libgimp/gimphelp_pdb.c
	* libgimp/gimpimage_pdb.c
	* libgimp/gimplayer_pdb.c
	* libgimp/gimppalette_pdb.c
	* libgimp/gimpparasite_pdb.c
	* libgimp/gimpselection_pdb.c
	* libgimp/gimpunit_pdb.c: new names of all files which contain
	PDB wrappers.

	* modules/Makefile.am
	* libgimp/gimpcolordisplay.h
	* libgimp/gimpcolorselector.h
	* libgimp/gimpparasite.[ch]
	* libgimp/gimpparasiteio.[ch]
	* modules/gimpmodregister.[ch]: renamed.

	* libgimp/gimpparasiteF.h
	* libgimp/gimpparasiteP.h: removed because gimp.h had to include
	the private header anyway.

	* app/color_notebook.c
	* app/color_select.c
	* app/gdisplay_color.[ch]
	* app/gdisplay_color_ui.c
	* app/gimpbrushpipe.c
	* app/gimpdrawable.[ch]
	* app/gimpimage.c
	* app/gimpimage.h
	* app/gimpparasite.[ch]
	* app/gimprc.c
	* app/image_new.c
	* app/layer.c
	* app/parasite_cmds.c
	* app/parasitelist.[ch]
	* app/plug_in.c
	* app/procedural_db.c
	* app/undo.c
	* app/xcf.c
	* libgimp/gimp.[ch]
	* libgimp/gimpcolordisplay.h
	* libgimp/gimpparasite.[ch]
	* modules/cdisplay_gamma.c
	* modules/cdisplay_highcontrast.c
	* modules/colorsel_gtk.c
	* modules/colorsel_triangle.c
	* modules/colorsel_water.c
	* plug-ins/FractalExplorer/Dialogs.c
	* plug-ins/FractalExplorer/Events.c
	* plug-ins/Lighting/lighting_apply.c
	* plug-ins/Lighting/lighting_shade.c
	* plug-ins/MapObject/mapobject_image.c
	* plug-ins/common/gpb.c
	* plug-ins/common/psp.c
	* plug-ins/sel2path/sel2path.c
	* po-libgimp/POTFILES.in
	* tools/pdbgen/pdb.pl
	* tools/pdbgen/pdb/parasite.pdb: changed includes accordingly.

Fri May 26 23:14:14 BST 2000 Andy Thomas <alt@gimp.org>

	* plug-ins/common/illusion.c

	Preview tidy.

2000-05-26  Michael Natterer  <mitch@gimp.org>

	Final (1.2) libgimp namespace cleanup part I:

	* app/gimpbrushpipe.c
	* app/gimpdrawable.[ch]
	* app/gimpimage.[ch]
	* app/gimpparasite.[ch]
	* app/gimprc.c
	* app/image_new.c
	* app/parasite_cmds.c
	* app/parasitelist.[ch]
	* app/parasitelistP.h
	* app/plug_in.c
	* app/undo.c
	* app/xcf.c
	* libgimp/color_display.h
	* libgimp/gimp.[ch]
	* libgimp/gimpdrawable.c
	* libgimp/gimpimage.c
	* libgimp/gimpparasite.c
	* libgimp/gimpprotocol.c
	* libgimp/parasite.[ch]
	* libgimp/parasiteF.h
	* libgimp/parasiteP.h
	* libgimp/parasiteio.[ch]
	* modules/cdisplay_gamma.c
	* modules/cdisplay_highcontrast.c
	* plug-ins/common/csource.c
	* plug-ins/common/gif.c
	* plug-ins/common/gpb.c
	* plug-ins/common/jpeg.c
	* plug-ins/common/psp.c
	* plug-ins/common/tiff.c
	* plug-ins/common/xbm.c
	* plug-ins/gap/gap_exchange_image.c
	* plug-ins/gdyntext/gdyntext.c
	* plug-ins/ifscompose/ifscompose.c
	* plug-ins/xjt/xjt.c: s/Parasite/GimpParasite/g,
	                      s/parasite_*/gimp_parasite_*/g

	* libgimp/gimpcompat.h: added the old names.

	* tools/pdbgen/pdb.pl
	* tools/pdbgen/pdb/parasite.pdb: dito and an ugly perl hack to work
	around a substitution clash. Perl gurus, feel free to fix it.

Fri May 26 22:33:05 BST 2000 Andy Thomas <alt@gimp.org>

	* plug-ins/common/wind.c

	Code tidy only.	

Fri May 26 22:21:57 BST 2000 Andy Thomas <alt@gimp.org>

	* plug-ins/common/noisify.c

	Changes to the preview so it previews with alpha better..
	
Fri May 26 00:08:26 BST 2000 Andy Thomas <alt@gimp.org>

	* plug-ins/common/glasstile.c

	More changes to the preview so it actually does preview.
	Changed pluging so alpha channel is also tiled. This 
	seems to produce better results. 

	Fixed some some boundary conditions bugs 
	that caused "streaks" to appear when using some tile spaces.
	
2000-05-25  Sven Neumann  <sven@gimp.org>

	* app/color_select.c: update the color-selector when Return
	is pressed in the hex-entry.

Thu May 25 00:18:20 BST 2000 Andy Thomas <alt@gimp.org>

	* plug-ins/common/wind.c

	Ok. OK. The direction stuff works with transparent areas as well.

Wed May 24 23:53:04 BST 2000 <alt@gimp.org>

	* plug-ins/common/wind.c

	The preview works now as it should (ie what you see in the preview
	is what you get when the plugin gets applied). 
	Also changed so that the plugin takes note of the alpha channel
	if one exists.

	To see the changes try the plugin on an image that is mainly 
	transparent....

	Note some of the other plugins that have recently had previews
	added also suffer from the problem that the preview
	is not correct if the image contains transparent areas (e.g. noisify).

2000-05-24  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/grid.c: enabled preview in indexed 
	mode. Of course the colors do not reflect the result 
	exactly, but it's better than nothing.

	* jigsaw.c
	* plasma.c
	* wind.c: forgot to set preview flag to TRUE in the 
	calls to gimp_ui_init().

2000-05-23  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/flarefx.c
	* plug-ins/common/glasstile.c
	* plug-ins/common/grid.c
	* plug-ins/common/illusion.c
	* plug-ins/common/jigsaw.c
	* plug-ins/common/max_rgb.c
	* plug-ins/common/noisify.c
	* plug-ins/common/nova.c
	* plug-ins/common/plasma.c: I am stupid. Dropping the
	4-byte alignment caused the buffer's rowstride to 
	become different from the GtkPreview's one. Fixed it
	by using preview->rowstride in all cases. 

2000-05-23  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/plasma.c: applied modified version of 
	gimp-timecop-200005-12.plasma which adds a preview to the
	plasma plug-in. 

	* plug-ins/common/wind.c: applied modified version of 
	gimp-timecop-200005-14.wind which adds a preview to the
	wind plug-in. 

2000-05-23  Sven Neumann  <sven@gimp.org>
	
	* plug-ins/common/flarefx.c
	* plug-ins/common/glasstile.c: a more elegant way to update 
	the preview when parameters change.

	* plug-ins/common/grid.c: if a selection is active, show the 
	selected area in the preview.
	
	* plug-ins/common/illusion.c: applied modified version of 
	gimp-timecop-200005-7.illusion which adds a preview to the
	illusion plug-in.

	* plug-ins/common/jigsaw.c: applied modified version of 
	gimp-timecop-200005-8.jigsaw which adds a preview to the
	jigsaw plug-in.

	* plug-ins/common/max_rgb.c: applied modified version of 
	gimp-timecop-200005-9.max_rgb which adds a preview to the
	max_rgb plug-in.

	* plug-ins/common/noisify.c: applied modified version of 
	gimp-timecop-200005-10.noisify which adds a preview to the
	noisify plug-in.

	* plug-ins/common/nova.c: applied modified version of 
	gimp-timecop-200005-11.nova which adds a preview to the
	nova plug-in.

2000-05-23  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/flarefx.c
	* plug-ins/common/glasstile.c
	* plug-ins/common/grid.c: ditched the 4-byte alignment of the 
	preview_data since it was only causing trouble. Now the previews
	work even for the ugly cases like width|height == 1.
	
2000-05-22  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/flarefx.c: fixed a bug in the new 
	preview code and some other small changes

	* plug-ins/common/glasstile.c: applied modified version
	of gimp-timecop-200005-5.glasstile which adds a preview 
	to the glasstile plug-in. 

	While I was on it, I fixed a bug that caused glasstile 
	to crash when invoked on a small selection.

2000-05-22  Sven Neumann  <sven@gimp.org>

	* gtkrc: for tooltips set the foreground color too. Closes
	bug #11547.
	
2000-05-22  Sven Neumann  <sven@gimp.org>

	* app/tools.c: moved Magnify into the Transformation tools
	category. This is not entirely correct, but at least the 
	tools are now grouped as they appear in the toolbox.
	
	* plug-ins/common/flarefx.c: applied modified version of 
	gimp-timecop-200005-4.flarefx which adds a scaled down 
	flarefx to the preview.
	
2000-05-22  Michael Natterer  <mitch@gimp.org>

	* plug-ins/*: s/gimp_plugin_help_func/gimp_standard_help_func/

	Coincidentially, my script also removed empty lines from the end
	of _all_ *.c file (not only from those which contained
	gimp_plugin_help_func).

2000-05-22  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/grid.c: applied a heavily modified version
	of gimp-timecop-200005-6.grid which adds a preview to the
	grid plug-in. Not much of the initial patch is left however
	since it doesn't make sense to use a scaled-down preview of
	the image, then draw an unscaled grid upon it. Changed it
	so that the preview shows the upper left corner of the image.

	Will look into the other gimp-timecop patches too. Even if it is
	only to proof that I'm not the asshole he stated me to be in 
	gimp-timecop-readme.

2000-05-22  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/mapcolor.c: fixed possible divide by zero 
	spotted by Scott Heavner. Closes bug #11731.

Sun May 21 20:00:55 CEST 2000  Stanislav Brabec  <utx@penguin.cz>

	On request of Martin Weber <martweb@gmx.net>:
	* plug-ins/bmp/bmpread.c: Initial comment change.

2000-05-21  Michael Natterer  <mitch@gimp.org>

	These changes enable help support for 3rd party plug-ins which
	install their help files outside GIMP's main help dir.

	Instead of calling gimp_help(), gimp_plugin_help_func() etc.,
	all help callbacks now have to call gimp_standard_help_func()
	which has different implementations in the app and in libgimp.

	There is a new function gimp_plugin_help_register() which can
	be called during plug-in query. plug_in.c keeps a list of
	executable_name/help_path pairs. Plug-ins have to pass their
	exec. name to gimp_help() which uses the list to find the plug-in's
	help directory.

	* app/gimphelp.[ch]: gimp_help() now takes a help_path parameter.
	help_path == NULL means the standard help directory. Various
	changes to pass the help_path to the help browser.

	* app/gimprc.c: save the plug-in's help_path in the pluginrc file.

	* app/menus.c: ugly hack to enable help_paths in the "F1" callback.

	* app/plug_in.[ch]: many help_path related changes. Use g_basename()
	instead of strrchr(str,G_DIR_SEPARATOR), cosmetic cleanups.

	* app/internal_procs.c
	* app/gimphelp_cmds.c
	* tools/pdbgen/pdb/gimphelp.pdb: new procedure
	gimp_plugin_help_register(). gimp_help() takes a second parameter
	which is the executable name (not the help_path).

	* app/color_notebook.c
	* app/commands.c
	* app/lc_dialog.c
	* app/preferences_dialog.c
	* app/tools.c: call gimp_standard_help_func() instead of gimp_help().

	* libgimp/gimp.c: new function gimp_get_progname() which returns
	the full path of the plug-in's executable.

	* libgimp/gimp.h: export the new function,
	removed gimp_plugin_help_func(), gimp_help() takes the executable
	name as second parameter.

	* libgimp/gimpcompat.h: added gimp_plugin_help_func().

	* libgimp/gimphelp.c: a wrapper for gimp_plugin_help_register(),
	changed the calls to gimp_help.

	* libgimp/gimphelpui.[ch]: call gimp_standard_help_func() instead
	of gimp_help().

	* plug-ins/helpbrowser/helpbrowser.c: now called with an additional
	help_path parameter. Various changes to enable
	help_path != gimp_standard_help_path.

	Unrelated stuff:

	* app/batch.h: added missing GPL header.

	* app/gimpunit.c: had a LGPL header, merged some fprintf's into
	one call.

	* app/procedural_db.[ch]: cosmetic: g* types, s/g_malloc/g_new/,
	prototypes, indentation.

	* app/resize.c: use less packing widgets. didn't find the "offset"
	redraw bug :(

2000-05-20  Garry R. Osgood <gosgood@idt.net>

	* app/docindex.c
	Beware "int a; a = fgetc(fp); ... if(a == EOF)." for fgetc()
	is advertised to get the next "unsigned character converted 
	to an integer..." a non-negative on SGI, in particular the end-of-file
	return value '\377' promotes to integer 255 and this is not
	the same as EOF as defined in SGI's stdio.h:145:# define EOF (-1).
	feof(fp) returns a hardware independent indicator, so this construct
	was put in place instead. Put an end to infinite looping at line 239
	(because end of file was not being recognized everywhere)
 	giving rise to #11578. See bug report; closes 11578.

2000-05-20  Sven Neumann  <sven@gimp.org>

	* plug-ins/webbrowser/web-browser.scm: added links to 
	Carey Bunks's "Gimp-Savvy" and "Grokking the GIMP" resources.

        * libgimp/gimpwidgets.[ch]: use unsigned integers for the
	memsize_entry. Added gimp_uint_adjustment_update().

	* gimprc.[ch]
	* preferences_dialog.c: use unsigned integers for memsizes 
	(tile_cache_size and max_new_image_size). Allows to set those
	values up to 4GB. Fixes bug #11053.

2000-05-20  Nick Lamb  <njl195@zepler.org.uk>

	* plug-ins/bmp/bmpwrite.c: Gimp writes valid RGB BMPs again now
	(thanks miha.tomsic@guest.arnes.si)

2000-05-20  Sven Neumann  <sven@gimp.org>

	* app/transform_core.c (transform_core_cut): when transforming
	a selection in an indexed image, we used to create an indexed
	tile_buffer. This gives strange (black) results later when we
	use layer_new_from_tiles() since that function assumes that a
	TileManager is always RGB or GRAY. Eeek!!

	Instead of fixing it correctly by changing the TileManager 
	struct, I've unset the keep_indexed flag when calling 
	gimage_mask_extract(), so whatever layer_new_from_tiles()
	assumes becomes true. Fixes bug #10762.

2000-05-20  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/sample_colorize.c: reset progress to 0.0 when 
	finished. Does this fix bug #11420 ?

2000-05-18  Tor Lillqvist  <tml@iki.fi>

	* plug-ins/common/psp.c (read_block_header): Byteswap return
	value. Thanks to Raphael Quinet for finding this.

2000-05-17  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/scripts/camo.scm: no need to mention the
	ranges in the label, we use a slider anyway...

	* plug-ins/script-fu/scripts/rendermap.scm
	* plug-ins/script-fu/scripts/textured-logo.scm: use SF-OPTION
	
2000-05-17  Asbjorn Pettersen  <asbjornP@dualog.no>

	* app/module_db.c: 
	* modules/modregister.h: cd wo
	* modules/modregister.c (mod_dialog_register): add OS/2 functions
	for dialog_register() and dialog_unregister().

2000-05-17  Sven Neumann  <sven@gimp.org>

	* app/menus.c: rewrote the "Help/Dump Items" function. Now it
	outputs the accelerator keys too. Unfortunately this does only
	work with LANG=C yet.

2000-05-17  Michael Natterer  <mitch@gimp.org>

	* app/plug_in.c: be a bit more verbose in the "Plug-In crashed"
	message: Warn the user that Gimp's internal state may be messed
	up and that the safe way is to restart Gimp.
	Unified all plug-in error messages.

	* libgimp/gimp.c: also changed to messages that the Gimp is using
	a newer/older wire protocol than the plug-in.

2000-05-17  Sven Neumann  <sven@gimp.org>

	* app/layers_dialog.c: corrected the usage of the 
	"invalidate_preview" signal. Now simpler and more
	robust. Should fix bug #11248.

Tue May 16 20:26:13 CEST 2000  Stanislav Brabec  <utx@penguin.cz>

	* gimp/plug-ins/gap/gap_mov_dialog.c,
	plug-ins/gdyntext/gdyntext.c,
	plug-ins/script-fu/scripts/camo.scm: Typo fixes.
	* plug-ins/bmp/bmpread.c: Cosmetical fixed (german->english,
	added ';').

2000-05-16  Michael Natterer  <mitch@gimp.org>

	* app/commands.c
	* app/layers_dialog.c
	* app/resize.c: set the scale/resize dialog insensitive before
	scaling/resizing to keep users from pressing "OK" again.
	Fixes #10656.

Mon May 15 22:48:17 PDT 2000 Manish Singh <yosh@gimp.org>

	* Made 1.1.22 release (1.2pre)

2000-05-16  Tor Lillqvist  <tml@iki.fi>

	* libgimp/gimpenv.c (gimp_path_parse)
	* app/gimprc.c (transform_path): Don't try to handle tilde (~) at
	all on Windows. The tilde is used when mangling long file names
	into 8.3 form, and some people have a HOME environment variable
	that contains this kind of 8.3 path with a tilde. This causes
	interesting effects if we expand a tilde in some gimprc variable
	with $HOME, which contains a tilde, which we expand with $HOME,
	etc.

2000-05-14  Tor Lillqvist  <tml@iki.fi>

	* plug-ins/common/gpb.c (gih_save_dialog): Fix typo introduced
	when gimp_spin_button_new() was taken into use. Now you can adjust
	the cell height again.

2000-05-14  Michael Natterer  <mitch@gimp.org>

	After a weekend of extensive mail exchange with the signal crew,
	we finally found that #2742 is not a Gimp bug but a real OSF/1
	bug. OSF/1 does _not_ reliably restart read() and write() calls
	on certain slow devices (pipes).

	* libgimp/gimpwire.[ch]: guard all read/write calls on the wire
	with loops checking for EINTR. This has to be done "manually"
	as glib's GIOChannels return G_IO_ERROR_UNKNOWN on the occurence
	of EINTR (which is a bug, too).
	s/int/gboolean and minor cleanups while I was on it (not changing
	any logic).

	This fix depends on the current (broken) state of the GIOChannel
	implementation and is scheduled for removal as soon as glib
	behaves nicely here.

	Left SA_RESTART there for the moment in app/main.c. See it as
	defensive programming or just my fear to change two #2742-related
	places at the same time. We might choose to remove SA_RESTART
	later. Many thanks again to Austin, Garry and Tim.

2000-05-12  Sven Neumann  <sven@gimp.org>

	* gimpdrawable.c: enabled the (commented out) signal 
	"invalidate_preview".
	
	* app/layers_dialog.c: connect to the "invalidate_preview"
	signal to catch changes that need to be shown in the layer
	previews. Synthetize an expose event when a layer changes. 
	
	Expose events are optimzed away by GTK+ if the widget is not
	visible. Therefore, previews not visible in the layers_dialog
	are not redrawn when they invalidate. Later the preview gets
	validated by the image_preview in lc_dialog but is never
	propagated to the layer_pixmap. We work around this by using an
	additional flag "layer_pixmap_valid" so that the pixmap gets
	updated once the preview scrolls into sight.
	
	We should probably do the same for all drawables (masks, 
	channels), but it is much more difficult to change one of these
	when it's not visible.

	In other words: This is an awful hack but otherwise I would have
	had to rewrite it all....

	Fixes bugs #10549, #10300 and #8787.

	* app/channel.[ch]
	* app/layer.[ch]: code review and indentation
	
2000-05-12  Michael Natterer  <mitch@gimp.org>

	* libgimp/gimp.c (gimp_plugin_io_error_handler): fixed a
	compiler warning about a missing return.

	Slightly changed the messages that gimp<->plugin use different
	protocol versions and a s/sprintf/g_snprintf/.

2000-05-12  Sven Neumann  <sven@gimp.org>

	* INSTALL: mention that gtk+ version 1.2.7 or higher is mandatory

2000-05-12  Nick Lamb  <njl195@zepler.org.uk>

	* plug-ins/common/tiff.c: Don't bother checking for CODEC
	* plug-ins/bmp/bmpread.c: Misc. crash bugs fixed

2000-05-12  Jay Cox  <jaycox@gimp.org>

	* app/gimpimage.c: Copy the name, tatto and parasites of the 
	bottom layer to the new merged layer in gimp_image_merge_layers.

2000-05-11  Tor Lillqvist  <tml@iki.fi>

	* PLUGIN_MAINTAINERS
	* plug-ins/twain/*
	* plug-ins/winsnap/*: Changed Craig Setera's email address on his
	request.

2000-05-11  Sven Neumann  <sven@gimp.org>

	* app/fileops.c: unified messages

2000-05-11  Michael Natterer  <mitch@gimp.org>

	* libgimp/gimp.c: define WAIT_ANY == -1 if it's undefined.

2000-05-10  Michael Natterer  <mitch@gimp.org>

	Another try to get the signal/dead child recovery stuff right.

	Could the brave signal crew (TM) (Austin, Garry, Raphael, Tim)
	please do bad tests to the new code? I removed all strange
	constants (SA_NODEFER etc.) and used only glib and POSIX stuff.

	* app/main.c
	* libgimp/gimp.c:
	- Call gimp_signal_private() with no flags to enforce a proper
	  sigaction() behaviour (block signals while handler is active).
	- Removed the reentrancy guards from the handlers.
	- Renamed the handlers.
	- Ignore SIGPIPE in the app and in plugins.
	- Re-introduced the SIGCHLD handler because it should work
	  now. Also added a SIGCHLD handler to libgimp/gimp.c.

	* app/errors.c
	* libgimp/gimp.c: in the signal handler, unblock all signals
	with sigprocmask() before calling g_on_error_query() because
	gdb otherwise inherits the blocked signals and does nothing.
	Wrapped the statements with "if (TRUE) { }" blocks so it's
	easy to make the stack trace a command line option.

	* app/plug_in.c
	* libgimp/gimp.c: listen for G_IO_ERR and G_IO_HUP on the read
	channels. In the app, pop up an error message and clean up the
	plugin. In plugins, clean up and exit.

	* libgimp/gimpwire.c: removed the "plug-in chrashed?" message
	and print the program's name with all error messages.

	* plug-ins/helpbrowser/helpbrowser.c: typo.

2000-05-10  Tor Lillqvist  <tml@iki.fi>

	* README.win32: Clarifications.

	* app/makefile.{cygwin,msc}: Remove docindexif.

	* app/gimprc.c (save_gimprc_strings): Pass strings through
	gimp_strescape().

	* libgimp/gimpui.def: Add gimp_toggle_button_sensitive_update.

	* plug-ins/makefile.{cygwin,msc}: Add some new unofficial
	plug-ins. Remove bmpos2 object.

Wed May 10 04:58:13 CEST 2000  Marc Lehmann <pcg@goof.com>

        * app/plug_in.c: Fix endless loop problem for certain image_types,
        added a warning.
        * plug-ins/script-fu/scripts/asc2img.scm: Change image_types argument
        from "bar" to "".

2000-05-08  Jay Cox  <jaycox@gimp.org>

	* app/image_map.[ch]: new function image_map_clear that removes
	the preview without freeing the image_map.
	
	* app/brightness_contrast.c
	* app/color_balance.c
	* app/curves.c
	* app/hue_saturation.c
	* app/levels.c
	* app/posterize.c
	* app/threshold.c: Add a call to image_map_clear in the
	preview toggle button callback.  This makes the preview toggle
	button behave as expected.
	
	* app/histogram_tool: remove an unnecessary include.

2000-05-09  Nick Lamb  <njl195@zepler.org.uk>

	* plug-ins/common/png.c: tRNS expansion using transforms for
	the RGB and Grayscale cases, for Steven Grady

2000-05-08  Michael Natterer  <mitch@gimp.org>

	* app/errors.c (gimp_fatal_error): oops, forgot a debugging
	g_print().

	* app/gdisplay.c (gdisplay_set_menu_sensitivity): there _can_ be
	an active drawable even if there is no layer. Also reordered
	the rest if the checks.

2000-05-08  Sven Neumann  <sven@gimp.org>

        * libgimp/gimpmenu.[ch]: code review, no real changes

2000-05-08  Sven Neumann  <neo@wintermute.ochsenblut.de>

	* plug-ins/script-fu/scripts/tileblur.scm
	* plug-ins/script-fu/scripts/ripple-anim.scm
	* plug-ins/script-fu/scripts/xach-effect.scm
	* plug-ins/gap/sel-to-anim-img.scm: made them use SF-OPTION and 
	SF-ADJUSTMENT and adjusted a few other parameters
	
2000-05-08  Sven Neumann  <sven@gimp.org>

        * libgimp/gimpbrushmenu.c
        * libgimp/gimpgradientmenu.c
	* libgimp/gimpmenu.h
        * libgimp/gimppatternmenu.c: added gtk_grab_[add|remove] calls
	on popup [open|close] and reformatted the code. Fixes bug #10494.

2000-05-08  Michael Natterer  <mitch@gimp.org>

	* app/fileops.c
	* app/gdisplay.c: return silently from save/save_as and grey out
	the menu entries if there is no active drawable. Fixes #10239.

2000-05-08  Michael Natterer  <mitch@gimp.org>

	* app/docindex.c (open_idea_window): put the ops_buttons box
	into the action_area. Makes the dialog smaller.

2000-05-07  Sven Neumann  <sven@gimp.org>

	* app/menus.c: in Image/Filters move all entries that are not 
	submenus to the top of the menu. 
	
	* app/plug_in.c: order all plugin menu-entries alphabetically 
	(in the current locale) before sending them to menus.c. This does 
	not yet work perfectly since gimp-perl i18n seems to be broken 
	(at least on my box). This was already the case _before_ this 
	change and I have checked carefully, that the gimp-perl domain 
	gets passed through to menus_create_item_...() correctly.
	
	* plug-ins/script-fu/script-fu-scripts.c: order all script-fu
	menu-entries alphabetically (in the current locale) before
	registering them.
	
	* plug-ins/script-fu/script-fu.c: minor cleanups

	* plug-ins/bmp/bmpread.c
	* plug-ins/bmp/bmpwrite.c
	* plug-ins/xjt/xjt.c: strings used with g_message do not need
	a trailing newline

2000-05-07  Michael Natterer  <mitch@gimp.org>

	* app/app_procs.c
	* app/docindex.[ch]: named all public functions document_index_*().
	Don't loop/segfault when opening an old "ideas" file but silently
	skip the first line.

	* app/fileops.[ch]: do some file access sanity checks before
	actually calling the load/save proc. Show the full file name
	in all error messages. Use a query_boolean_box for the overwrite
	warning. Made file_save() static.
	Also copied some Win32 #define's from libgimp/gimpenv.c for the
	file access stuff. Tor, could you have a look at them please?

2000-05-07  Sven Neumann  <sven@gimp.org>

        * gimprc.in
        * gimprc.win32
	* app/gimprc.c: set default image size back to 256x256, default
	to local paint options and info-window-follows-mouse.

	* app/brightness_contrast.c
	* app/docindex.c
	* app/hue_saturation.c: picky changes on some labels.

	* app/tips_dialog.c: applied (sort of) gimp-quinet-20000504-0,
	which replaces the message "Show tip next time" in the
	Tip Of The Day dialog with "Show tip next time GIMP starts".
	
2000-05-06  Nick Lamb  <njl195@zepler.org.uk>

	* plug-ins/bmp/bmpread.c: Fixed long standing "RLE" bug, but
	without really understanding the code :(

2000-05-06  Michael Natterer  <mitch@gimp.org>

	* app/menus.c (menus_reorder_plugins): no need to reorder
	<Image>/Script-Fu twice.

	* app/docindex.c: replaced the toolbar by an ops_buttons box.
	Also default to opening the file instead of rising an already
	open display.

2000-05-06  Michael Natterer  <mitch@gimp.org>

	* app/gimpdnd.[ch]: new public function gimp_dnd_file_dest_set().
	Moved the file/url dnd stuff from interface.c to gimpdnd.c.

	* app/docindex.c
	* app/interface.c: use the function from gimpdnd.

2000-05-06  Michael Natterer  <mitch@gimp.org>

	* po/POTFILES.in
	* app/Makefile.am
	* app/docindexif.[ch]: removed because it was not doing core/ui
	separation at all. UI functions were randomly scattered across
	both files.

	* app/app_procs.c
	* app/docindex.[ch]: swallow all functions from docindex.c,
	removed functions which were called just once, replaced the
	tree by a list. Actually raise displays of already open images.
	When opening a file which is already in the list, move it's entry
	to the top; this way the toolbox' last_opened list finally works
	as expected.

2000-05-06  Nick Lamb  <njl195@zepler.org.uk>

	* plug-ins/bmp/*: Fixed #9802, added 32-bit and 16-bit support
	and improved OS/2 support so that it Works For Me (TM).
	Incidentally merged the separate os/2 support code, making
	the code smaller, and I think easier to understand.

2000-05-05  Michael Natterer  <mitch@gimp.org>

	* app/docindex.c: the "delete_event" callback should always do
	the same as the "Close" callback.

2000-05-05  Michael Natterer  <mitch@gimp.org>

	Made the document index a bit more like the rest of the dialogs:

	* app/commands.[ch]
	* app/menus.c: added a cmd_callback instead of calling a function
	in docindex.c directly.

	* app/gimprc.c
	* app/session.[ch]: added proper session management.

	* app/app_procs.c
	* app/docindex.[ch]
	* app/docindexif.[ch]: removed another bunch of useless variables
	and functions. Removed the status bar because it was not telling
	very useful stuff. Removed the window position/size from the
	"ideas" file.

	Note: you have to either remove your ~/.gimp-1.1/ideas file or
	remove it's first line or experience a nice endless loop :)

2000-05-05  Michael Natterer  <mitch@gimp.org>

	* app/docindex.[ch]
	* app/docindexif.[ch]: call dialog_[un]register(). Fixes #10284.
	Also removed some useless stuff.

	* app/gdisplay_color_ui.c
	* modules/cdisplay_gamma.c
	* modules/cdisplay_highcontrast.c: call dialog_[un]register().

2000-05-05  Jay Cox  <jaycox@gimp.org>

	* app/pixel_processor.c: try to minimize the overhead of
	multiprocessor support.  This should fix bug #9296
	but it has not been tested on a dual processor machine.

2000-05-04  Tor Lillqvist  <tml@iki.fi>

	* gimprc.win32: Replace "color-cube" by "min-colors".

	* */makefile.{cygwin,msc}: Updates. Install to /install/gimp.

	* libgimp/gimp.def: Add gimp_min_colors.

	* modules/cdisplay_highcontrast.c: Include gimpmath.h instead of
	math.h. Use G_PI instead of M_PI.

2000-05-04  Sven Neumann  <sven@gimp.org>

	* modules/cdisplay_gamma.c: 
	* modules/cdisplay_highcontrast.c: use gimpui functions to set
	up the dialogs

Wed May  3 14:49:09 PDT 2000 Manish Singh <yosh@gimp.org>

	* gimp.m4: help spacing correction

2000-05-03  Michael Natterer  <mitch@gimp.org>

	* app/layers_dialog.c: removed layers_dialog_idle_set_layer_focus()
	because Wolfgang pointed out that it caused bad segfaults. This
	fixes #10139 and #9844. OTOH this brings back the bug that the
	active layers is sometimes not the selected one in the layers
	dialog, grmpf.

	* plug-ins/script-fu/script-fu-scripts.c: small cleanups.

	* plug-ins/gap/README
	* plug-ins/gap/gap_exchange_image.c
	* plug-ins/gap/gap_lib.[ch]
	* plug-ins/gap/gap_main.c
	* plug-ins/gap/gap_mov_dialog.[ch]
	* plug-ins/gap/gap_mov_exec.[ch]
	* plug-ins/gap/gap_navigator_dialog.c: applied a patch from
	Wolfgang Hofer <hof@hotbot.com>.

2000-05-03  Pablo Saratxaga <pablo@mandrakesoft.com>

	* configure.in
	* po/ca.po: added Catalan file

2000-05-03  Sven Neumann  <sven@gimp.org>

	* plug-ins/faxg3/faxg3.c
	* plug-ins/gdyntext/gdyntext.c
	* plug-ins/gdyntext/gdyntext_ui.c: i18n fixes

Wed May  3 02:40:12 CEST 2000  Marc Lehmann <pcg@goof.com>

        * configure.in: Remove $CFLAGS from perl's compiler flags.  This
        should fix the problems when perl's $CC and gimp's $CC are
        different (and is not useful anyway).

        There shouldn't be any major perl build glitches left at this
        moment.

2000-05-02  Michael Natterer  <mitch@gimp.org>

	* app/main.c
	* libgimp/gimp.c: as noticed by Garry, Tim, Raphael and probably
	many others, my latest signal change introduced a Linuxism
	which doesn't compile on any other UNIX system, eek.
	s/SA_NOMASK/SA_NODEFER/ makes it compile and is hopefully
	the last chapter in this saga.

2000-05-02  Tor Lillqvist  <tml@iki.fi>

	* libgimp/gimpmath.h: #elsifdef?

Mon May  1 13:35:46 PDT 2000 Manish Singh <yosh@gimp.org>

	* Made 1.1.21 release (1.2pre)

2000-05-01  Michael Natterer  <mitch@gimp.org>

	* plug-ins/common/[r-z]*.c: use gimp_ui_init(). Minor cleanups like
	below: includes, indentation, prototypes...

Mon May  1 10:58:34 PDT 2000 Manish Singh <yosh@gimp.org>

	* app/paint_core.c: applied gimp-quinet-000427-0, draw the straight
	line preview in the center of the start and end pixels at high zoom
	levels.

2000-05-01  Michael Natterer  <mitch@gimp.org>

	* plug-ins/common/[h-p]*.c: use gimp_ui_init(). Minor cleanups like
	reordering includes consistently and removing trailing commas from
	enums and param defs.

2000-05-01  Michael Natterer  <mitch@gimp.org>

	* libgimp/gimpsignal.[ch]
	* libgimp/gimpui.c: don't panic, this is not another signal handling
	change but only a namespace cleanup to make the html documentation
	better. Also added documentation for gimp_ui_init().

2000-05-01  Michael Natterer  <mitch@gimp.org>

	* app/main.c
	* libgimp/gimp.c: again... _do_ use gimp_signal_private() but
	force it to behave like signal(). While on Linux it seems to
	be ok to use both signal() and sigaction() (because signal() is
	built on top of sigaction()), doing the same on other systems
	is totally broken code. Thanks to Garry for pointing out this
	portability issue.

	* app/errors.c: s/vprintf/g_strdup_vprintf/

	* libgimp/gimpsignal.[ch]: code formating paranoia.

Sun Apr 30 14:45:16 PDT 2000 Manish Singh <yosh@gimp.org>

	* configure.in
	* plug-ins/common/borderaverage.c: moved from it's own directory to
	common

2000-04-30  Michael Natterer  <mitch@gimp.org>

	* libgimp/gimpprotocol.h: forgot to actually bump the version number.

2000-04-30  Michael Natterer  <mitch@gimp.org>

	* plug-ins/common/[a-g]*.c: use gimp_ui_init(). Minor cleanups like
	reordering includes consistently and removing trailing commas from
	enums and param defs.

2000-04-30  Michael Natterer  <mitch@gimp.org>

	* gimprc.in
	* app/gimprc.[ch]: replaced "color-cube" by "min-colors".

	* app/app_procs.c: read unitrc/gimprc before displaying the splash.

	* app/colormaps.c: set min_colors and install_cmap before
	initializing GdkRGB.

	* app/gimprc.[ch]
	* app/gimpunit.c: don't call the splash's progress_update function.

	* app/plug_in.c: pass min_colors instead of color_cube to plugins.

	* app/preferences_dialog.c: widget for min_colors.

	* libgimp/gimp.[ch]: s/color_cube/min_colors/ but left
	gimp_color_cube() there for source level compatibility.

	* libgimp/gimpprotocol.[ch]: changed the GPConfig message
	accordinly and increased the gimp protocol version number because
	the change breaks binary compatibility. Also actually pass the
	use_xshm variable over the wire (was only in the GPConfig struct
	before).

	Was it the right thing to do to increase the version number??

	* libgimp/gimpui.c (gimp_ui_init): use the same code as the app
	for initializing GdkRGB. Never explicitly activate Gdk's SHM
	usage (only switch it off).

	* app/main.c
	* libgimp/gimp.c: reverted the handling of all signals except
	SIGCHLD back to plain old signal() because those signals are
	fatal anyway and sigaction() as used by gimp_signal_*() made
	debugging (stacktrace) impossible.

	* plug-ins/AlienMap/AlienMap.c
	* plug-ins/AlienMap2/AlienMap2.c
	* plug-ins/FractalExplorer/Dialogs.c
	* plug-ins/bmp/bmp.c
	* plug-ins/borderaverage/borderaverage.c
	* plug-ins/dbbrowser/dbbrowser.c
	* plug-ins/faxg3/faxg3.c
	* plug-ins/fits/fits.c
	* plug-ins/flame/flame.c
	* plug-ins/fp/fp.c
	* plug-ins/fp/fp_gtk.c
	* plug-ins/gdyntext/Makefile.am
	* plug-ins/gdyntext/gdyntext_ui.c
	* plug-ins/gfig/gfig.c
	* plug-ins/gflare/gflare.c
	* plug-ins/gfli/gfli.c
	* plug-ins/gimpressionist/gimpressionist.c
	* plug-ins/helpbrowser/helpbrowser.c
	* plug-ins/ifscompose/ifscompose.c
	* plug-ins/imagemap/Makefile.am
	* plug-ins/imagemap/imap_main.c
	* plug-ins/maze/maze_face.c
	* plug-ins/mosaic/mosaic.c
	* plug-ins/pagecurl/pagecurl.c
	* plug-ins/print/print.c
	* plug-ins/rcm/rcm_dialog.c
	* plug-ins/script-fu/script-fu-console.c
	* plug-ins/script-fu/script-fu-scripts.c
	* plug-ins/script-fu/script-fu-server.c
	* plug-ins/sel2path/Makefile.am
	* plug-ins/sel2path/sel2path.c
	* plug-ins/sgi/sgi.c
	* plug-ins/sinus/sinus.c
	* plug-ins/struc/struc.c
	* plug-ins/webbrowser/webbrowser.c
	* plug-ins/winsnap/winsnap.c
	* plug-ins/xjt/xjt.c: use gimp_ui_init().

	* plug-ins/Lighting/lighting_ui.c
	* plug-ins/MapObject/mapobject_ui.c: only switch Gdk SHM usage off,
	never on. Don't use gimp_ui_init() here because of libgck.

2000-04-30 Garry R. Osgood <gosgood@idt.net>

	* app/main.c
	* libgimp/gimpsignal.c [Documentation only]

	Based on a patch and testing furnished by Tim Mooney
 	<mooney@dogbert.cc.ndsu.nodak.edu> Retiring app/main.c
 	on_sig_chld(); at best this function is schizoid: On the left hand it
 	employs a facility for processes that have nothing better to do
 	than sleep until children die. (waitpid()) But it employs this
 	policy on the right hand, in a SIGCLD handler, a facility for
 	processes that have better things to do than sleep until children
 	die (!). And - at worse - it appeared to be contributing to the
 	ongoing #2742 saga. Mr. Mooney and I concur that for now asking
 	POSIX OS's not to generate SIGCLD at all is better than asking
 	mentally divided functions to handle them. Eventually we will need
 	SIGCLD handlers to implement runtime plug-in management (Mitch:
 	"gimp_nanny()") When we come to that fork in the road (;)), we
 	will need to work carefully so as not to re-introduce #2742.

2000-04-30  Sven Neumann  <sven@gimp.org>

	* app/gimage_cmds.c: reverted Asbjorns change (changing this file
	has no effect anyway, change tools/pdbgen/pdb/gimage.pdb instead).
	
	* libgimp/gimpmath.h (FINITE): #define FINITE(x) isfinite(x) for OS/2

2000-04-29  Jay Cox  <jaycox@gimp.org>

	* app/gimage_mask.c: Fix the end of group check in 
	gimage_mask_stroke.  This fixes bug #8699

2000-04-29  Asbjorn Pettersen  <asbjornP@dualog.no>

	* app/gimage_cmds.c (finite): #define finite(d) isfinite(d) for OS/2

	* libgimp/gimpsignal.h: #define SA_RESTART SA_SYSV
	SA_RESTART isnt't defined for OS/2!

2000-04-29  Jay Cox  <jaycox@gimp.org>

	* modules/Makefile.am
	* modules/cdisplay_highcontrast.c: Implement a high contrast 
	display filter.

2000-04-28  Jay Cox  <jaycox@gimp.org>

	* app/paint_funcs.c: Correctly initialize the max arrays in
 	thin_region. Fixes bug #8351
	* app/scale.c: return from the channel_scale function if we
 	tried to zoom in/out too far.  This prevents some
 	unnecessary display redraws.

2000-04-28  Sven Neumann  <sven@gimp.org>

	* plug-ins/print/print-util.c: do not use error_t, some systems
	define this type in errno.h. Fixes bug #9830.

2000-04-28  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/script-fu-enums.h
	* plug-ins/script-fu/script-fu-scripts.c
	* plug-ins/script-fu/script-fu.c: implemented new argument type
	SF_OPTION which allows the user to choose from a list of options
	using a GtkOptionMenu.
	
	* plug-ins/script-fu/scripts/alien-glow-arrow.scm
	* plug-ins/script-fu/scripts/beveled-pattern-arrow.scm
	* plug-ins/script-fu/scripts/erase-rows.scm
	* plug-ins/script-fu/scripts/test-sphere.scm: use SF_OPTION

2000-04-26  Michael Natterer  <mitch@gimp.org>

	* app/color_select.c
	* app/colormaps.[ch]
	* app/context_manager.c: removed unused global variables
	[foreground|background]_pixel and [old|new]_color_pixel.

	Initialize the colormap and visual stuff with GdkRGB instead of
	GtkPreview functions (which are deprecated).

	* app/[62 files]: removed #include's (started with colormaps.h and
	couldn't stop). Also ordered them consistently and did some small
	unrelated cleanups.
	Removed variuos <stdlib.h> et.al. but checked the files carefully
	before doing so. If I was too radical and you get warnings on your
	platform, please flame me or just put them back :)

2000-04-27  Sven Neumann  <sven@gimp.org>

	* plug-ins/imagemap/imap_object.c: on request of plug-in author
	<maurits.rijk@philips.com>, corrected initialisation of structure.
	Promises to fix bug #9212.

2000-04-26  Michael Natterer  <mitch@gimp.org>

	* app/gdisplay.[ch]
	* app/gdisplay_ops.c: made the warning_dialog a per-display
	variable. The old behaviour of having only one global variable
	can easily result in loss of work and should IMHO be considered
	a bug.

Wed Apr 26 22:35:36 CEST 2000  Stanislav Brabec  <utx@penguin.cz>

	On request of Martin Weber <martweb@gmx.net>:
	* plug-ins/bmp/bmpwrite.c: fix Bitmap_Head.biPlanes = channels.

2000-04-26  Michael Natterer  <mitch@gimp.org>

	* app/xcf.c (xcf_load_image_props): when reading PROP_UNIT, check
	it's value against the number of built-in units, not against the
	number of defined units.

Wed Apr 26 11:04:12 PDT 2000 Manish Singh <yosh@gimp.org>

	* gimptool.in: typo fix

	* plug-ins/script-fu/scripts/alien-glow-arrow.scm
	* plug-ins/script-fu/scripts/alien-glow-bar.scm
	* plug-ins/script-fu/scripts/alien-glow-bullet.scm
	* plug-ins/script-fu/scripts/alien-glow-button.scm
	* plug-ins/script-fu/scripts/beveled-button.scm
	* plug-ins/script-fu/scripts/beveled-pattern-arrow.scm
	* plug-ins/script-fu/scripts/beveled-pattern-bullet.scm
	* plug-ins/script-fu/scripts/beveled-pattern-button.scm
	* plug-ins/script-fu/scripts/beveled-pattern-hrule.scm
	* plug-ins/script-fu/scripts/chrome-it.scm
	* plug-ins/script-fu/scripts/circuit.scm
	* plug-ins/script-fu/scripts/clothify.scm
	* plug-ins/script-fu/scripts/distress_selection.scm
	* plug-ins/script-fu/scripts/flatland.scm
	* plug-ins/script-fu/scripts/font-map.scm
	* plug-ins/script-fu/scripts/gimp-headers.scm
	* plug-ins/script-fu/scripts/gimp-labels.scm
	* plug-ins/script-fu/scripts/glossy.scm
	* plug-ins/script-fu/scripts/gradient-bevel-logo.scm
	* plug-ins/script-fu/scripts/gradient-example.scm
	* plug-ins/script-fu/scripts/hsv-graph.scm
	* plug-ins/script-fu/scripts/image-structure.scm
	* plug-ins/script-fu/scripts/trochoid.scm:
	applied gimp-simon-20000426-0, which makes more scripts use
	SF-ADJUSTMENT instead of SF-VALUE.

2000-04-26  Michael Natterer  <mitch@gimp.org>

	* app/paint_funcs.c: removed C++ comments (#9444).

2000-04-26  Michael Natterer  <mitch@gimp.org>

	* app/free_select.c: fill empty "default" with a "break" (#9431).
	* libgimp/gimpenv.c: g_path_is_absolute wants a parameter (#9400).

2000-04-25  Nick Lamb  <njl195@zepler.org.uk>

	* plug-ins/common/png.c: Better version of previous patch, plus
	embarassing bug (thanks yosh/ tigert)
	Now actually tested on libpng 0.88, 1.00 and 1.0.6.

2000-04-25  Sven Neumann <sven@gimp.org>

        * app/nav_window.c: (hopefully) fixed a buffer overflow pointed 
	out by Oleg V. Andrjushenko <oandr@itec.cn.ua>

Tue Apr 25 03:52:43 PDT 2000 Manish Singh <yosh@gimp.org>

	* plug-ins/common/png.c: fix Nick's embarassing bug found by tigert

2000-04-25  Nick Lamb  <njl195@zepler.org.uk>

	* plug-ins/common/png.c: Sidestep potential problems when a
	user builds Gimp against libpng 1.0.5, then installs 1.0.6.
	This should still (just about) work for 0.88 and 0.89 users too.

2000-04-24  Michael Natterer  <mitch@gimp.org>

	* app/commands.c: fixed the "Resize Canvas" segfault.

2000-04-24  Sven Neumann <sven@gimp.org>

	* app/internal_procs.c
	* app/tools_cmds.c
	* tools/pdbgen/pdb/tools.pdb: added transform_2d PDB procedure as
	suggested by David Hodson <hodsond@ozemail.com.au>

2000-04-24  Tuomas Kuosmanen  <tigert@gimp.org>

	* gimp_splash.ppm: Prepare for the 1.2.. Let us celebrate that
	with a cute pink splash screen.

2000-04-23  Tor Lillqvist  <tml@iki.fi>

	* libgimp/gimpui.def: Add gimp_ui_init.

	* libgimp/makefile.{cygwin,msc} (gimpui_OBJECTS): Add gimpui.

	* app/makefile.{cygwin,msc}
	* plug-ins/makefile.{cygwin,msc}: New installation directory.

	* app/datafiles.c (is_script): Must not g_free() value returned by
	g_getenv().

	* plug-ins/gdyntext/font_selection.c: Don't include gdkx.h with
	GTk+ 1.3.

2000-04-23  Sven Neumann  <sven@gimp.org>
	
	* configure.in: added es to ALL_LINGUAS

	* libgimp/gimpsignal.[ch]: cleaned up namespace and properly 
	formatted documentation for gtk-doc

	* app/app_procs.c
	* app/appenv.h
	* app/bezier_select.c
	* app/main.c: fixed compiler warnings and changed some gints 
	to gbooleans
	
Sat Apr 22 16:48:33 PDT 2000 Manish Singh <yosh@gimp.org>

	* gimp.m4: $GIMP_DATA_DIR and $GIMP_PLUGIN_DIR support

Sat Apr 22 12:37:24 PDT 2000 Manish Singh <yosh@gimp.org>

	* Made 1.1.20 release (1.2pre)

	* plug-ins/Makefile.am
	* configure.in: removed python and unittest stuff

	* libgimp/gimp.c: reordered signal includes

	* plug-ins/print/Makefile.am: reference print-printers.c and
	print_gimp.h

2000-04-22 Garry R. Osgood <gosgood@idt.net>

	* app/bezier_select.c
	Closes the most recent bezier segfault report;
	about plotting anchor points on- and off-image.
	unable to cite because bugs.gnome.org is not
	well. Andrew Thomas handled the only other 
	buglet I'm aware of at this time.
	
Sat Apr 22 14:01:06 BST 2000 <alt@gimp.org>
	
	* app/bezier_select.c

	Fixed problem pointed out by Garry R. Osgood (manipulating 
	control points where curve is closed). Thanks
	again Garry for pointing it out.

Fri Apr 21 11:25:24 PDT 2000 Manish Singh <yosh@gimp.org>

	* libgimp/Makefile.am: gimpsignal.[ch] needs to go into libgimp,
	since it is used in gimp.c

	* libgimp/gimpsignal.c: use g_error instead of gimp_fatal_error

	* plug-ins/common/png.c: typo fix for Nick's previous commit

2000-04-21  Nick Lamb  <njl195@zepler.org.uk>

	* plug-ins/common/png.c: Fix #9380 as K&R intended :)
	Fixed for Sven and Felix, but loads partial or damaged images.
	No more warnings either.

2000-04-21 Garry R. Osgood <gosgood@idt.net>

	* app/main.c
	* libgimp/Makefile.am
	* libgimp/gimp.c
	* libgimp/gimpsignal.c (New )
	* libgimp/gimpsignal.h (New )
	Patch by Austin Donnelly <austin@gimp.org> to address #2742. (I took
	the liberty of moving it to libgimp for general consumption, & fixed a
	typo) SYS5R4 unix's were failing when signals arrived at processes in
	system calls, a behavior in accordance with POSIX specs. Patch
	introduces a gimp_signal_private() workalike replacement for
	signal(2), layered over sigaction(2) which internally requests the
	signal environment to restart system calls instead of failing. This is
	POSIX spec 1170 extension behavior, but one that appears to be generally
	supported. Thanks due to Tim Mooney <mooney@dogbert.cc.ndsu.nodak.edu>
	for testing this on various flavors of OSF/1 boxes where #2742 seemed
	especially common.

2000-04-20  Nick Lamb  <njl195@zepler.org.uk>

	* plug-ins/common/png.c: Revert Sven's changes, I am
 	not that silly Sven, read the code more carefully
 	and THINK about it.  We do not want to leak Gimp
 	Images.

2000-04-20  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/align_layers.c: applied patch provided by
	KANDA Toshihiro <candy@ops.dti.ne.jp>. Should fix bug #7329.

2000-04-20  Sven Neumann <sven@gimp.org>
	
	* plug-ins/common/bumpmap.c: correctly initialize the bumpmap 
	offsets

	* plug-ins/common/png.c: (load_image) if the PNG cannot be loaded, 
	return -1 instead of some uninitialized integer

2000-04-20  Michael Natterer  <mitch@gimp.org>

	* gimprc.in
	* app/gimprc.c: default to restore_session == TRUE so first time
	users really see the automatically opened dialogs.

	* app/session.[ch]: also open "Tool Options" if no sessionrc
	exists. Moved the harcoded initial positions away from the top and
	left edges of the screen to avoid dialogs which appear underneath
	panels. Also arranged the four default dialogs non-overlapping.

2000-04-20  Michael Natterer  <mitch@gimp.org>

	* app/fuzzy_select.c
	* app/selection_options.h
	* app/tool_options.c: moved the "Threshold" scale from the fuzzy
	select options to the selection options structure, so none of the
	selection tools needs it's own tools options structure.

	* app/bucket_fill.c: moved "Threshold" after "Sample Merged" as in
	the fuzzy select options.

2000-04-20  Michael Natterer  <mitch@gimp.org>

	* libgimp/gimpfileselection.[ch]: using the GimpPixmap here was a
	bad idea because showing/hiding the pixmap widgets is no solution
	(somebody may call gtk_widget_show_all() and we suddenly see both
	pixmaps, eek).
	Reverted it to use GtkPixmap and gtk_pixmap_set().

2000-04-20  Jens Lautenbacher  <jtl@schlund.de>

	* plug-ins/common/bumpmap.c (bumpmap_dialog): restrict scale for
	waterlevel/ambient to 255. Bumped version number to 3.0-pre1-ac2
	
2000-04-20  Nick Lamb  <njl195@zepler.org.uk>

	* plug-ins/common/tiff.c: libtiff has swerved to avoid the LZW
	patent, hence we must also take action. Gimp's TIFF output
	is now ..._NONE by default, DEFLATE and JPEG are new options,
	and LZW is still listed but on e.g. RH6.2 it will not work.

2000-04-19  Michael Natterer  <mitch@gimp.org>

	* app/bucket_fill.c
	* app/by_color_select.c
	* app/fuzzy_select.c
	* app/preferences_dialog.c: made the "default_threshold" gimprc
	variable work as advertized:

	- initialize the thresholds with it.
	- use it for "Reset".
	- added a widget to the "Tool Options" preferences page.
	- noticed that the "Reset" button of "By Color Select" doesn't
	  behave like all the other "Reset" buttons and changed it to
	  reset the ui, not the selection.
	  (There is now a "None" button and because it was so trivial, I
	  couldn't resist to add "All" and "Invert" buttons, too)

	* libgimp/Makefile.am
	* libgimp/gimpui.c: new file.
	* libgimp/gimpui.h: new function gimp_ui_init() which will be
	called by all plugins which have a ui (not only by those with a
	preview because plugins should always follow gimp's colormap
	installation policy).

	Could someone please check if the FIXME stuff in the function
	is the right thing to do (TM). Does GdkRGB allocate the correct
	colors for the widgets in all cases or do we have to find another
	way to ensure this across processes (gtk instances)?

2000-04-19  Sven Neumann  <sven@gimp.org>
	
	* plug-ins/common/mail.c: Changed "To:" and "From:" strings to 
	"Recipient:" and "Sender:" so they can be translated correctly. 
	"To" and "From" are used in a lot of other plug-ins in a totally
	different context.

2000-04-19  Michael Natterer  <mitch@gimp.org>

	* plug-ins/gdnytext/*: fixed all files to include the i18n stuff
	correctly and don't mess up Gimp's locale setup. Fixes #7878.

2000-04-18  Michael Natterer  <mitch@gimp.org>

	* app/user_install.c: Creating the user's gimp directory may take
	some time on NFS, so users may be tempted to press the "Continue"
	button again.
	Inform the user that this step may take some time and set the
	"Continue" and "Cancel" buttons insensitive until finished.

2000-04-18  Sven Neumann  <sven@gimp.org>

        * INSTALL: we require gtk+-1.2.6 and we would like to have the 
	freefont package installed.
	( This change is not gimp-cornwell-000415-0, since IMHO this patch
	  makes things worse. )

	* plug-ins/script-fu/scripts/Makefile.am
	* plug-ins/script-fu/scripts/color-cycling.scm: removed since it
	didn't work at all and even after fixing it the effect wasn't
	worth distributing it
	
	* plug-ins/script-fu/scripts/3dTruchet.scm
	* plug-ins/script-fu/scripts/addborder.scm
	* plug-ins/script-fu/scripts/blended-logo.scm
	* plug-ins/script-fu/scripts/comic-logo.scm
	* plug-ins/script-fu/scripts/crystal-logo.scm
	* plug-ins/script-fu/scripts/fade-outline.scm
	* plug-ins/script-fu/scripts/fuzzyborder.scm
	* plug-ins/script-fu/scripts/lava.scm: 
	applied gimp-simon-20000417-0, a patch by Simon Budig, which makes
	more scripts use SF-ADJUSTMENT instead of SF-VALUE.

2000-04-18  Sven Neumann  <sven@gimp.org>
	
	* plug-ins/FractalExplorer/Dialogs.c: i18n fix
	* plug-ins/gdyntext/gdyntext_ui.c: ditto, plus indentation

2000-04-17  Michael Natterer  <mitch@gimp.org>

	* plug-ins/helpbrowser/helpbrowser.c (open_browser_dialog):
	install gimp's colormap to avoid flickering on 8 bit displays.

2000-04-16  Michael Natterer  <mitch@gimp.org>

	* app/gdisplay_ops.c (gdisplay_shrink_wrap): block all canvas
	events while resizing the display so the standard canvas "expose"
	and "configure" handlers are not called.
	This optimization is valid because shrink_wrap's caller has to do
	a full recalculation and expose of the gdisplay anyway.
	For the same reason, I removed the calls to gdisplay_expose_full()
	and bounds_checking() from shrink_wrap.

	This should also fix the double exposes Austin reported some time
	ago. I hope it does not re-break yesterday's fix :)

	* app/gdisplay_ops.[ch]: removed unused function
	gdisplay_resize_image().

	* app/scale.c (resize_display): do a full expose if one of the
	"resize_display" or "redisplay" parameters is TRUE.

2000-04-16  Sven Neumann  <sven@gimp.org>
            Jens Lautenbacher  <jtl@gimp.org>

	* app/ink.c: tweaked dialog layout

	* app/interface.c: take theme's [xy]thickness into account when
	setting up minimum sizes and size_increments

	* app/tool_options.c: changed the term "Pressure" to "Hardness"
	in the pressure sensitivity UI
	
	* plug-ins/gap/iter_ALT/gen/plug_in_bump_map_iter_ALT.inc: removed
	* plug-ins/gap/iter_ALT/mod/plug_in_bump_map_iter_ALT.inc: new file
	* plug-ins/gap/Makefile.am
	* plug-ins/gap/gap_filter_iterators.c: changed filter_iterator to
	reflect changes in the bumpmap plug_in

2000-04-16  Jens Lautenbacher  <jtl@gimp.org>
	    Sven Neumann  <sven@gimp.org>

	* plug-ins/common/bumpmap.c: bumped version number to 3.0-pre1-ac1
	 - Now able not to tile the bumpmap - this is the default.
	 - Added new PDB call plug_in_bumpmap_tiled. 
	 - Added scrollbars for preview.
	 - Fixed slider feedback for bumpmap offset and set initial offsets
	   from drawable offsets.
	 - Make it work as intended from the very beginning... 

Sat Apr 15 15:10:39 PDT 2000 Manish Singh <yosh@gimp.org>

	* autogen.sh: tightened the regexs for build tool sanity checks

	* configure.in: more gtkxmhtml lib fixes (blargh)

2000-04-15  Michael Natterer  <mitch@gimp.org>

	* app/gdisplay_ops.c (gdisplay_shrink_wrap): after resizing the
	display, check if the window manager placed it offscreen and
	center it in that case.

2000-04-15  Michael Natterer  <mitch@gimp.org>

	* app/disp_callbacks.c: s/0/FALSE/

	* app/gdisplay_ops.c (gdisplay_shrink_wrap): removed all the
	gtk_drawing_area_size(), show/hide and gtk_main_iteration() stuff
	and don't touch the drawing area at all.

	Instead, use brute force on gdisp->shell:
	1. gtk_widget_size_allocate(gdisp->shell)
	2. gdk_window_resize(gdisp->shell->window)

	(tested with Sawmill, Enlightenment and twm)

2000-04-14  Michael Natterer  <mitch@gimp.org>

	* libgimp/gimpdialog.c: fixed a compiler warning.

2000-04-14  Michael Natterer  <mitch@gimp.org>

	* app/brush_select.c: when re-drawing a dirty brush, clear it's
	preview area first.

2000-04-14  Nick Lamb  <njl195@zepler.org.uk>

	* plug-ins/common/png.c: Purple is a silly choice of background
	color for INDEXEDA PNGs, let's use the Gimp's current BG instead.
	Also moved initialisers to shut up the compiler.

2000-04-14  Sven Neumann  <sven@gimp.org>

	* plug-ins/maze/algorithms.c
	* plug-ins/maze/handy.c: applied gimp-kevint-000413-0 which
	promises to really close #8568 this time

	* plug-ins/common/xpm.c: applied gimp-mattias-000414-0, which
	makes XPM saving work in noninteractive mode. It also changes
	the PDB call, but since it has never worked before, that should
	be ok.
	
2000-04-13  Matt Wilson  <msw@redhat.com>

	* gimp.spec: updated for 1.1.19, reworked filespec generation
	routines, cleaned up %files sections

2000-04-13  Nick Lamb  <njl195@zepler.org.uk>

	* plug-ins/common/png.c: Use 1-bit, 2-bit and 4-bit paletted
	PNG when appropriate during save. Smaller output files.

2000-04-13  Michael Natterer  <mitch@gimp.org>

	* app/measure.c: push an undo group when adding horizontal and
	vertical guides with Ctrl+Alt.

2000-04-12  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/gif.c: use GIMP_HAVE_PARASITES instead of
	_PARASITES_H, which wasn't defined anymore. Makes comment
	parasites work with GIFs again.

	* app/measure.c: pressing ALT anywhere outside the handles allows
	to move the measure lines.

2000-04-12  Sven Neumann  <sven@gimp.org>

	* docs/quick_reference.tar.gz: updated the tool icons and added
	new ones. Removed the dvi and ps files from the tarball. Added 
	a TODO which describes what needs to be done to update the
	quick_reference for gimp-1.2. Any volunteers?

2000-04-12  Sven Neumann  <sven@gimp.org>
	
        * docs/keybindings.txt: applied gimp-cornwell-000412-0, a 
	patch from  Piers Cornwell <piers.cornwell@usa.net>, that 
	brings the keybindings uptodate.
	
2000-04-12  Sven Neumann  <sven@gimp.org>

        * plug-ins/gfig/gfig.c
	* plug-ins/pagecurl/pagecurl.c: saner message strings
	
        * plug-ins/maze/algorithms.c
	* plug-ins/maze/handy.c
	* plug-ins/maze/maze.c
	* plug-ins/maze/maze.h
	* plug-ins/maze/maze_face.c: applied gimp-kevint-000411-0 from
	Kevin Turner <acapnotic@users.sourceforge.net>, which whitens, 
	brightens, and kills bug #8568 (segfault with prim...).

	I couldn't resist and hacked the UI once more so is adheres better
	to our standards. Also less code due to more usage of libgimpui 
	functions. Kevin, I hope you like my changes...

2000-04-11  Nick Lamb  <njl195@zepler.org.uk>

	* plug-ins/fp/fp.h
	* plug-ins/fp_gtk.c: Used N_() and hopefully got this fixed.
	non-English users please test Filter Pack. Tried de_DE OK.
	If I didn't screw up this closes #6698, #8680.

2000-04-11  Sven Neumann  <sven@gimp.org>

	* plug-ins/imagemap/imap_cern.l
	* plug-ins/imagemap/imap_csim.l
	* plug-ins/imagemap/imap_ncsa.l: applied a patch from the
	imagemap author Maurits Rijk <lpeek.mrijk@consunet.nl>.

2000-04-11  Tor Lillqvist  <tml@iki.fi>

	* libgimp/gimpenv.c (gimp_path_get_user_writable_dir): The stat()
	function in the Win32 C runtime doesn't like if directory names
	have an extra G_DIR_SEPARATOR suffixed. Remove such before calling
	stat(). Those extra (back)slashes are added by for instance
	gimp_path_parse(). Document that feature of gimp_path_parse().

	* libgimp/gimputils.c (gimp_strescape): Correct documentation for
	gimp_strescape(). The semantics of the exceptions parameter was
	documented backwards. Clarify what the function does.

	* plug-ins/gfig/gfig.c (plug_in_parse_gfig_path)
	* plug-ins/FractalExplorer/FractalExplorer.c
	(plug_in_parse_fractalexplorer_path)
	* plug-ins/gflare/gflare.c (plug_in_parse_gflare_path,
	gflare_save): Use painstakingly correct platform-specific
	directory and search path separators, and escaped with
	gimp_strescape when displayed as part of a gimprc entry.

	* app/gimphelp.c: No debug messages on Win32, thanks.

2000-04-11  Sven Neumann  <sven@gimp.org>

	* PLUGIN_MAINTAINERS: run it through my update-script

2000-04-11  Sven Neumann  <sven@gimp.org>

        * app/measure.c: the arc displaying the angle was drawn incorrect
	in the case of 90 degrees

	* app/tips_dialog.c: cosmetics
	
	* plug-ins/script-fu/scripts/3dTruchet.scm
	* plug-ins/script-fu/scripts/comic-logo.scm
	* plug-ins/script-fu/scripts/gimp-headers.scm
	* plug-ins/script-fu/scripts/rendermap.scm
	* plug-ins/script-fu/scripts/spinning_globe.scm
	* plug-ins/script-fu/scripts/truchet.scm: fixed typos and unified 
	messages

2000-04-11  Michael Natterer  <mitch@gimp.org>

	* app/plug_in.c: if attaching to the newly created shared memory
	segment fails, destroy it before forgetting it's ID. Closes #6299.

2000-04-11  Sven Neumann  <sven@gimp.org>

	* libgimp/gimpmath.h: defined FINITE() macro that defaults to
	finite(). Hopefully this is more portable than isnan() and isinf().

	* app/gimage_cmds.c
	* tools/pdbgen/pdb/gimage.pdb: use FINITE() here

2000-04-11  Tor Lillqvist  <tml@iki.fi>

	* README: Warn about the ads in the messages from the
	egroups-hosted Win32 lists ;-)

	* gimprc.win32: Use correct path separators. Document help-browser
	diffferently on Win32.

	* plug-ins/webbrowser/webbrowser.c: Implement on Win32.

	* plug-ins/makefile.cygwin
	* plug-ins/makefile.msc: Add it.

2000-04-10  Tor Lillqvist  <tml@iki.fi>

	* README: Correct the info about Win32 mailing lists.

	* gimprc.win32: Add perfect-mouse setting.

	* libgimp/gimp.h
	* app/main.c: Guard against redefinition of _stdcall.

	* libgimp/gimpmath.h: Define macros ISNAN and ISINF. On Win32 use
	_isnan() and _fpclass() from <float.h>, on other platforms use
	isnan() and isinf(). We really should test for isnan and isinf in the
	configure script.
	
	* tools/pdbgen/pdb/gimage.pdb
	* app/gimage_cmds.c: Include gimpmath.h, use above macros instead
	of using the nonportable isnan and isinf.

	* app/gdisplay_ops.c: Do use the old gtk_widget_hide/show hack on
	Win32.

	* libgimp/makefile.cygwin
	* libgimp/makefile.msc
	* app/makefile.cygwin
	* app/makefile.msc
	* plug-ins/makefile.cygwin
	* plug-ins/makefile.msc: Updates.

	* plug-ins/gfig/gfig.c (plug_in_parse_gfig_path): Simplify warning
	message on Win32.  We could use G_DIR_SEPARATOR in the sample
	gimprc line, but then we would have to call g_strescape to quote
	it, argh. Win32 users use prebuilt versions with a correct gimprc
	file anyway.

	(create_file_selection): Use g_get_tmp_dir().

	(gfig_update_stat_labels): Guard against possibly NULL value from
	g_get_home_dir().
	
2000-04-10  Sven Neumann  <sven@gimp.org>

	* README: applied a modified version of gimp-cornwell-000408-0, 
	a patch by <piers.cornwell@usa.net> to bring the README uptodate.

2000-04-10  Sven Neumann  <sven@gimp.org>

	* libgimp/gimpexport.c: use "Flatten Image" instead of simply
	"Flatten" for our new alternative to "Save As Animation".

2000-04-10  Nick Lamb  <njl195@zepler.org.uk>

	* libgimp/gimpexport.c: Eeek! Sven only half implemented my
	change. Now if the background isn't visible we will suggest
	"Merge Visible" as expected.

2000-04-07  Sven Neumann  <sven@gimp.org>

	* libgimp/gimpexport.c: implemented the changes Nick Lamb
	suggested:  If the background layer has no alpha channel, 
	suggest "Flatten" instead of "Merge Visible Layers".

	* app/fileops.c: In the MRU list and the doc_index always store
	the absolute path to images, so you can open files from the
	command-line and gimp will find them later if started from another
	dir. Added tooltips that show the full path.
	
	* app/menus.c: fixed a memleak (list entries were not freed on
	removal from the MRU list).
	
	* app/main.c
	* app/user_install.[ch]: renamed functions and variables to match
	the new filename.

Fri Apr  7 11:54:25 PDT 2000 Manish Singh <yosh@gimp.org>

	* app/Makefile.am
	* app/main.c
	* app/user_install.[ch]: renamed install.[ch]

2000-04-06  Sven Neumann  <sven@gimp.org>

	* libgimp/gimplimits.h: changed GIMP_MIN_RESOLUTION to 5e-3 so 
	it does not display as 0.000 in the UI. The new limit still allows
	you to have pixels as large as 25 m^2. Should be enough IMO...

	Changed GIMP_CHECK_DARK and GIMP_CHECK_LIGHT to match the default
	check colors (GRAY_CHECKS) as defined in app/image_render.[ch].

	* app/free_select.c: fixed warnings

	* app/fileops.c: made an end to the "incidentally gimage already 
	has a valid preview" message
	
	* app/gimpimageP.h
	* app/gimpimage.c: use gboolean for boolean values
	
2000-04-06  Michael Natterer  <mitch@gimp.org>

	* app/commands.c
	* app/layers_dialog.c
	* app/resize.[ch]: behave like a widget:
	removed resize_widget_free() and call
	gtk_widget_destroy(resize->resize_shell) instead.

	* app/interface.c: s/0/FALSE/

	* app/color_area.c
	* libgimp/gimpchainbutton.c: show the correct background also for
	engine driven themes. The chainbutton's lines still don't draw
	with the pixmap theme, which is probably a bug of the theme's
	draw_polygon method.

2000-04-06  Sven Neumann  <sven@gimp.org>

	* app/gimage_cmds.c
	* tools/pdbgen/pdb/gimage.pdb: (gimp_image_set_resolution) guard
	against NaN and infinity. There are pics out there using these
	values and it seems that NaN > GIMP_MIN_RESOLUTION. Fixes #8476.

2000-04-06  Sven Neumann  <sven@gimp.org>

	* app/app_procs.c: if we cannot load the font we'd like to use,
	use the gtk+ default font. Fixes bug #8359.
	
	* app/about_dialog.c
	* app/install.c: properly ref/unref fonts

	* app/text_tool.[ch]: code cleanup (do not rely on TRUE being 1)

	* app/tips_dialog.c: code cleanup and less resizing

2000-04-05  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/ps.c: applied patch provided by Peter
	Kirchgessner, which sets the default rotation back to 0 and
	adds %%BeginData/%%EndData comments on save.
	
2000-04-05  Nick Lamb <njl195@zepler.org.uk>

	* plug-ins/common/pat.c: Don't claim to export ALPHA or to be
	suitable for RGB*, GREY* - this plug-in creates flat patterns

Tue Apr  4 17:33:40 PDT 2000 Manish Singh <yosh@gimp.org>

	* gimptool.in: resync the variable names. Fixes #8360

2000-04-05  Michael Natterer  <mitch@gimp.org>

	* app/layers_dialog.c: oops, yesterday's "cleanups" contained an
	unreverted hack I've tried which caused a SEGV with floating
	selections. Fixed now.

Mon Apr  3 17:55:04 CET 2000  Stanislav Brabec  <utx@penguin.cz>

	On request of Martin Weber <martweb@gmx.net>:
	* libgimp/gimputils.c: Include string.h.

2000-04-03  Michael Natterer  <mitch@gimp.org>

	* app/color_panel.[ch]
	* app/color_picker.c
	* app/qmask.c: removed the public function color_panel_free() and
	fake a real widget's behaviour by connecting to the panel widget's
	"destroy" signal.

	* app/channels_dialog.c
	* app/layers_dialog.c: cleaned up and sync'ed the code where
	possible (without changing the logic).

2000-04-03  Michael Natterer  <mitch@gimp.org>

	* app/channels_dialog.c
	* app/layers_dialog.c: when dropping layers/channels around in the
	stack, Gtk sometimes continues searching a drag destination
	_after_ the drop callback has been called (which is probably a
	bug), causing a SEGV because the callback changed the GtkList
	containing the layer/channel widgets.

	The safe way is to reorder the stack in an idle function which
	should also be robust against any future Gdk/X dnd protocol
	change.

	For the same reason, I added an idle function which lets the
	active layer/channel widget grab the focus because in some dnd
	cases the row holding the focus was not the active one (which is
	otherwise impossible with GTK_SELECTION_BROWSE).

	This commit should fix the remaining problems with layer/channel
	dnd as well as all cases where the highlighted layer was not the
	active one. Please report if it still doesn't work for you.

2000-04-03  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/scripts/3d-outline.scm
	* plug-ins/script-fu/scripts/camo.scm
	* plug-ins/script-fu/scripts/chip-away.scm
	* plug-ins/script-fu/scripts/coffee.scm
	* plug-ins/script-fu/scripts/color-cycling.scm
	* plug-ins/script-fu/scripts/hsv-graph.scm
	* plug-ins/script-fu/scripts/i26-gunya2.scm
	* plug-ins/script-fu/scripts/land.scm
	* plug-ins/script-fu/scripts/mkbrush.scm
	* plug-ins/script-fu/scripts/news-text.scm
	* plug-ins/script-fu/scripts/pupi-button.scm
	* plug-ins/script-fu/scripts/select_to_brush.scm
	* plug-ins/script-fu/scripts/sphere.scm
	* plug-ins/script-fu/scripts/spinning_globe.scm:
	applied gimp-simon-20000403-0, a patch by Simon Budig that makes
	those scripts use SF-ADJUSTMENTS instead of SF-VALUES and fixes a
	few bugs.

2000-04-03  Michael Natterer  <mitch@gimp.org>

	* app/gimpdnd.[ch]
	* app/channels_dialog.c
	* app/layers_dialog.c: removed the GdkGC parameter from
	gimp_dnd_set_drawable_preview_icon() since it's no longer used.

	* app/gimpimage.c: dirty the view correctly after applying the
	layer mask. Don't gdisplays_flush() because it's the job of the
	caller.

	* app/layers_dialog.c: when applying a layer mask, flush either
	the display or just the layer_widget, depending on the previous
	visibility state of the mask. Cleanups.

	* plug-ins/print/gimp_color_window.c
	* plug-ins/print/gimp_main_window.c: including config.h re-enables
	i18n.

Sun Apr  2 15:59:25 PDT 2000 Manish Singh <yosh@gimp.org>

	* configure.in: applied fix for missing "-" as reported in bug
	#8283. The other half of that bug is fixed by my previous configure.in
	change.

2000-04-03  Sven Neumann  <sven@gimp.org>

	* app/module_db.c
	* plug-ins/AlienMap/AlienMap.c
	* plug-ins/AlienMap2/AlienMap2.c
	* plug-ins/common/blinds.c
	* plug-ins/common/curve_bend.c
	* plug-ins/common/despeckle.c
	* plug-ins/common/flarefx.c
	* plug-ins/common/gqbist.c
	* plug-ins/common/winclipboard.c
	* plug-ins/gap/gap_filter_foreach.c: microscopic cosmetic changes

	* plug-ins/gap/gap_main.c: moved the "Goto" entries into their own
	menu so the menu gets smaller
	
2000-04-02  Nick Lamb  <njl195@zepler.org.uk>

	* plug-ins/common/png.c:
	Brown paper bag version, 1.2.1 -- that'll teach me to hurry
	the testing process. This should fix it all image types.

2000-04-02 Garry R. Osgood <gosgood@idt.net>

	* gimp/app/colormap_dialog.i.c:
	As Mr. Lamb, report originator noted, an easy
	fix. in ipal_set_image() line 688
	Reorganized the initialization of the 
	indexed palette object so as not to run afoul
	of gasserts() inhabiting ipal_draw() and client
	routines. These entailed initialing ipal->col_index,
	ipal->dnd_col_index prior to call to ipal_draw()
	closes #8252

	BTW, my guess is that the "Mystery Commit" at 16:55:47 BST
	today is by Mr. Andrew Thomas. Do I win the prize?

2000-04-02  Tuomas Kuosmanen  <tigert@gimp.org>

	* plug-ins/common/png.c:

	<voice type=quartic>This was BROKEN!</voice>

	I reverted the png change since, while it worked fine for RGBA and 
	INDEXEDA it totally shred RGB and INDEXED images to pieces.. :(

Sun Apr  2 16:55:47 BST 2000 Andy Thomas <alt@gimp.org>
	
	* app/bezier_select.c

	Fixed propblem with deleting points. You can now delete the first
	and last point on any open curve (as well as mid-points).

	Also fixed some problems where some poins would leave the markers 
	on screen after they had been deleted.

	Note you have always been able to delete whole curves by pressing 
	the "shift" key when over a point to be deleted in "remove mode".

2000-04-02  Michael Natterer  <mitch@gimp.org>

	* app/interface.c: completely overworked the widget packing of the
	display shell. This was necessary because the table insisted on
	giving the vertical scrollbar more allocation than it needed when
	first displaying an image which is smaller than the minimal
	statusbar width. Replaced the tables with packing boxes.

	See the comments I've added to create_display_shell() if you
	really want to see the ugly details.

	Also, to get rid of the 2-pixel spacing which appears at the
	bottom of the display whenever the statusarea is hidden,
	gdisp->statusarea is now the eventbox, not the hbox it contains.

	* pixmaps/navbutton.xpm: made it 2x2 pixels larger.

Sun Apr  2 04:39:10 PDT 2000 Manish Singh <yosh@gimp.org>

	* configure.in: minor portability nit with gtkxmhtml tests

	* plug-ins/print/print.c: fix missing variable name from the merge

2000-04-02  Sven Neumann  <sven@gimp.org>
	
	* plug-ins/script-fu/scripts/add-bevel.scm
	* plug-ins/script-fu/scripts/asc2img.scm
	* plug-ins/script-fu/scripts/lava.scm
	* plug-ins/script-fu/scripts/line-nova.scm
	* plug-ins/script-fu/scripts/predator.scm
	* plug-ins/script-fu/scripts/pupi-button.scm: 
	corrected spelling errors and unified strings

2000-04-02  Jay Cox  <jaycox@gimp.org>

	* plug-ins/common/tiff.c: Added a missing break statement so that
	the compression argument in calls to file_tiff_save is honored.

2000-04-02  Nick Lamb  <njl195@zepler.org.uk>
	* plug-ins/common/png.c
	The Gimp now does as good a job of saving indexed+a PNGs as it
	does of displaying them. Did I mention that INDEXED + A sucks?

2000-04-01  Garry R. Osgood   <gosgood@idt.net>
	* app/bezier_select.c
	When user deletion of anchor points decimates a curve
	below the number which the implementation can properly
	manipulate, bezier_edit_point_on_curve() now invokes 
	delete_whole_curve(). Formerly returned a zero, prompting
  	a mode change and a re-interpretation of the mouse-button-down
	event as the addition of a new curve segment, giving
	rise to #6093. Closes #6093.
	
2000-04-01  Michael Natterer  <mitch@gimp.org>

	* app/disp_callbacks.c: when dropping a drawable, do the
	undo_push_group_start() before creating the new layer, otherwise
	the undo system will show obscure misbehaviour (the undo group is
	pushed correctly but no undo will be possible until an other undo
	is pushed).

2000-04-01  Michael Natterer  <mitch@gimp.org>

	Backported the UI changes of the 3.1.x gimp-print plugin to the
	stable 3.0.x version.
	Put the printer definitions to a separate file and added the 3.1.x
	access functions. This way the new dialog files can be used with
	minimal changes.
	Bumped version number to 3.0.10.

	* po-plug-ins/POTFILES.in
	* plug-ins/print/Makefile.am
	* plug-ins/print/print_gimp.h
	* plug-ins/print/gimp_color_window.c
	* plug-ins/print/gimp_main_window.c: new files containing the
	dialog code.

	* plug-ins/print/print-printers.c: new file containing the printer
	definitions.

	* plug-ins/print/print-util.c: added printer list access functions.

	* plug-ins/print/print.[ch]: removed the dialog stuff and use the
	list access functions.

2000-04-01  Michael Natterer  <mitch@gimp.org>

	* plug-ins/flame/Makefile.am
	* plug-ins/flame/megawidget.[ch]: removed

	* plug-ins/flame/flame.c: general ui cleanup, added some sanity
	checks when opening a flame file, indentation.

2000-04-01  Jay Cox  <jaycox@gimp.org>

	* app/paint_funcs.c: Fixed the off by one error that was the cause
 	of bug #4980.  Fixed a bug that caused images to have their
 	centers shifted slightly when resizing.  Removed a couple of
 	unused variables.

2000-03-31  Michael Natterer  <mitch@gimp.org>

	* app/gimpdnd.[ch]: minor cleanups.

	* libgimp/gimpwidgets.c: don't set a border width for the
	radio_group's vbox if no frame around it was requested.

	* plug-ins/common/sample_colorize.c: add a separator between
	image and sample.

	* plug-ins/common/iwarp.c: use the libgimp ui functions, removed
	callbacks, a global s/gfloat/gdouble/, replaced the booleans
	toggling the transform mode with a single variable containing an
	enum value, indentation.

2000-03-31  Sven Neumann  <neo@wintermute.ochsenblut.de>

	* plug-ins/script-fu/scripts/beveled-pattern-heading.scm
	* plug-ins/script-fu/scripts/title-header.scm: string unification

Fri Mar 31 14:10:02 BST 2000 Adam D. Moss <adam@gimp.org>

	* plug-ins/common/gifload.c: Mildly more useful
	comments/messages concerning frame disposals.

Fri Mar 31 04:20:27 PST 2000 Manish Singh <yosh@gimp.org>

	* app/by_color_select.c: use the proper local variable on creation,
	not the uninitialized one. Fixes bug #8149.

Thu Mar 30 16:48:06 PST 2000 Manish Singh <yosh@gimp.org>

	* configure.in: made glib cflags extraction smarter

Thu Mar 30 01:51:05 PST 2000 Manish Singh <yosh@gimp.org>

	* Made 1.1.19 release

2000-03-30  Michael Natterer  <mitch@gimp.org>

	* plug-ins/webbrowser/Makefile.am
	* plug-ins/webbrowser/webbrowser.c: use the ui stuff from libgimp.

2000-03-29  Sven Neumann  <sven@gimp.org>

	* plug-ins/dbbrowser/doc/doc: removed obsolete installation 
	instructions

2000-03-29  Michael Natterer  <mitch@gimp.org>

	* app/bezier_select.h
	* app/bezier_selectP.h
	* app/by_color_select.[ch]
	* app/ellipse_select.[ch]
	* app/free_select.[ch]
	* app/move.[ch]
	* app/rect_select.[ch]: kindof selection tools code review:

	- use SelectOps instead of int.
	- removed some unused prototyped and callbacks.
	- don't show the SELECTION_MOVE_MASK cursor if there is no
	  selection and don't try to move the mask in that case.
	- re(?)-enabled moving the selection mask even if there is a
	  floating selection.
	- usual bunch of cleanups.

2000-03-29  Sven Neumann  <sven@gimp.org>

	* app/gimpui.[ch]: (gimp_dialog_hide) new function that calls
	gdk_window_withdraw() after gtk_widget_hide() so dialogs actually
	go away even if they have been iconified by the user before.

        * brightness_contrast.c
	* by_color_select.c
	* color_balance.c
	* curves.c
	* fileops.c
	* histogram_tool.c
	* hue_saturation.c
	* levels.c
	* posterize.c
	* text_tool.c
	* threshold.c: use gimp_dialog_hide() on all(?) tool dialogs and
	file_selectors. This should fix bugs #2961, #5293, #6441 and #7849.

2000-03-28  Sven Neumann  <sven@gimp.org>

        * plugins/script-fu/Makefile.am: don't install test-sphere.scm
	
        * plugins/script-fu/interp_slib.c: accept _"foo" as a normal
	string. This allows us to mark strings in scripts for translation
	similar to how it is done in C. Please not that this does not mean
	that gettext is automatically called on those strings. The 
	Script-Fu interface code takes care of calling gettext on all
	strings that are displayed in the GUI.

	* plug-ins/gap/sel-to-anim-img.scm
	* plug-ins/script-fu/scripts/*.scm
	* plug-ins/webbrowser/web-browser.scm: marked strings for 
	translation. Hopefully I didn't break anything. Please test!

	I noted that there are still some scripts that should be updated
	to use the new features like SF-ADJUSTMENTs. Help is very much
	appreciated here.

Tue Mar 28 22:47:17 CEST 2000  Stanislav Brabec  <utx@penguin.cz>

	* plug-ins/gap/*: "Frame Range" typo fix.

2000-03-28  Kelly Lynn Martin  <kelly@poverty.bloomington.in.us>

	* plug-ins/common/warp.c (warp_dialog): integers are not doubles!

2000-03-28  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/scripts/alien-neon-logo.scm: due to the 
	ugly hack we use to find the textdomain for script-fus, all 
	script-fus have to register a name starting with 'script-fu-'.

	* app/plug_in.c: reverted Mitch's last change since it caused
	a crash when refreshing scripts (bug #7980). This of course 
	reintroduces the memleak.

2000-03-28  Shirasaki Yasuhiro  <yasuhiro@gnome.gr.jp>

	* plug-ins/gflare/gflare.c: gflare never use gfig-path.

2000-03-27  Sven Neumann  <sven@gimp.org>

	* app/curves.c: 
	* app/levels.c: hide the file_selector when the dialog is unmapped

	* app/fileops.c: indentation (actually I have a fix for the stray
	load/save dialogs, but I want to discuss it with a gtk+ guru
	first, so it's not checked in yet...)

2000-03-27  David Monniaux  <monniaux@quatramaran.ens.fr>

	* plug-ins/gap/gap_decode_mpeg_main.c: fixed a typo (spurious
	parenthesis) probably introduced by Sven's corrected spelling.

2000-03-27  Sven Neumann  <sven@gimp.org>

	* plug-ins/gap/gap_*.c: corrected spelling and punctuation of many
	strings so they adhere better to our standards.

	* plug-ins/FractalExplorer/FractalExplorer.c
	* plug-ins/gflare/gflare.c: do not hardcode ~/.gimp-1.1 into the
	message strings.

2000-03-27  Shirasaki Yasuhiro  <yasuhiro@gnome.gr.jp>

	* plug-ins/common/xpm.c: INIT_I18N_UI() instead of INIT_I18N()
	for save dialog.

2000-03-27  Michael Natterer  <mitch@gimp.org>

	* app/transform_core.c: the button_press and cursor_update
	functions were still doing checks on the active layer instead of
	the active drawable.
	Fixing this automatically made the layer mask transformable.

2000-03-26 Garry R. Osgood <gosgood@idt.net>

	* gimp/app/bezier_select.c
	in bezier_add_point(), when a BEZIER_MOVE type
	point is being added to a path with at least
	one extant segment, the point is re-typed
	to a BEZIER_ANCHOR (which is old behavior)
	and designated as the current anchor
	(which is new behaviour). With this change,
	motion events move the (second) control point
	and indicia are properly updated. This closes
	#6225.

2000-03-26  Michael Natterer  <mitch@gimp.org>

	* app/gimage_mask.[ch] (gimage_mask_extract): add an "add_alpha"
	parameter to allow selected regions to be extracted without having
	an alpha channel added.

	* app/global_edit.c: pass add_alpha = TRUE.

	* app/transform_core.[ch]: made the transform core work on
	non-layer drawables even if no selection is present. Fixes #7485
	and #7555.

	- transform_core_cut(): extract the mask without alpha if
	  operating on a non-layer without having a selection.
	- transform_core_paste(): return a boolean indicating success
	  instead of a layer and handle channels correctly.
	- transform_core_do(): if the "floating_tiles" passed to the
	  function are from an un-floated non-layer, treat the whole
	  non-layer as alpha channel and never enter the loop which
	  transforms the (not present) color channels.
	  Also clip the result to ensure that the channel never grows
	  larger than the image.

	* app/tools_cmds.c
	* tools/pdbgen/pdb/tools.pdb: transform_core_paste() returns a
	gboolean now.

2000-03-26  Sven Neumann  <sven@gimp.org>

	* plug-ins/gap/gap_main.c
	* plug-ins/gap/gap_mpege.c: no need to abbreviate Image to Img here

2000-03-26  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/iwarp.c: applied gimp-simon-20000325-1 provided
	by Simon Budig <Simon.Budig@unix-ag.org> which fixes bug #6224.

	* plug-ins/script-fu/scripts/neon-logo.scm: applied 
	gimp-simon-20000326-0 (once again from Simon "bughunter" Budig)
	which changes the neon-logo to get a neon-like effect again and 
	thereby fixes bug #2358.
	
Sun Mar 26 00:41:56 CET 2000  Sven Neumann  <sven@gimp.org>

	* app/convert.c: reverted Martin's change since it gives no
	noticeable speedup. Martin, you are definitely not in the 
	position to mess around with Adam's code. There even was a pretty
	clear comment that those values have to match the ones defined
	in gimpcolorspace.h.
	
Sat Mar 25 21:09:40 CET 2000  Stanislav Brabec  <utx@penguin.cz>

	* plug-ins/common/ps.c: Applied changes from Peter
	Kirchgessner (V 1.10).

Sat Mar 25 20:57:24 CET 2000  Stanislav Brabec  <utx@penguin.cz>

	On request of Martin Weber <martweb@gmx.net>:
	* app/convert.c: Speedups.
	* app/paths_dialog.c: Include string.h.

2000-03-25  Sven Neumann  <sven@gimp.org>

	* README.i18n: added new sections explaining what catalogs 
	need to be translated, how to translate menupaths correctly
	and how a third-party plug-in can add additional textdomains.

2000-03-25  Sven Neumann  <sven@gimp.org>

	* tools/pdbgen/pdb/gimage.pdb
	* app/gimage_cmds.c: corrected the description and help for the
	gimp_image_[get|set]_component_* functions.

	* app/info_dialog.c: include dialog_handler.h

2000-03-25  Sven Neumann  <sven@gimp.org>

	* app/app_procs.c: use gtk_exit(0) instead of gtk_main_quit() 
	since there is a chance that the main loop is never entered.
	Fixes bug #7744.
	
	* app/main.c: cosmetic change

	* libgimp/gimp.[ch]: (gimp_read_expect_msg) don't claim about
	receiving a message of type GP_QUIT, simply execute it. Fixes a
	warning that occured when calling gimp_quit from a plug_in.

	Cleanup up the code a bit and changed gint to gboolean where
	appropriate.
	
	* libgimp/gimpchannel.c
	* libgimp/gimpdrawable.c
	* libgimp/gimpimage.c
	* libgimp/gimpparasite.c: cleaned up and changed gint to gboolean 
	where appropriate.

	* plug-ins/common/autocrop.c
	* plug-ins/dbbrowser/dbbrowser_utils.c: removed unused variables
	
2000-03-25  Michael Natterer  <mitch@gimp.org>

	* app/cursorutil.[ch]: new global variable "gimp_busy" which gets
	set/unset whenever busy cursors are added/removed.

	* app/info_dialog.c: register the info dialogs with the dialog
	handler.

	* app/fuzzy_select.[ch]: cleanups.
	
	Here starts the ugly workaround which simulates something like
	locking. If it works, it will close lots of bugs, if not, it's
	easy to remove again.

	So far, I didn't find strange side effects but Gimp is told to be
	a complex program :-) Please test this.

	* app/context_manager.c: don't allow tool changes if gimp_busy
	is TRUE.

	* app/disp_callbacks.c: don't allow mouse and key events in the
	display_canvas if gimp_busy is TRUE.
	(except if the current tool is FUZZY_SELECT and it is ACTIVE,
	 which is very ugly)
	Also block other stuff like dropping colors/patterns etc.

	* app/gdisplay_ops.c: don't close any display while Gimp is
	busy. This is not really what we want but at least it prevents
	crashes.

2000-03-25  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/script-fu-console.c: only call gtk_main_quit()
	once when closing the dialog.
	
	* plug-ins/script-fu/script-fu-server.c: use a gimp_dialog and
	other nice things from libgimpui.

Fri Mar 24 14:07:46 CET 2000  Stanislav Brabec  <utx@penguin.cz>

	* app/hue_saturation.c: i18n fix.

Sat Mar 25 02:01:18 CET 2000  Sven Neumann <sven@gimp.org>

	* plug-ins/pygimp/plug-ins/clothify.py
	* plug-ins/pygimp/plug-ins/foggify.py
	* plug-ins/pygimp/plug-ins/shadow_bevel.py
	* plug-ins/pygimp/plug-ins/sphere.py: applied a patch provided by 
	Simon Budig <Simon.Budig@unix-ag.uni-siegen.de> which adapts the
	pygimp scripts to the new gimp_edit_fill () interface.

Sat Mar 25 01:19:10 CET 2000  Sven Neumann <sven@gimp.org>

	* app/install.c: changed the title_color to "dark orange" which is
	a little less drastic than the color we chose before. 

	* plug-ins/MapObject/mapobject_shade.c: applied gimp-simon-20000324-0
	which fixes bugs #3320 and #7069. Nice work, Simon!

Fri Mar 24 23:08:08 CET 2000  Sven Neumann <sven@gimp.org>

	* app/session.[ch]: clamp windows to screen and cascade multiple
	windows of the same type (e.g. info_dialogs). The cascading is a
	somehow trivial approach which is not always correct, but it seems
	to work reasonably well.

2000-03-24  Michael Natterer  <mitch@gimp.org>

	* Makefile.am
	* gimp1_0_splash.ppm: added
	* gimp1_1_splash.ppm: removed

	* gimp_splash.ppm: the image formerly known as gimp1_1_splash.ppm

	* app/app_procs.c: load gimp_splash.ppm

	The idea of sharing the data_dir between Gimp versions has
	vanished, so this seems like the right thing to do (TM).

	Keep the 1.0 splash around for sentimental reasons but don't
	install it anymore.

	* plug-ins/common/autocrop.c: indentation paranoia.
	
2000-03-24  Michael Natterer  <mitch@gimp.org>

	* app/plug_in.c (plug_in_proc_def_remove): pass FALSE to
	plug_in_proc_def_destroy() so the proc_def structure gets actually
	freed.

2000-03-24  Asbjorn Pettersen  <asbjornP@dualog.no>

	* plug-ins/bmp/Makefile.am :  add bmpos2.c and bmpos2.h

	* plug-ins/bmp/bmpread.c (ReadBMP): Add support for
	reading old OS/2 bitmaps.

	* plug-ins/bmp/bmpos2.h (read_os2_head1): 
	* plug-ins/bmp/bmpos2.c : New file for OS/2 bitmap reading. 

Fri Mar 24 17:13:41 CET 2000  Sven Neumann <sven@gimp.org>

	plug-ins/common/mapcolor.c: applied gimp-kirchgessner-000320-0.
	Fixes problem with divide by zero when selecting same colors,
	adds preview and makes the GUI more intuitive.

	Additionally, I've added another check for the drawable being RGB
	in the function that does the actual work. Remember that the
	image_type may change while the dialog is open!

Fri Mar 24 15:48:40 CET 2000  Sven Neumann <sven@gimp.org>

	applied gimp-quinet-000310-0 by Raphael Quinet <quinet@gamers.org>

	* plug-ins/script-fu/scripts/coolmetal-logo.scm: replaced the
	seascape toggle with a direct selection of the gradient.

	* plug-ins/script-fu/scripts/carved-logo.scm: added new parameter
	to allow some padding around the text (useful for tiling backgr.)

	* plug-ins/script-fu/scripts/news-text.scm, speed-text.scm: added
	new parameter to specify the text color and the background color,
	instead of using the active colors.

	* plug-ins/script-fu/scripts/bovinated-logo.scm, comic-logo.scm,
	gradient-bevel-logo.scm: added new parameter to specify the
	background color, instead of using the active one.

	* plug-ins/script-fu/scripts/asc2img.scm: save and restore
	foreground and background colors; do not flatten the final image.

	* plug-ins/script-fu/scripts/3d-outline.scm: set foreground and
	background colors before using them; do not flatten the final
	image.

	* plug-ins/script-fu/scripts/clothify.scm: set the background
	color before using it.

	* plug-ins/script-fu/scripts/3d-outline.scm, 3dTruchet.scm,
	addborder.scm, alien-glow-arrow.scm, alien-glow-bar.scm,
	alien-glow-bullet.scm, alien-glow-button.scm, alien-glow-logo.scm,
	alien-neon-logo.scm, asc2img.scm, basic1-logo.scm,
	basic2-logo.scm, beveled-button.scm, beveled-pattern-arrow.scm,
	beveled-pattern-bullet.scm, beveled-pattern-button.scm,
	beveled-pattern-heading.scm, beveled-pattern-hrule.scm,
	blended-logo.scm, bovinated-logo.scm, camo.scm, carve-it.scm,
	carved-logo.scm, chalk.scm, chip-away.scm, chrome-it.scm,
	chrome-logo.scm, clothify.scm, comic-logo.scm, coolmetal-logo.scm,
	crystal-logo.scm, distress_selection.scm, drop-shadow.scm,
	erase-rows.scm, fade-outline.scm, font-map.scm, frosty-logo.scm,
	fuzzyborder.scm, gimp-headers.scm, gimp-labels.scm,
	glowing-logo.scm, gradient-bevel-logo.scm, hsv-graph.scm,
	i26-gunya2.scm, image-structure.scm, mkbrush.scm, neon-logo.scm,
	news-text.scm, perspective-shadow.scm, pupi-button.scm,
	ripply-anim.scm, slide.scm, sota-chrome-logo.scm, speed-text.scm,
	sphere.scm, starburst-logo.scm, starscape-logo.scm, swirltile.scm,
	t-o-p-logo.scm, test-sphere.scm, text-circle.scm,
	textured-logo.scm, title-header.scm, trochoid.scm, truchet.scm,
	weave.scm, xach-effect.scm: adapted the scripts to the new
	interface for gimp-edit-fill.

	* plug-ins/script-fu/scripts/Makefile.am
	* plug-ins/script-fu/scripts/alien-neon-logo.scm: added file.

Fri Mar 24 15:31:33 CET 2000  Sven Neumann <sven@gimp.org>

	* app/commands.[ch]
	* app/edit_cmds.c
	* app/gdisplay.c
	* app/global_edit.[ch]
	* app/menus.c
	* tools/pdbgen/pdb/edit.pdb: applied sligthly modified versions 
	of gimp-quinet-000308-0 and gimp-quinet-000322-0.

	From the README, Raphael Quinet provided with the patches:

	    This patch fixes the problems with Edit/Fill by allowing 
 	    the user to choose the fill mode.  The "Fill with background 
	    color" is prefered by some users who have been using the Gimp 
	    for a long time, but the "Fill with foreground color" is 
	    prefered by those who are familiar with most other paint 
	    programs.

	This change breaks a lot of the Perl scripts. Marc knows about this,
	so you do not need to write bugreports. Please report broken 
	Script-Fus however, since they are supposed to work. 

Fri Mar 24 01:53:07 PST 2000 Manish Singh <yosh@gimp.org>

	* configure.in: more sanity checking for the gtkxmhtml test. Also
	changed datadir to include the gimp version too. So right now
	only the development headers conflict between versions in the same
	prefix.

	* gimptool.in
	* gimptool.1: added and documented configure variable query options
	(bindir, sbindir, sysconfdir, etc.)

	* tips/Makefile.am: add gimp_tips.uk.txt

Wed Mar 22 18:35:25 CST 2000  Seth Burgess <sjburges@gimp.org>
	
	* app/gdisplay_ops.c: Applied Thomas Koester's patch for
	shrink-wrapping/resizing.  He tried it with several wm's
	and it seems to work... report any problems.

Wed Mar 22 15:43:02 GMT 2000  Adam D. Moss <adam@gimp.org>

	* gimprc.in: enable perfect-mouse in default gimprc.

2000-03-21  Michael Natterer  <mitch@gimp.org>

	* app/flip_tool.c: yesterday's "cleanups" made the file
	un-compileable. Probably too much beer involved.

2000-03-21  Tuomas Kuosmanen  <tigert@gimp.org>

	* gimp1_1_splash.ppm: Trumpets and Circus Entertainment to
	make the weary hard working developers happy while we are
	approaching the goal, Gimp 1.2.. :)

	= a new splash screen.. hope you like it.

Tue Mar 21 04:11:42 CET 2000  Michael Natterer  <mitch@gimp.org>
	                      Sven Neumann <sven@gimp.org>

	* app/fileops.c
	* app/gdisplay.[ch]: when reverting an image, reconnect all 
	affected views to the reverted version. This fixes one of the
	bugs Tigert pointed out at GUADEC.

	* app/gimage_mask.[ch]
	* app/flip_tool.c: cleanups

2000-03-20  Michael Natterer  <mitch@gimp.org>

	* plug-ins/gfig/gfig.c: fixed a SEGV I have introduced by
	accidentially replacing g_malloc0() with g_new() instead of
	g_new0(). Andy found the crash, thanks.

Mon Mar 20 19:15:19 CET 2000  Stanislav Brabec  <utx@penguin.cz>

	* app/preferences_dialog.c: Typo fix.

2000-03-18  Seth Burgess <sjburges@gimp.org>
	
	* plug-ins/common/colortoalpha.c: Fixed handling of previously
	existing alpha, so it can be run successively now (much more
	useful)

2000-03-18    <tigert@guadec1.enst.fr>

	* pixmaps/linked.xpm: another icon for the L&C&P dialog.. to be 
	used sometime.

	* pixmaps/eye.xpm: new totally wacked commit from mitch's account
	from GUADEC.. this will sometimes be used once mitch gets around
	to actually implement the stuff in layers dialog (ph3ar!) :)

2000-03-18  Jay Cox  <jaycox@gimp.org>

	* app/paint_funcs.c:  Make sure we don't divide by zero in
 	scale_region.  Fixes bugs #4783 and #6907.

2000-03-17  Birger Langkjer <birger.langkjer@image.dk>

	* plug-ins/MapObject/mapobject_ui.c:565: fixed typo/spelling
	Transpararent -> Transparent
	* all da.po: updated.

2000-03-16  Shirasaki Yasuhiro  <yasuhiro@gnome.gr.jp>

	* app/text_tool.c: added missing argument for error message.

2000-03-15  Sven Neumann <sven@gimp.org>
	    Michael Natterer <mitch@gimp.org>

	* libgimp/gimpchainbutton.c: return TRUE from event_callback
	* libgimp/gimpwidgets.c: blah

	* app/install.c: now works with themes and offers an interactive
	monitor calibration dialog. Delete your ~/.gimp-1.1 and enjoy!

2000-03-15  Sven Neumann <sven@gimp.org>
	    Michael Natterer <mitch@gimp.org>

	* gimprc.in
	* app/gimprc.c: increased default tile_cache size to 32MB
 	
	* app/install.c: minor fixes

Tue Mar 14 22:13:35 CET 2000  Sven Neumann <sven@gimp.org>
	                      Michael Natterer <mitch@gimp.org>

	* Makefile.am
	* pixmaps/folder.xpm: new file.
	* pixmaps/wilber.xpm: removed the shadows.

	* gimprc.in
	* user_install: cleanup.

	* app/app_procs.c: only parse unitrc and gimprc if not already
	done by install.c.

	* app/gimprc.[ch]: cleanups. parse_buffers_init() returns a
	boolean indicating if the buffers are really initialized.

	* app/gimpui.h: include some more stuff from libgimp.

	* app/install.c: Gimp's most beautiful dialog should blow away
	first time users.
	(does not yet work with themes, please help)

	* app/preferences_dialog.c: removed the mem_size_unit stuff.

	* libgimp/gimpchainbutton.c: cleanup.

	* libgimp/gimpwidgets.[ch]: new function gimp_mem_size_entry_new()
	which does the stuff known from the prefs dialog.

	* plug-ins/script-fu/scripts/tileblur.scm: s/tilable/tileable/

Sun Mar 12 04:26:41 CET 2000  Sven Neumann <sven@gimp.org>

	* plug-ins/gfig.c: reduced the preview_size and tweaked the dialog 
	a bit. Gfig should now be useable on 800x600. (adresses bug #5008)

Sun Mar 12 02:25:58 CET 2000  Sven Neumann <sven@gimp.org>

	* app/color_notebook.c: connect the wm close event to the Close
	button. This is somehwaqt inconsistent since the Close button takes
	the role of the OK button in this dialog, but IMO it's better that
	way and fixes bug #7078.

	* app/fileops.c: ref the image when doing a save operation. This 
	lets the save plugin complete its job even if the user decided
	to close the display and thereby deleted the image. You may still
	crash the plugin by deleting layers from the Layers dialog, but I 
	guess we will not be able to fix this w/o a major redesign.
	Fixes (well, more or less) bug #2291.

	* app/gradient.c:
	* libgimp/gimpcolorbutton.c: cosmetics

Sun Mar 12 01:09:27 CET 2000  Sven Neumann <sven@gimp.org>

	* libgimp/Makefile.am
	* libgimp/gimp.h
	* libgimp/gimputils.[ch]: new files providing gimp_strescape(),
	which is the glib-1.3 g_strescape function

	* plug-ins/script-fu/script-fu-scripts.c: use gimp_strescape()

	* app/gimprc.[ch]
	* app/image_new.c
	* app/preferences_dialog.c: allow to specify a default comment
	which gets attached to new images (fulfills wish #5963)

	* docs/parasites.txt: added a note that gserialize is not included
	in the libgimp build

2000-03-11  Shirasaki Yasuhiro  <yasuhiro@gnome.gr.jp>

	* plug-ins/common/mpeg.c: added missing comma for
	gimp_register_magic_load_handler() arguments.

2000-03-11  Tor Lillqvist  <tml@iki.fi>

	* plug-ins/twain/*.c: Use GLib's memory functions instead of
	malloc and free.

	* plug-ins/winsnap/winsnap.c: Add delay functionality.

Sat Mar 11 14:44:19 CET 2000  Sven Neumann <sven@gimp.org>

	* app/menus.c: translate branches in the gimp domain too and a 
	few other small fixes

Fri Mar 10 18:10:56 CET 2000  Sven Neumann <sven@gimp.org>

	* plug-ins/pygimp/plug-ins/pdbbrowse.py
	* plug-ins/pygimp/plug-ins/sphere.py: applied patch from Simon Budig
	makes the scripts use env instead of hardcoded path to python

	* plug-ins/common/ps.c: applied gimp-kirchgessner-000217-0
	fixes problem with toggle PostScript Level 2
	fixes problem with reading EPS-files that have no showpage command
	adds runlength encoding to PostScript Level 2 files

	* plug-ins/common/jpeg.c: applied gimp-cosmin-20000212
	guards parasite code with #ifdef GIMP_HAVE_PARASITES
	do not save comment if comment string is empty

	* app/fileops.c
	* plug-ins/common/CEL.c
	* plug-ins/common/bz2.c
	* plug-ins/common/gicon.c
	* plug-ins/common/mpeg.c
	* plug-ins/common/psd.c
	* plug-ins/common/psp.c
	* plug-ins/common/tga.c
	* plug-ins/common/xpm.c
	* plug-ins/common/xwd.c: applied gimp-mattias-000227-0
	Changes the file format auto-detection algorithm to do the following:
	1. See if the file name matches extensions of formats that do NOT have
	   any magic registered
	2. Check all file formats with registered magic
	3. Check all extensions
	Adds, removes or fixes existing magic in tga, cel, bz2, gicon, mpeg, 
	psd, psp, xpm, xwd

	Please test this heavily (especially the file magic). If this patch
	turns out to be bogus, we'll revert it. If the changes are correct,
	it's an important fix.

Fri Mar 10 12:29:57 CET 2000  Sven Neumann <sven@gimp.org>

	* plug-ins/sel2path/*.c: do not include malloc.h but use the
	glib memory functions instead (should fix bug #7144)

Fri Mar 10 02:55:12 CET 2000  Sven Neumann <sven@gimp.org>

	* app/blend.c: renamed Blend Mode from "Custom from Editor" to 
	"Custom Gradient" since the gradient editor is not any longer
	the primary source for gradients. As an extra bonus, you get a
	new dnd target...

Thu Mar  9 22:29:14 GMT 2000  Andy Thomas <alt@gimp.org>
	
	* app/gimpimage.c

	A tattoos state can equal the highest tattoo in the image.

Thu Mar  9 20:45:13 CET 2000  Sven Neumann <sven@gimp.org>

	* app/commands.[ch]
	* app/menus.c: moved Undo History into the Dialogs menu. The View 
	menu should only hold stuff affecting the view of an image.

Thu Mar  9 12:51:21 CET 2000  Stanislav Brabec  <utx@penguin.cz>

	* plug-ins/gap/gap_decode_xanim.c
	* plug-ins/gap/gap_mov_dialog.c
	* plug-ins/xjt/xjt.c
	* plug-ins/common/uniteditor.c: Typo fixes.

Thu Mar  9 14:00:55 CET 2000  Sven Neumann <sven@gimp.org>

	* app/color_picker.c: for indexed images set Index in the info_window
	to N/A if sample_merged or sample_average is active.

Thu Mar  9 12:44:55 CET 2000  Sven Neumann <sven@gimp.org>

	* app/gimpdrawable.c: gimp_drawable_get_color_at() now silently
	returns NULL again if the coordinates are out of range. A lot of 
	code using this function relies on this feature and correctly 
	checks the return value. No need to emit critical warnings here.
	
	The GTK_CHECK_TYPE macro test for obj != NULL, no need to do this
	check twice. Removed lots of unnecessary calls to g_return_if_fail().

	* app/color_picker.c: with the old behaviour of 
	gimp_drawable_get_color_at() the code is a bit simpler.

	* app/fuzzy_select.c: fuzzy_select relied on drawable_offsets()
	returning off_x = off_y = 0 if drawable == NULL. Decided to change
	this here, fixes bug #7077.

	* app/gimpimage.[ch]: Even though we made bad experiences with the 
	changes in gimpdrawable.c, I have introduced similar argument checks
	here.
	
	* app/image_map.c: indentation

Wed Mar  8 23:37:38 CET 2000  Sven Neumann <sven@gimp.org>

	* app/menus.c: Oops, my last commit broke LANG=C. This is now fixed.

Wed Mar  8 21:52:51 CET 2000  Sven Neumann <sven@gimp.org>

	* app/menus.c: applied and heavily modified a patch from Daniel Egger.

	There's not any more the need to declare menu branches unless we
	want to create empty submenus (to be filled in by plug-ins). Removes
	a bunch of messages from the catalogs.
	We do not longer put a seperator after submenus if the menu contains
	nothing but submenus. 

2000-03-08  Tor Lillqvist  <tml@iki.fi>

	* app/cursorutil.c (gtkutil_compress_motion)
	* app/edit_selection.c (process_event_queue_keys): Guard against
	gdk_event_get returning NULL (which can happen at least on Win32).

	* libgimp/gimp.def: Add a couple of new entry points.

	* plug-ins/makefile.{cygwin,msc}: Update according to the source
	file changes. Fix some typos in the .msc file.

	Fixes by Hans Breuer:

	* app/resize.c: Add some more includes.

	* libgimp/gimpenv.c
	* plug-ins/gflare/gflare.c: Win32 header lossage fixup.

Wed Mar  8 14:50:57 CET 2000  Sven Neumann <sven@gimp.org>

	* plug-ins/common/align_layers.c
	* plug-ins/common/illusion.c
	* plug-ins/common/mblur.c
	* plug-ins/common/papertile.c
	* plug-ins/common/polar.c
	* plug-ins/common/sample_colorize.c
	* plug-ins/common/scatter_hsv.c
	* plug-ins/common/screenshot.c
	* plug-ins/common/sharpen.c
	* plug-ins/common/vpropagate.c
	* plug-ins/common/wind.c
	* plug-ins/common/wmf.c
	* plug-ins/gap/gap_navigator_dialog.c
	* plug-ins/gimpressionist/gimp.c: dont mark PDB help strings for
	translation, various other small fixes

	* plug-ins/xjt/xjt.c
	* plug-ins/xjt/xpdb_calls.c
	* plug-ins/xjt/xpdb_calls.h: 
	applied patch provided by Wolfgang Hofer <hof@hotbot.com> 

Wed Mar  8 12:40:53 GMT 2000  Adam D. Moss <adam@gimp.org>

	* plug-ins/common/xbm.c: Type of written array should
	be unsigned, as that's the type of data we're initializing
	it with.  Cast back to signed for passing to XCreateBitmapFromData()
	etc.

2000-03-07  Michael Natterer  <mitch@gimp.org>

	* app/disp_callbacks.c: show GIMP_BAD_CURSOR if we have no layers.

	Moved the closing bracket out of the GTK_HAVE_SIX_VALUATORS ifdefs
	(just to force emacs to do correct indentation).

2000-03-07  Michael Natterer  <mitch@gimp.org>

	* app/by_color_select.c: immediate cursor_update feedback on
	modifier events.

	* libgimp/gimpwidgets.c: one more s/private_tip/help_data/

2000-03-07  Shirasaki Yasuhiro  <yasuhiro@gnome.gr.jp>

	* plug-ins/common/Makefile.am: added missing $(MAILER)
	to CPPFLAGS for mail plugin.

2000-03-06  Michael Natterer  <mitch@gimp.org>

	* libgimp/gimpwidgets.[ch]:
	namespace consistency: s/private_tip/help_data/

Mon Mar  6 10:39:09 CET 2000  Sven Neumann <sven@gimp.org>

	* plug-ins/common/plugindetails.c
	* plug-ins/gap/gap_dbbrowser_utils.c: use the same strings

Sun Mar  5 13:18:47 PST 2000 Manish Singh <yosh@gimp.org>

	* gimp.m4: need GPlugInInfo struct for the link test too
	(patch by Robert Krawitz <rlk@alum.mit.edu>)

Sun Mar  5 03:25:33 CET 2000  Marc Lehmann <pcg@goof.com>

	* app/plug_in.c: Remove the two gimp-perl specific hacks that
        should now no longer be necessary.

2000-03-04  Michael Natterer  <mitch@gimp.org>

	* Makefile.am
	* cursors/selection_move.xbm
	* cursors/selection_move_mask.xbm
	* app/cursorutil.[ch]: new cursor for moving the selection
	mask. Looks imho nicer than the ugly GDK_DIAMOND_CROSS.

	* app/move.c
	* app/rect_select.c: use the new cursor.

	* app/paint_core.c: check for the statusbar's context_id in the
	cursor_update function. Fixes gdk_criticals with the line preview
	(which doesn't need a mouse click). Minor cleanups.

	* app/tool_options.c: put the paint_pressure options in a
	GtkHWrapBox instead of a GtkHBox. Makes the size of the dialog a
	bit less locale-dependent.

	* plug-ins/common/xbm.c: use accessor functions instead of using
	the parasite's fields directly.

Fri Mar  3 19:35:43 PST 2000 Manish Singh <yosh@gimp.org>

	* Made 1.1.18 release

2000-03-03  Michael Natterer  <mitch@gimp.org>

	* app/crop.c: s/"Only"/"only"/

	* app/iscissors.c: one more cursor_update fix. This time I don't
	claim that it's _really_ correct.

	* app/tool_options.c: don't add a separator after
	opacity/paint_mode if a paint pressure options box follows.

	* cursors/bad.xbm
	* cursors/bad_mask.xbm: made it FAT (no need to use thin lines
	which show as much as possible of the image below because the
	cursor indicates that no operation is possible).

	* libgimp/gimpprotocol.[ch]: s/int/gboolean/ where appopriate,
	indentation paranoia.

	_gp_*_read(): free the already allocated parts of the message if
	reading a subsequent part fails. These cleanups will probably occur
	shortly before the process crashes, but at least they make the
	search for real leaks easier.

	* plug-ins/common/uniteditor.c: some more tooltips.

	* plug-ins/common/xbm.c: store the image comment in the
	"gimp-comment" parasite and the hot spot in the new "hot-spot"
	parasite. Added ui for entering the hot spot.

	* docs/parasites.txt: documented the new "hot-spot" parasite.

2000-03-03  Michael Natterer  <mitch@gimp.org>

	* libgimp/gimpprotocol.c (_gp_proc_return_destroy): fixed a
	memleak: free the message's name before freeing the message itself.

2000-03-03  Michael Natterer  <mitch@gimp.org>

	* app/iscissors.c: this time cursor_update feedback is _really_
	correct: for closed curves, show the "point" cursor if a mouse
	click will modify the curve and the "bad" cursor if a mouse click
	will do nothing. Seems it was not too hard to understand how it
	works...

	* plug-ins/common/uniteditor.c: for consistency, did a
	s/"Delete","Undelete"/"Don't Save","Save"/.

Thu Mar  2 23:27:59 CET 2000  Marc Lehmann <pcg@goof.com>

	* configure.in: Fix $dirprefix to $topdir in perl part.

Thu Mar  2 21:45:17 GMT 2000 Andy Thomas <alt@gimp.org>

        * gimp/app/nav_window.c

	The "follow display" nav window is now hidden when the 
        last window is closed.

2000-03-02  Michael Natterer  <mitch@gimp.org>

	* app/iscissors.c: Iscissors was using rect_select_cursor_update
	which is totally wrong since the oper_update_func tool method was
	introduced (in fact it didn't even give correct feedback before).

	Added oper_update_func, modifier_key_func, cursor_update_func for
	Iscissors which give correct cursor_update feedback now. The only
	remaining inconsistency occurs when a curve is closed: There's no
	way to find out if the mouse is over a control point/line or
	outside (without touching the Iscissors engine, which I didn't
	want to do because I don't understand how it works ;-).

2000-03-02  Michael Natterer  <mitch@gimp.org>

	* app/channel_ops.c: s/"Fill Options"/"Fill Type"/

	* app/gimpparasite.c: removed _() around the parasiterc header.

Thu Mar  2 01:02:44 CET 2000  Sven Neumann <sven@gimp.org>

	* app/measure.c: Fixed my latest "fix" which introduced a new
	problem. Clean statusbar and info window when starting a new
	measurement.

2000-03-02  Michael Natterer  <mitch@gimp.org>

	* app/rect_select.[ch]: added a modifier_key_func which gives
	immediate cursor_update feedback on modifier key events.

	* app/ellipse_select.c
	* app/free_select.c
	* app/fuzzy_select.c
	* app/rect_selectP.h: call the new function.
	Added current_[x|y] fields to the tools' structures which get
	updated from the "motion" functions. They have to appear in the
	same order in all structures because the modifier_key_func treats
	them all as rectangular selection tools.
	This is ugly and cries for a object hierarchy of tools.

2000-03-01  Michael Natterer  <mitch@gimp.org>

	* app/gimpdrawable.c: gimp_drawable_get_color_at(): put the check
	below back but only require a non-indexed drawable if the drawable
	doesn't have an image.
	(The function may call gimp_image_get_color() with gimage == NULL
	for RGB and GRAY colors because we don't need a colormap to
	transform them to RGB space).
	This was the obscure special case (TM).

2000-03-01  Michael Natterer  <mitch@gimp.org>

	* app/gimpdrawable.c: gimp_drawable_get_color_at(): don't
	g_return_val_if_fail(!indexed, NULL) because the function seems to
	work fine for all kinds of drawables. Fixes #6756. Or is this
	check needed for some obscure special case?

2000-03-01  Michael Natterer  <mitch@gimp.org>

	* cursors/selection.xbm
	* cursors/selection_subtract.xbm: made the selection rectangles
	look the same (avoids flickering on Ctrl/Shift).

	* cursors/selection_intersect.xbm
	* cursors/selection_intersect_mask.xbm: the symbol for
	intersection is "n", not "u".

2000-03-01  Michael Natterer  <mitch@gimp.org>

	* Makefile.am
	* cursors/*: a proper naming scheme for all cursor files. Added
	zoom_in and zoom_out cursors.

	* app/bezier_select.c
	* app/by_color_select.c
	* app/cursorutil.[ch]
	* app/rect_select.c
	* app/scale.[ch]: changed according to the new cursor names. Some
	minor fixes.

	* app/magnify.[ch]: made the zoom_in/zoom_out toggle a proper
	tool_toggle and show cursors for the two modes.

	* plug-ins/print/print-util.c: patch from Robert Kravitz which
	fixes printing layers with alpha.

Wed Mar  1 00:46:09 CET 2000  Sven Neumann <sven@gimp.org>

	* app/layers_dialog.c
	* app/menus.c: remove ellipses from menu entries

2000-03-01  Michael Natterer  <mitch@gimp.org>

	* app/gdisplay.c: set <Image>/File/Revert... insensitive if the
	image has no filename.

	* plug-ins/common/uniteditor.c: minor fix.

Wed Mar  1 00:13:24 CET 2000  Sven Neumann <sven@gimp.org>

	* app/gimpcontextpreview.c: return without warning if popup_timeout
	is already set. Suppresses warning that occured on double-click.

	* app/layers_dialog.[ch]
	* app/menus.c: added "Delete Mask" menu entry and removed dialog
	asking if mask is to applied or discarded on "Apply Mask".

	* app/tools.c: Magnify is not a transform tool

Tue Feb 29 21:35:11 CET 2000  Sven Neumann <sven@gimp.org>

	* plug-ins/common/sample_colorize.c: applied patch from Wolfgang
	Hofer that enables checkerboard for transparent areas in the
	preview.

2000-02-29  Michael Natterer  <mitch@gimp.org>

	* plug-ins/common/.cvsignore
	* plug-ins/common/Makefile.am
	* plug-ins/common/plugin-defs.pl
	* po-plug-ins/POTFILES.in
	* help/C/filters/Makefile.am
	* help/C/filters/index.html
	* plug-ins/common/uniteditor.c
	* help/C/filters/uniteditor.html: new plugin.

	After one year of announcing it, I finally hacked the GIMP unit
	editor. Have fun with lightyears, parsec, ... :-)

Mon Feb 28 23:52:56 CET 2000  Sven Neumann <sven@gimp.org>

	* app/measure.c: fixed off-by-one error for the x coordinate
	
	* app/transform_core.c: fixed scaling without interpolation
	(bug #6681) 

Mon Feb 28 19:11:39 GMT 2000  Adam D. Moss <adam@gimp.org>

	* app/cursorutil.c app/cursorutil.h:
	added gtkutil_compress_motion() utility function to seek and
	destroy outstanding pointer motion events from the gdk event queue
	for a given widget.

	* app/edit_selection.c:305: Use gtkutil_compress_motion() to
	do a more thorough job of tracking motion (something recently
	started interleaving our motion events with others, largely
	nullifying the effectiveness of GDK_POINTER_MOTION_HINT_MASK).

	* app/edit_selection.c:704: Yikes, the key-press snooping code
	was turning part of the event queue back-to-front with each
	compressed key-press.  (Still looks a bit bogus overall; looks
	as though it could transplant a whole chunk of the start of
	the event queue right onto the end.  I'll probably disable it
	unless someone points out that I'm a doofus.)

Mon Feb 28 19:37:25 CET 2000  Sven Neumann <sven@gimp.org>

	* plug-ins/gap/gap_arr_dialog.[ch]
	* plug-ins/gap/gap_decode_mpeg_main.c
	* plug-ins/gap/gap_decode_xanim.c
	* plug-ins/gap/gap_filter.h
	* plug-ins/gap/gap_filter_iterators.c
	* plug-ins/gap/gap_filter_pdb.[ch]
	* plug-ins/gap/gap_lib.c
	* plug-ins/gap/gap_mov_dialog.c
	* plug-ins/gap/gap_mpege.c
	* plug-ins/gap/gap_range_ops.c
	* plug-ins/gap/iter_ALT/mod/plug_in_nova_iter_ALT.inc
	* plug-ins/gap/iter_ALT/mod/plug_in_papertile_iter_ALT.inc
	* plug-ins/gap/iter_ALT/mod/plug_in_sparkle_iter_ALT.inc:
	applied patch from Wolfgang Hofer <hof@hotbot.com>

2000-02-28 02:40-GMT Garry R. Osgood <gosgood@idt.net>

        * gimp/app/by_color_select.c 
	* gimp/app/color_picker.c 
	* gimp/app/gimpdrawable.c 
	* gimp/app/image_map.c 
	* gimp/app/paint_core.c
	Inadvertent logic error in g_return_val_if_fail() 
	style sanity checks implemented in 
	gimp_drawable_get_color_at() gave rise to
	segment violation reported in #6624; 
	error admitted out-of-bounds x&y that
	do not map to tiles. Closes #6624.
	GTK-critical warnings which result from
	this new sanity check require that
	gimp_drawable_get_color_at() clients 
	perform initial culling of out-of-bounds
	x & y coordinates.
 	
2000-02-28  Michael Natterer  <mitch@gimp.org>

	* libgimp/gimpfileselection.c
	* libgimp/gimpunitmenu.c: behave like other dialogs (close) when
	pressing "OK" or "Cancel".

	* libgimp/stdplugins-intl.h
	* plug-ins/script-fu/script-fu-intl.h: bind the "gimp-libgimp"
	textdomain also if HAVE_LC_MESSAGES is undefined.

	* plug-ins/print/print-ps.c
	* plug-ins/print/print.c: applied a patch from Robert L Kravitz
	<rlk@alum.mit.edu> which adds a "Center" button, activates all
	text entries and corrects the rounding behaviour. And a minor fix
	for the PS driver.

	* plug-ins/dbbrowser/Makefile.am
	* plug-ins/dbbrowser/dbbrowser.h: removed.

	* plug-ins/dbbrowser/dbbrowser.c
	* plug-ins/dbbrowser/dbbrowser_utils.c
	* plug-ins/dbbrowser/dbbrowser_utils.h
	* plug-ins/common/plugindetails.c: ui and code cleanup.
	libgimp ui stuff and a proper include structure for the dbbrowser.

	* plug-ins/script-fu/script-fu-console.c: include
	"plug-ins/dbbrowser/dbbrowser_utils.h".

Sun Feb 27 21:55:44 CET 2000  Sven Neumann <sven@gimp.org>

	* po-script-fu/Makefile.in.in: forgot to check this in

2000-02-27  14:54:18 EST Garry R. Osgood <gosgood@idt.net>

	* gimp/app/gimpimage.c Fixed small typo.

Sun Feb 27 20:25:45 CET 2000  Sven Neumann <sven@gimp.org>

	Script-Fu now has its own textdomain. This allows full
	localisation of the Script-Fu UI. Now all that's missing
	is a script that extracts the translatable trings out of 
	the (script-fu-register ...) calls. 

	* Makefile.am
	* configure.in
	* po-script-fu/*: new files.

	* app/plug_in.c: allow translation of the temporary installed
	Script-Fu scripts

	* plug-ins/script-fu/Makefile.am
	* plug-ins/script-fu/script-fu-intl.h: new file
	
	* plug-ins/script-fu/script-fu-console.c
	* plug-ins/script-fu/script-fu-scripts.c
	* plug-ins/script-fu/script-fu-server.c
	* plug-ins/script-fu/script-fu.c: bind to the gimp-script-fu
	textdomain and use gettext for all labels in the script UI.

2000-02-27  Michael Natterer  <mitch@gimp.org>

	* libgimp/gimphelpui.c: added documentation.

Sun Feb 27 13:07:31 CET 2000  Sven Neumann <sven@gimp.org>

	* app/gimpimage.c
	* app/layer.c: removed warnings, cleaned up the source, 
	unmarked internal error messages for translation

Sat Feb 26 23:58:27 GMT 2000 Andy Thomas <alt@gimp.org>

        * gimp/app/nav_window.c

	Now takes note of the users set preview size when close to the
	edge of the screen. 
	If the user selected < MAX size of preview the popup would appear
	in the incorrect location of the screen. This is a slight change	
	to the checkin of Sat Feb 19 13:53:34 CET 2000  by 
	Sven Neumann <sven@gimp.org>

Sat Feb 26 19:56:35 CET 2000  Sven Neumann <sven@gimp.org>
			      Daniel Egger <Daniel.Egger@suse.de>

	* app/menus.c: Branches are now translated on the fly by using
	the translation of the menu_entry that causes the menu to be
	created. This has the drawback that this menu needs to have a 
	proper translation or the branch won't be translated, but we 
	don't need the dummy_entries any more and plugins can provide 
	deeply nested menus that are translated from one string. 

	* plug-ins/gap/gap_frontends_main.c
	* plug-ins/script-fu/script-fu.c
	* plug-ins/webbrowser/webbrowser.c: removed the dummy entries

	The translation of Script-Fu is the remaining problem. IMHO we
	should solve this properly by writing a xgettext-like script
	that parses the Script-Fus and add a gimp-script-fu domain.
	With trivial changes to script-fu-scripts.c we will get a 
	completely internationalized Script-Fu UI.

2000-02-26 Garry R. Osgood <gosgood@idt.net>

	* app/commands.c
        * app/gimpimage.c
	* app/layer.c
	* app/layer.h
	* app/resize.c
	* app/resize.h
	* help/C/dialogs/Makefile.am
	* help/C/dialogs/scale_layer_warn.html (new: placeholder)

	Aliasing artifacts that changed relative positions
	of layers under scaling, giving rise to #5271, are 
	minimized by a new layer.c function, 
	layer_scale_by_factors(). Closes #5271. See
	http://idt.net/~gosgood/gimp-patch/patch07.html
	for further detail. See also usage documentation
	for layer_scale() and layer_scale_by_factors()
	in layer.c. 

	Provided logic for the Scale Image dialog box
	<Image->Scale Image...>
	to pre-check an image's layers for the possibility
	that a particular scaling, s: 0 < s < 1, reduces
	a layer dimension to zero. Should this case prevail,
	a boolean dialog box warns the user of the possibility.
	The user may (1) Cancel, returning focus to Scale
	Image and the possibility of corrective adjustment, or
	(2) OK the scaling. The layers that will vanish upon
	the new scaling are culled from the GimpImage::layers
	list first. >>Please Test This!<< I've tested it
	fairly thoroughly, but my physician reports that I
	suffer from hubris. ;)
   	
2000-02-26  Michael Natterer  <mitch@gimp.org>

	* libgimp/gimphelpui.[ch]
	* libgimp/gimpdialog.c: added some not-yet-complete documentation.

Sat Feb 26 14:56:15 CET 2000  Sven Neumann <sven@gimp.org>

	* plug-ins/common/exchange.c: implemented locking of threshold
	sliders (fixes bug #6613)

2000-02-26  Shirasaki Yasuhiro  <yasuhiro@gnome.gr.jp>

	* app/menus.c
	* plug-ins/gap/gap_frontends_main.c
	* plug-ins/script-fu/script-fu.c
	* plug-ins/webbrowser/webbrowser.c: moved dummy menu entries
	for menu path translation into plugins.

Sat Feb 26 04:37:44 CET 2000  Sven Neumann <sven@gimp.org>

	* libgimp/Makefile.am: excluded gserialize.[ch] from the build

	* libgimp/*: header cleanup

2000-02-26  Michael Natterer  <mitch@gimp.org>

	* app/channels_dialog.c
	* app/layers_dialog.c
	* app/ops_buttons.[ch]
	* app/paths_dialog.c: use GimpPixmap widgets. Don't pass the
	parent widget pointer to ops_button_box_new().

2000-02-25  Asbjorn Pettersen  <asbjornP@dualog.no>

	* libgimp/gimpenv.c: <sys/types.h> before <sys/stat.h> to skip
	warning (OS/2)

Fri Feb 25 19:50:35 CET 2000  Sven Neumann <sven@gimp.org>

	* plug-ins/Lighting/Makefile.am
	* plug-ins/MapObject/Makefile.am: remove header files that were
	removed from the tree

2000-02-24  Michael Natterer  <mitch@gimp.org>

	* plug-ins/print/print.c: use the ui constructors from libgimp,
	put the widgets into frames, removed callbacks wich are not used
	any more. Makes the dialog smaller but is not perfect yet.
	Re-applied Sven's patch which initializes the "File" printer.

Thu Feb 24 18:44:58 CET 2000  Sven Neumann <sven@gimp.org>

	* app/menus.c: Applied patch provided by Daniel Egger that 
	enables shortcuts for the toolbox menus. Nice for tall toolbox
	layouts.

Thu Feb 24 17:06:02 CET 2000  Sven Neumann <sven@gimp.org>

	* app/fileops_cmds.c
	* tools/pdbgen/pdb/fileops.pdb: don't add an already registered
	load|save handler twice to the list. This fixes the problem
	that extension were listed twice if a load|save plugin changed.

	* app/plug_in.[ch]: code cleanup, indentation 

	* app/xcf.[ch]: same here, include copyright headers
	
	* plug-ins/common/wmf.c: properly cancel the load if the user
	pressed Cancel in the dialog (fixes bug #6500)

2000-02-24  Michael Natterer  <mitch@gimp.org>

	* app/paths_dialog.c: we were also leaking all path preview
	pixmaps ever created. Always remember that GdkPixmaps are not
	created "floating" but with a real refcount of 1. Minor cleanups.

2000-02-24  Michael Natterer  <mitch@gimp.org>

	* app/gimpbrush.[ch]
	* app/gimpbrushgenerated.[ch]
	* app/gimpbrushlist.[ch]
	* app/gimpbrushlistP.h
	* app/gimpbrushpipe.[ch]
	* app/gimpbrushpipeP.h: did a brushes code-review: indentation,
	removed some includes, didn't find a bug :-)

	* app/gradient.c
	* app/palette.c: we were leaking all gradient and palette preview
	pixmaps as well as all lists of palette colors on each refresh.

	* libgimp/gimpenv.c: updated documentation.

2000-02-24  Michael Natterer  <mitch@gimp.org>

	* app/tool_options.c: another leak: don't allocate the
	PaintPressureOptions structure twice for one tool.

2000-02-24  Michael Natterer  <mitch@gimp.org>

	* app/datafiles.c: fixed a memleak.

	* app/gimpbrushlist.c
	* app/gradient.c
	* app/palette.c: use the gimp_path_* functions, cleanups.

	* app/gimpbrushpipe.c: call the "destroy" function of the parent
	class, not of the object class. Fixes a huge memleak on each
	"Refresh".

	* app/gimpbrushpipeP.h
	* app/gimplist.c
	* app/gimpbrush.c: did some cleanups while searching the brush
	memleak.

	* libgimp/gimpenv.c: gimp_path_get_user_writable_dir(): return a
	copy of the string.

	* plug-ins/FractalExplorer/Dialogs.c
	* plug-ins/gfig/gfig.c
	* plug-ins/gflare/gflare.c: g_free() the string returned by
	gimp_path_get_user_writable_dir().

Thu Feb 24 02:20:15 CET 2000  Sven Neumann <sven@gimp.org>

	* app/gimprc.c: gimp_parasite_attach() creates a copy of
	the parasite, so free it here after attaching it

Thu Feb 24 00:42:12 CET 2000  Sven Neumann <sven@gimp.org>

	* app/text_tool.c: Don't crash if a font couldn't be loaded.
	(fixes bug #6526). Reordered the way the objects in the  
	tool_options dialog are connected, so the widgets sensitivity 
	is set correctly.

Thu Feb 24 00:10:29 CET 2000  Sven Neumann <sven@gimp.org>

	* app/plug_in.c: don't bind to the default textdomain twice if
	a plug-in adds it using gimp_plugin_domain_add ()

Wed Feb 23 23:31:07 CET 2000  Sven Neumann <sven@gimp.org>
	
	* app/plug_in.c: plugged memleaks

2000-02-24  Tor Lillqvist  <tml@iki.fi>

	* libgimp/gimp.h (Win32): Include <stdlib.h> for __argc and__argv.

	* libgimp/{gimp,gimpui}.def: Add new entry points.

	* libgimp/gimpenv.c (Win32): Make compileable, with no geteuid etc.

	* app/makefile.{cygwin,msc}
	* libgimp/makefile.{cygwin,msc}: Update object file list.

Wed Feb 23 21:07:41 CET 2000  Sven Neumann <sven@gimp.org>

	* app/fileops.c
	* app/main.c
	* app/menus.[ch]
	* app/plug_in.c: The ultimate solution to the i18n problem :-)

	The "i18n problem" is (TM) Daniel Egger and this solution is a 
	derivative work using his ideas and some of the code he provided.

	We bind to the gimp-std-plugins domain and additionally to all
	domains explicitely specified by plugins. When translating a
	menu_entry, we use our knowledge about the domain the plug-in is
	in and only search in that textdomain. No need to iterate through
	all domains any more. 

	There is a small hack to make the perl localisation work
	that will be removed as soon as the perl-fu scripts use the
	gimp_plugin_add_domain() function.

	* app/gimprc.c
	* app/plug_in_cmds.c
	* tools/pdbgen/pdb/plug_in.pdb: small cleanups

Wed Feb 23 19:04:08 CET 2000  Sven Neumann <sven@gimp.org>

	* app/gimprc.c
	* app/internal_procs.c
	* app/plug_in.[ch]
	* app/plug_in_cmds.c
	* libgimp/gimp.[ch]
	* tools/pdbgen/pdb/plug_in.pdb: new functions 
	gimp_plugin_domain_add() and gimp_plugin_domain_add_with_path()
	that allow a plugin to specify its textdomain in the query()
	function. The info is saved and read in from the pluginrc, but
	not yet used.

2000-02-23  Michael Natterer  <mitch@gimp.org>

	* app/file_new_dialog.c: use a gimp_query_boolean_box().

	* libgimp/gimpenv.c
	* libgimp/gimpquerybox.c: documentation updates.

	* libgimp/gimpwidgets.[ch]: changed the widget constructors to
	return only the container widget and added access marcos for the
	sub-widgets. Added documentation for all functions.
	Made gimp_toggle_button_sensitive_update() public so this feature
	can be properly documented.

	* plug-ins/common/blur.c
	* plug-ins/common/gauss_iir.c
	* plug-ins/common/gauss_rle.c
	* plug-ins/common/plasma.c
	* plug-ins/common/randomize.c
	* plug-ins/common/snoise.c
	* plug-ins/common/spread.c
	* plug-ins/common/tile.c
	* plug-ins/gflare/gflare.c: updated according to the
	gimpwidgets.[ch] changes.

Wed Feb 23 14:50:09 CET 2000  Sven Neumann <sven@gimp.org>

	* plug-ins/print/print-escp2.c
	* plug-ins/print/print-pcl.c
	* plug-ins/print/print-util.c
	* plug-ins/print/print.c: 
	Applied patch from Robert L Krawitz <rlk@alum.mit.edu>.
	Bumps print plug-in version to 3.0.9 and adds a few nifty
	little features. Now all we need is a facelift for the 
	dialog... 
	
Wed Feb 23 01:15:12 CET 2000  Sven Neumann <sven@gimp.org>

	* plug-ins/common/gtm.c: added a warning in the case the user
	tries to save a large image as an HTML table

Tue Feb 22 22:25:29 CET 2000  Sven Neumann <sven@gimp.org>

	* plug-ins/common/grid.c: added support for indexed images and
	corrected the behaviour for grayscale drawables

Tue Feb 22 18:40:53 CET 2000  Sven Neumann <sven@gimp.org>

	* plug-ins/gfig/gfig.c: typso fixed

2000-02-22  Michael Natterer  <mitch@gimp.org>

	* app/gimpcontext.[ch]: it's more intelligent to implement the
	parent_context stuff with gtk_signal_connect_object() instead of
	having internal callbacks for each context attribute.
	Exported the existing gimp_context_*_changed() functions and
	changed them to do nothing but emitting the signal.

	* app/app_procs.c
	* app/tools.c
	* app/transform_tool.c: use gimp_context_tool_changed() instead of
	gtk_signal_emit_by_name().

2000-02-22  Michael Natterer  <mitch@gimp.org>

	* app/color_area.[ch]
	* app/interface.c: pass masks for the "default" and "swap" pixmaps
	to the color_area constructor and use them to create a clip mask
	in color_area_draw().

	* app/datafiles.[ch]: some harmless cleanups.

	* libgimp/gimppixmap.c: use gtk_pixmap_set_build_insensitive()
	instead of accessing the field directly.

Tue Feb 22 01:42:01 CET 2000  Sven Neumann <sven@gimp.org>

	* plug-ins/perl/Makefile.PL: Made 'make install' work again.
	The gimp-perl po files are however not installed. Marc, you
	will want to look into this again.

Tue Feb 22 01:20:05 CET 2000  Sven Neumann <sven@gimp.org>

	* libgimp/gimpchainbutton.c: set the widget's requisition so it 
	can be properly packed before it's realized. Fixes bug #6470.

Mon Feb 21 19:41:49 CET 2000  Sven Neumann <sven@gimp.org>

	* app/pixmaps2.h: Tried to bring a little more shape into the
	newer tool icons. Still not content with dodge and measure, but
	IMO it's better than before especially for dark themes.

2000-02-21  Michael Natterer  <mitch@gimp.org>

